<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
class hostingamesController extends Controller {
	public function index() {	
		if(!$this->user->isLogged()) {
			$this->session->data['error'] = "Вы не авторизированы!";
			$this->response->redirect($this->config->url . 'account/login');
		}
		if($this->user->getAccessLevel() < 0) {
			$this->session->data['error'] = "Blocked!";
			$this->response->redirect($this->config->url);
		}
		$this->load->library('query');
		$this->load->model('servers');
		$getData = array();
		
		$options = array(
			'start' => 0,
			'limit' => 1000
		);
		$servers = $this->serversModel->getServers($getData, array('games', 'locations'),array(),  $options);
		$this->data['servers'] = $servers;

		$this->getChild(array('common/header', 'common/footer'));
		return $this->load->view('common/hostingames', $this->data);
	}
}
?>