<?
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Alexandr Zemlyanoy (https://vk.com/mrsasha082)
WEB Hosting to ISP 5
*/
class webhostModel extends Model {
	public function createWebhost($data) 
	{	
		$sql = "INSERT INTO `webhost` SET ";
		$sql .= "`user_id` = '" . (int)$data['user_id'] . "', ";
		$sql .= "`web_password` = '" . $data['web_password'] . "', ";
		$sql .= "`web_domain` = 'webhost.installing', ";
		$sql .= "`tarif_id` = '" . (int)$data['tarif_id'] . "', ";
		$sql .= "`web_status` = '" . (int)$data['web_status'] . "', ";
		$sql .= "`web_date_reg` = NOW(), ";
		$sql .= "`web_date_end` = NOW() + INTERVAL " . (int)$data['web_months'] . " MONTH,";
		$sql .= "`location_id` = '" . (int)$data['location_id'] . "'";
		$this->db->query($sql);

		$return=$this->db->getLastId();		
		return $return;
	}
	
	public function installWebhost($webid, $password, $package)
	{
		$web = $this->getWebhostById($webid, array('web_locations'));
		$domain = 'ws'.$webid.'.webhosting';
		$url = 'https://'. $web['location_ip'] .':1500/ispmgr?authinfo='. $web['location_user'] .':'. $web['location_password'] .'&out=json';
				
        $postvars =  array(
            'func'     => 'user.add',
            'name'     => 'ws'.$webid.'',
            'domain'   => $domain,
            'fullname' => $this->user->getLastname(). ' ' .$this->user->getFirstname(),
            'preset'   => $package,
            'status'   => 1,
            'passwd'   => $password,
            'sok'      => 'ok'
        );
		$postdata .= '&' . http_build_query($postvars);

		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $url . $postdata);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        json_decode(curl_exec($curl));
		
		$this->updateWebhost($webid, array('web_domain' => $domain));
	}

	public function deleteWebhost($webid)
	{
		$web = $this->getWebhostById($webid, array('web_locations'));
		
		$url = 'https://'. $web['location_ip'] .':1500/ispmgr?authinfo='. $web['location_user'] .':'. $web['location_password'] .'&out=json';
		$postvars = array(
			'func' => 'user.delete', 
			'elid' => 'ws'.$webid.''
		);
		$postdata .= '&' . http_build_query($postvars);

		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $url . $postdata);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        json_decode(curl_exec($curl));
		
		$sql = "DELETE FROM `webhost` WHERE web_id = '" . (int)$webid . "'";
		$this->db->query($sql);
	}
	
	public function blockWebhost($webid)
	{
		$web = $this->getWebhostById($webid, array('web_locations'));
		
		$url = 'https://'. $web['location_ip'] .':1500/ispmgr?authinfo='. $web['location_user'] .':'. $web['location_password'] .'&out=json';
		$postvars = array(
			'func' => 'user.suspend',
			'elid' => 'ws'.$webid.''
		);
		$postdata .= '&' . http_build_query($postvars);

		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $url . $postdata);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        json_decode(curl_exec($curl));
		
		$this->updateWebhost($webid, array('web_status' => 0));
	}
	
	public function unblockWebhost($webid)
	{
		$web = $this->getWebhostById($webid, array('web_locations'));
		
		$url = 'https://'. $web['location_ip'] .':1500/ispmgr?authinfo='. $web['location_user'] .':'. $web['location_password'] .'&out=json';
		$postvars = array(
			'func' => 'user.resume',
			'elid' => 'ws'.$webid.''
		);
		$postdata .= '&' . http_build_query($postvars);

		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $url . $postdata);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        json_decode(curl_exec($curl));
		
		$this->updateWebhost($webid, array('web_status' => 1));
	}

	public function updatepassUser($webid, $password)
	{
		$web = $this->getWebhostById($webid, array('web_locations'));
		
		$url = 'https://'. $web['location_ip'] .':1500/ispmgr?authinfo='. $web['location_user'] .':'. $web['location_password'] .'&out=json';
		$postvars = array(
			'func' => 'user.edit', 
			'elid' => 'ws'.$webid.'',
			'sok'  => 'ok',
			'passwd' => $password
		);
		$postdata .= '&' . http_build_query($postvars);

		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $url . $postdata);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        json_decode(curl_exec($curl));
	}
	
	public function updatepassFtp($webid, $password)
	{
		$web = $this->getWebhostById($webid, array('web_locations'));
		
		$url = 'https://'. $web['location_ip'] .':1500/ispmgr?authinfo='. $web['location_user'] .':'. $web['location_password'] .'&out=json';
		$postvars = array(
			'func' => 'ftp.user.edit', 
			'elid' => 'ws'.$webid.'',
			'sok'  => 'ok',
			'passwd' => $password
		);
		$postdata .= '&' . http_build_query($postvars);

		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $url . $postdata);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        json_decode(curl_exec($curl));
	}
	
	public function updateWebhost($webid, $data = array()) 
	{
		$sql = "UPDATE `webhost`";
		if(!empty($data)) {
			$count = count($data);
			$sql .= " SET";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= ",";
			}
		}
		$sql .= " WHERE `web_id` = '" . (int)$webid . "'";
		$query = $this->db->query($sql);
	}
	
	public function extendWebhost($webid, $month, $fromCurrent) 
	{
		$sql = "UPDATE `webhost` SET web_date_end = ";
		if($fromCurrent)
			$sql .= "NOW()";
		else
			$sql .= "web_date_end";
		$sql .= "+INTERVAL " . (int)$month . " MONTH WHERE web_id = '" . (int)$webid . "'";
		
		$this->db->query($sql);
	}
	
	public function getWebhosts($data = array(), $joins = array(), $sort = array(), $options = array()) 
	{
		$sql = "SELECT * FROM `webhost`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
				case "users":
					$sql .= " ON webhost.user_id=users.user_id";
					break;
				case "web_tarifs":
					$sql .= " ON webhost.tarif_id=web_tarifs.tarif_id";
					break;
				case "web_locations":
					$sql .= " ON webhost.location_id=web_locations.location_id";
					break;
			}
		}
		
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= " AND";
			}
		}
		
		if(!empty($sort)) {
			$count = count($sort);
			$sql .= " ORDER BY";
			foreach($sort as $key => $value) {
				$sql .= " $key " . $value;
				
				$count--;
				if($count > 0) $sql .= ",";
			}
		}
		
		if(!empty($options)) {
			if ($options['start'] < 0) {
				$options['start'] = 0;
			}
			if ($options['limit'] < 1) {
				$options['limit'] = 20;
			}
			$sql .= " LIMIT " . (int)$options['start'] . "," . (int)$options['limit'];
		}
		$query = $this->db->query($sql);
		return $query->rows;
	}
	
	public function getWebhostById($webid, $joins = array()) 
	{
		$sql = "SELECT * FROM `webhost`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
				case "users":
					$sql .= " ON webhost.user_id=users.user_id";
					break;
				case "web_tarifs":
					$sql .= " ON webhost.tarif_id=web_tarifs.tarif_id";
					break;
				case "web_locations":
					$sql .= " ON webhost.location_id=web_locations.location_id";
					break;
			}
		}
		$sql .=  " WHERE `web_id` = '" . (int)$webid . "' LIMIT 1";
		$query = $this->db->query($sql);
		return $query->row;
	}
	
	public function getTotalWebhosts($data = array()) 
	{
		$sql = "SELECT COUNT(*) AS count FROM `webhost`";
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= " AND";
			}
		}
		$query = $this->db->query($sql);
		return $query->row['count'];
	}	
}
?>