<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Создание игры
            </h3>
         </div>
      </div>
      <div class="kt-portlet__body">
         <form class="form-group form-md-line-input" action="#" id="createForm" method="POST">
            <div class="form-group form-md-line-input">
			   <label>Введите название игры</label>
               <input type="text" class="form-control" id="name" name="name" placeholder="Введите название игры">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите код игры</label>
               <input type="text" class="form-control" id="code" name="code" placeholder="Введите код игры">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Выберите query-драйвер игры</label>
               <select class="form-control" id="query" name="query" name="delivery" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
					<?php foreach($queryDrivers as $item): ?>
					<option value="<?php echo $item ?>"<?php if($item == $game['game_query']): ?> selected<?php endif; ?>><?php echo $item ?></option>
					<?php endforeach; ?> 
               </select>
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите минимальное количество слотов для заказа</label>
               <input type="text" class="form-control" id="minslots" name="minslots" placeholder="Введите минимальное количество слотов для заказа">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите максимальное количество слотов для заказа</label>
               <input type="text" class="form-control" id="maxslots" name="maxslots" placeholder="Введите максимальное количество слотов для заказа">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите минимальный порт для заказа</label>
               <input type="text" class="form-control" id="minport" name="minport" placeholder="Введите минимальный порт для заказа">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите максимальное порт для заказа</label>
               <input type="text" class="form-control" id="maxport" name="maxport" placeholder="Введите максимальное порт для заказа">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите стоимость за один слот</label>
               <input type="text" class="form-control" id="price" name="price" placeholder="Введите стоимость за один слот">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите количество ядер на один сервер (Пример: 0.25 = 25% 1-го ядра, 1.25 = 125% (1 ядро + 25% 2-го ядра)</label>
               <input type="text" class="form-control" id="cores" name="cores" placeholder="Введите количество ядер на один сервер">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите объем оперативной памяти на один сервер (в МБ)</label>
               <input type="text" class="form-control" id="ram" name="ram" placeholder="Введите объем оперативной памяти на один сервер (в МБ)">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите объем SSD на один сервер (в МБ)</label>
               <input type="text" class="form-control" id="ssd" name="ssd" placeholder="Введите объем SSD на один сервер (в МБ)">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите бинарные файлы которые будут защищены от удаления/перезаписи</label>
               <input type="text" class="form-control" id="check_files" name="check_files" placeholder="Введите бинарные файлы которые будут защищены от удаления/перезаписи">
            </div>
            <div class="form-group form-md-line-input">
			   <label>Введите команду запуска сервера</label>
               <input type="text" class="form-control" id="start_cmd" name="start_cmd" placeholder="Введите команду запуска сервера">
            </div>
            <hr>
            <input type="submit" name="otp" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase" value="Сохранить">
         </form>
      </div>
   </div>
</div>
<script>
   $('#createForm').ajaxForm({ 
    url: '/admin/games/create/ajax',
    dataType: 'json',
    success: function(data) {
        switch(data.status) {
            case 'error':
                toastr.error(data.error);
                $('button[type=submit]').prop('disabled', false);
                break;
            case 'success':
                toastr.success(data.success);
                setTimeout("redirect('/admin/games')", 1500);
                break;
        }
    },
    beforeSubmit: function(arr, $form, options) {
        $('button[type=submit]').prop('disabled', true);
    }
   });
</script>
<?php echo $footer ?>
