<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Список игр
            </h3>
         </div>
         <div class="kt-portlet__head-toolbar">
            <a href="/admin/games/create" class="btn btn-label-brand btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Добавить">
            <i class="flaticon2-add-square"></i>
            </a>
         </div>
      </div>
      <div class="kt-portlet__body">
         <div class="kt-section">
            <div class="kt-section__content">
               <table class="table table-striped m-table">
                  <thead>
                     <tr>
                        <th><i class="fa fa-list-ol"></i></th>
                        <th>Статус</th>
                        <th>Название</th>
                        <th>Код</th>
                        <th>Слоты</th>
                        <th>Порты</th>
                        <th>Цена за слот</th>
                     </tr>
                  </thead>
                  <tbody>
                     <?php foreach($games as $item): ?>
                     <tr onClick="redirect('/admin/games/edit/index/<?php echo $item['game_id'] ?>')">
                        <th scope="row"><?php echo $item['game_id'] ?></th>
                        <td>
                           <?php if($item['game_status'] == 0): ?>
                           <span class="badge badge-danger">Выключена</span>
                           <?php elseif($item['game_status'] == 1): ?>
                           <span class="badge badge-success">Включена</span>
                           <?php endif; ?>
                        </td>
                        <td><?php echo $item['game_name'] ?></td>
                        <td><?php echo $item['game_code'] ?></td>
                        <td><?php echo $item['game_min_slots'] ?> - <?php echo $item['game_max_slots'] ?></td>
                        <td><?php echo $item['game_min_port'] ?> - <?php echo $item['game_max_port'] ?></td>
                        <td><?php echo $item['game_price'] ?> руб.</td>
                     </tr>
                     <?php endforeach; ?>
                     <?php if(empty($games)): ?> 
                     <tr>
                        <td colspan="7" class="text-center">На данный момент нет игр.</td>
                     </tr>
                     <?php endif; ?> 
                  </tbody>
               </table>
               <?php echo $pagination ?> 
            </div>
         </div>
      </div>
   </div>
</div>
<?php echo $footer ?>
