<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Отправка ответа
            </h3>
         </div>
      </div>
      <div class="kt-portlet__body">
         <form class="form-group form-md-line-input" action="#" id="sendMForm" method="POST">
            <div class="kt-widget3">
               <div class="kt-widget3__item">
                  <div class="kt-widget3__header">
                     <div class="kt-widget3__user-img">
                        <img class="kt-widget3__img" src="/application/public/img/user.png" alt="">
                     </div>
                     <div class="kt-widget3__info">
                        <a href="javascript:;" class="kt-widget3__username">
                        <?php echo $mail['user_firstname'] ?> <?php echo $mail['user_lastname'] ?></a><br>
                        <span class="kt-widget3__time"><?php echo $mail['user_email'] ?></span>
                     </div>
                     <span class="kt-widget3__status kt-font-info">
                     <?php echo $mail['inbox_date_add']?>
                     </span>
                  </div>
                  <div class="kt-widget3__body">
                     <p class="kt-widget3__text"><?php echo $mail['text'] ?></p>
                  </div>
               </div>
            </div>
            <div class="form-group form-md-line-input">
               <textarea class="form-control" id="msg" name="msg" rows="3" placeholder="Сообщение..."></textarea>
            </div>
            <div class="card card-body" style="margin-bottom: 1rem;">
               <label class="kt-checkbox kt-checkbox--bold kt-checkbox--brand" style="margin-bottom: 0px;">
               <input type="checkbox" id="dell" name="dell"> Удалить после отправки
               <span></span>
               </label>
            </div>
            <hr>
            <button type="submit" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase">Отправить</button>
         </form>
      </div>
   </div>
</div>
<script>
   $('#sendMForm').ajaxForm({ 
   	url: '/admin/infobox/send/sendMForm/<?php echo $mail['id'] ?>',
   	dataType: 'text',
   	success: function(data) {
   		console.log(data);
   		data = $.parseJSON(data);
   		switch(data.status) {
   			case 'error':
   				toastr.error(data.error);
   				$('button[type=submit]').prop('disabled', false);
   				break;
   			case 'success':
   				toastr.success(data.success);
   				setTimeout("redirect('/admin/infobox')", 1500);
   				break;
   		}
   	},
   	beforeSubmit: function(arr, $form, options) {
   		$('button[type=submit]').prop('disabled', true);
   	}
   });
</script>
<?php echo $footer ?>
