<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Редактирование локации
            </h3>
         </div>
      </div>
      <div class="kt-portlet__body">
         <form class="form-group form-md-line-input" action="#" id="editForm" method="POST">
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="name" name="name" placeholder="Введите название локации" value="<?php echo $location['location_name'] ?>">
            </div>
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="ip2" name="ip2" placeholder="IP(Который видит пользователь)" value="<?php echo $location['location_ip2'] ?>">
            </div>
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="ip" name="ip" placeholder="Введите IP(По которому подключаются)" value="<?php echo $location['location_ip'] ?>">
            </div>
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="user" name="user" placeholder="Введите имя пользователя" value="<?php echo $location['location_user'] ?>">
            </div>
            <hr>
            <div class="m-form__group form-group">
               <label class="m-checkbox m-checkbox--bold m-checkbox--state-brand">
               <input type="checkbox" id="editpassword" name="editpassword" onChange="togglePassword()"> Изменить пароль
               <span></span>
               </label>
            </div>
            <div class="form-group form-md-line-input">
               <input type="password" class="form-control" id="password" name="password" placeholder="Пароль" disabled>
            </div>
            <div class="form-group form-md-line-input">
               <input type="password" class="form-control" id="password2" name="password2" placeholder="Повторите пароль" disabled>
            </div>
            <hr>
            <div class="form-group form-md-line-input">
               <select class="form-control" id="status" name="status" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                  <option value="1"<?php if($location['location_status'] == 1): ?> selected="selected"<?php endif; ?>>Включена</option>
                  <option value="0"<?php if($location['location_status'] == 0): ?> selected="selected"<?php endif; ?>>Выключена</option>
               </select>
            </div>
            <hr>
            <div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
               <button type="submit" class="btn btn-info btn-outline  btn-block sbold uppercase">Сохранить изменения</button>
               <a data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Удалить" style="height: 3.1rem;" href="/admin/locations/edit/delete/<?php echo $location['location_id'] ?>" class="btn btn-danger btn-elevate btn-icon"><i class="fa fa-trash-alt"></i></a>
            </div>
         </form>
      </div>
   </div>
</div>
<script>
   $('#editForm').ajaxForm({ 
   	url: '/admin/locations/edit/ajax/<?php echo $location['location_id'] ?>',
   	dataType: 'text',
   	success: function(data) {
   		console.log(data);
   		data = $.parseJSON(data);
   		switch(data.status) {
   			case 'error':
   				toastr.error(data.error);
   				$('button[type=submit]').prop('disabled', false);
   				break;
   			case 'success':
   				toastr.success(data.success);
   				setTimeout("redirect('/admin/locations')", 1500);
   				break;
   		}
   	},
   	beforeSubmit: function(arr, $form, options) {
   		$('button[type=submit]').prop('disabled', true);
   	}
   });
   function togglePassword() {
   	var status = $('#editpassword').is(':checked');
   	if(status) {
   		$('#password').prop('disabled', false);
   		$('#password2').prop('disabled', false);
   	} else {
   		$('#password').prop('disabled', true);
   		$('#password2').prop('disabled', true);
   	}
   }
</script>
<?php echo $footer ?>
