<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Список модов
            </h3>
         </div>
         <div class="kt-portlet__head-toolbar">
            <a href="/admin/mods/create" class="btn btn-label-brand btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Добавить">
            <i class="flaticon2-add-square"></i>
            </a>
         </div>
      </div>
      <div class="kt-portlet__body">
         <div class="kt-section">
            <div class="kt-section__content">
               <table class="table table-striped m-table">
                  <thead>
                     <tr>
                        <th><i class="fa fa-list-ol"></i></th>
                        <th>Игра</th>
                        <th>Название</th>
                        <th>Статус</th>
                        <th>Стоимость</th>
                     </tr>
                  </thead>
                  <tbody>
                     <?php foreach($mods as $item): ?>
                     <tr onClick="redirect('/admin/mods/edit/index/<?php echo $item['mod_id'] ?>')">
                        <th scope="row"><?php echo $item['mod_id'] ?></th>
                        <td><?php echo $item['game_name'] ?></td>
                        <td><?php echo $item['mod_name'] ?></td>
                        <td>
                           <?php if($item['mod_status'] == 0): ?> 
                           <span class="badge badge-danger">Выключен</span>
                           <?php elseif($item['mod_status'] == 1): ?> 
                           <span class="badge badge-success">Включен</span>
                           <?php endif; ?>
                        </td>
                        <td><?php echo $item['mod_price'] ?></td>
                     </tr>
                     <?php endforeach; ?>
                     <?php if(empty($mods)): ?> 
                     <tr>
                        <td colspan="5" class="text-center">На данный момент нет модов.</td>
                     </tr>
                     <?php endif; ?> 
                  </tbody>
               </table>
               <?php echo $pagination ?> 
            </div>
         </div>
      </div>
   </div>
</div>
<?php echo $footer ?>
