<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Создание новости
            </h3>
         </div>
      </div>
      <div class="kt-portlet__body">
         <form class="form-group form-md-line-input" action="#" id="createForm" method="POST">
            <div class="form-group form-md-line-input">
                <input type="text" class="form-control" id="name" name="name" placeholder="Введите заголовок">
            </div>
            <div class="form-group form-md-line-input">
                <select class="form-control" id="place" name="place" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                    <option value="1">Новости</option>
                    <option value="2">Главная</option>
                </select>
             </div>
            <div class="form-group form-md-line-input">
                <select class="form-control" id="category" name="category" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                    <?php foreach($category as $item): ?> 
                        <option value="<?php echo $item['category_id'] ?>"><?php echo $item['category_name'] ?></option>
                    <?php endforeach; ?> 
                </select>
            </div>
            <div class="form-group form-md-line-input">
                <textarea class="form-control" id="text" name="text" rows="3" placeholder="Новость..."></textarea>
            </div> 
            <hr>
            <input type="submit" name="otp" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase" value="Сохранить">
         </form>
      </div>
   </div>
</div>
<script>
$('#createForm').ajaxForm({ 
	url: '/admin/news/create/ajax',
	dataType: 'json',
	success: function(data) {
		switch(data.status) {
			case 'error':
				toastr.error(data.error);
				$('button[type=submit]').prop('disabled', false);
				break;
			case 'success':
				toastr.success(data.success);
				setTimeout("redirect('/admin/news/view/index/" + data.id + "')", 1500);
				break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
	});
</script>
<?php echo $footer ?>
