<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Список новостей
            </h3>
         </div>
         <div class="kt-portlet__head-toolbar">
            <a href="/admin/news/create" class="btn btn-label-brand btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Добавить">
            <i class="flaticon2-add-square"></i>
            </a>
         </div>
      </div>
      <div class="kt-portlet__body">
         <div class="kt-section">
            <div class="kt-section__content">
               <table class="table table-striped m-table">
                  <thead>
                     <tr>
                        <th><i class="fa fa-list-ol"></i></th>
                        <th>Название</th>
                        <th>Категория</th>
                        <th>Добавил</th>
                     </tr>
                  </thead>
                  <tbody>
                     <?php foreach($news as $item): ?>
                     <tr onClick="redirect('/admin/news/edit/index/<?php echo $item['news_id'] ?>')">
                        <th><?php echo $item['news_id'] ?></th>
                        <td><?php echo $item['news_title'] ?></td>
                        <td><?echo $item['category_name']?></td>
                        <td><?php echo $item['user_lastname'] ?> <?php echo $item['user_firstname'] ?></td>
                     </tr>
                     <?php endforeach; ?>
                     <?php if(empty($news)): ?> 
                     <tr>
                        <td colspan="4" class="text-center">На данный момент нет новостей.</td>
                     </tr>
                     <?php endif; ?> 
                  </tbody>
               </table>
               <?php echo $pagination ?> 
            </div>
         </div>
      </div>
   </div>
</div>
<?php echo $footer ?>
