<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Список категорий
            </h3>
         </div>
         <div class="kt-portlet__head-toolbar">
            <a href="/admin/newscategory/create" class="btn btn-label-brand btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Добавить">
            <i class="flaticon2-add-square"></i>
            </a>
         </div>
      </div>
      <div class="kt-portlet__body">
         <div class="kt-section">
            <div class="kt-section__content">
               <table class="table table-striped m-table">
                  <thead>
                     <tr>
                        <th><i class="fa fa-list-ol"></i></th>
                        <th>Название</th>
                        <th>Статус</th>
                     </tr>
                  </thead>
                  <tbody>
                     <?php foreach($category as $item): ?>
                     <tr onClick="redirect('/admin/newscategory/edit/index/<?php echo $item['category_id'] ?>')">
                        <th><?php echo $item['category_id'] ?></th>
                        <td><?php echo $item['category_name'] ?></td>
                        <td>
                           <?php if($item['category_status'] == 0): ?> 
                           <span class="m-nav__link-badge"><span class="m-badge m-badge--danger m-badge--wide m-badge--rounded">Выключена</span></span>
                           <?php elseif($item['category_status'] == 1): ?> 
                           <span class="m-nav__link-badge"><span class="m-badge m-badge--success m-badge--wide m-badge--rounded">Включена</span></span>
                           <?php endif; ?>
                        </td>
                     </tr>
                     <?php endforeach; ?>
                     <?php if(empty($category)): ?> 
                     <tr>
                        <td colspan="3" class="text-center">На данный момент нет категорий.</td>
                     </tr>
                     <?php endif; ?> 
                  </tbody>
               </table>
               <?php echo $pagination ?> 
            </div>
         </div>
      </div>
   </div>
</div>
<?php echo $footer ?>