<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="row">
      <div class="col-lg-4 col-xl-4 order-lg-2 order-xl-1">
         <div class="kt-portlet">
            <div class="kt-portlet__body">
               <div class="kt-widget kt-widget--general-1">
                  <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                     <img src="<?php echo $url ?><?php echo $user_img ?>" alt="image">
                  </div>
                  <div class="kt-widget__wrapper">
                     <div class="kt-widget__label">
                        <a href="javascript:;" class="kt-widget__title">
                        <?php echo $user_lastname ?> <?php echo $user_firstname ?>
                        </a>
                        <span class="kt-widget__desc">
                        <?if($user_access_level == 1):?>
                        Пользователь
                        <?endif; ?>
                        <?if($user_access_level == 2):?>
                        Тех.поддержка
                        <?endif; ?>
                        <?if($user_access_level == 3):?>
                        Администратор
                        <?endif; ?>
                        </span>
                     </div>
                  </div>
                  <div class="kt-widget__toolbar kt-widget__toolbar--top-">
                     <div class="btn-group">
                        <div class="dropdown dropdown-inline">
                           <button type="button" class="btn btn-clean btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Техническая поддержка пользователей">
                           <i class="flaticon2-information"></i>
                           </button>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet__separator"></div>
            <div class="kt-portlet__body">
               <ul class="kt-nav kt-nav--bolder kt-nav--fit-ver kt-nav--v4" role="tablist">
                  <li class="kt-nav__item">
                     <a class="kt-nav__link " href="/admin/tickets/index?status=1" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-user-clock"></i></span>
                     <span class="kt-nav__link-text">Новые запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/tickets/" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-headset"></i></span>
                     <span class="kt-nav__link-text">Все запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__item  ">
                     <a class="kt-nav__link" href="/admin/tickets/index?status=0" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-user-lock"></i></span>
                     <span class="kt-nav__link-text">Закрытые запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__separator"></li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/tickets/create" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-comment-alt"></i></span>
                     <span class="kt-nav__link-text">Написать клиенту</span>
                     </a>
                  </li>
                  <li class="kt-nav__item active">
                     <a class="kt-nav__link" href="/admin/ticketcategory" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-list-alt"></i></span>
                     <span class="kt-nav__link-text">Все категории</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/ticketcategory/create" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-plus"></i></span>
                     <span class="kt-nav__link-text">Создать категорию</span>
                     </a>
                  </li>
               </ul>
            </div>
         </div>
      </div>
      <div class="col-lg-8 col-xl-8 order-lg-2 order-xl-1">
         <div class="m-portlet m-portlet--full-height m-portlet--tabs   m-portlet--unair">
            <div class="m-portlet__body">
               <form class="form-group form-md-line-input" action="#" id="editForm" method="POST">
                  <div class="form-group form-md-line-input">
                     <input type="text" class="form-control" id="name" name="name" placeholder="Введите название" value="<?php echo $category['category_name'] ?>">
                  </div>
                  <div class="form-group form-md-line-input">
                     <select class="form-control" id="status" name="status" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                        <option value="0"<?php if($category['category_status'] == 0): ?> selected="selected"<?php endif; ?>>Выключена</option>
                        <option value="1"<?php if($category['category_status'] == 1): ?> selected="selected"<?php endif; ?>>Включена</option>
                     </select>
                  </div>
                  <hr>
                  <div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
                     <button type="submit" class="btn btn-info btn-outline  btn-block sbold uppercase">Сохранить изменения</button>
                     <a data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Удалить" style="height: 3.1rem;" href="/admin/ticketcategory/edit/delete/<?php echo $category['category_id'] ?>" class="btn btn-danger btn-elevate btn-icon"><i class="fa fa-trash-alt"></i></a>
                  </div>
               </form>
            </div>
         </div>
      </div>
   </div>
</div>
<script>
   $('#editForm').ajaxForm({ 
   	url: '/admin/ticketcategory/edit/ajax/<?php echo $category['category_id'] ?>',
   	dataType: 'text',
   	success: function(data) {
   		console.log(data);
   		data = $.parseJSON(data);
   		switch(data.status) {
   			case 'error':
   				toastr.error(data.error);
   				$('button[type=submit]').prop('disabled', false);
   				break;
   			case 'success':
   				toastr.success(data.success);
   				setTimeout("redirect('/admin/ticketcategory')", 1500);
   				break;
   		}
   	},
   	beforeSubmit: function(arr, $form, options) {
   		$('button[type=submit]').prop('disabled', true);
   	}
   });
</script>
<?php echo $footer ?>
