<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="row">
      <div class="col-lg-4 col-xl-4 order-lg-2 order-xl-1">
         <div class="kt-portlet">
            <div class="kt-portlet__body">
               <div class="kt-widget kt-widget--general-1">
                  <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                     <img src="<?php echo $url ?><?php echo $user_img ?>" alt="image">
                  </div>
                  <div class="kt-widget__wrapper">
                     <div class="kt-widget__label">
                        <a href="javascript:;" class="kt-widget__title">
                        <?php echo $user_lastname ?> <?php echo $user_firstname ?>
                        </a>
                        <span class="kt-widget__desc">
                        <?if($user_access_level == 1):?>
                        Пользователь
                        <?endif; ?>
                        <?if($user_access_level == 2):?>
                        Тех.поддержка
                        <?endif; ?>
                        <?if($user_access_level == 3):?>
                        Администратор
                        <?endif; ?>
                        </span>
                     </div>
                  </div>
                  <div class="kt-widget__toolbar kt-widget__toolbar--top-">
                     <div class="btn-group">
                        <div class="dropdown dropdown-inline">
                           <button type="button" class="btn btn-clean btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Техническая поддержка пользователей">
                           <i class="flaticon2-information"></i>
                           </button>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet__separator"></div>
            <div class="kt-portlet__body">
               <ul class="kt-nav kt-nav--bolder kt-nav--fit-ver kt-nav--v4" role="tablist">
                  <li class="kt-nav__item">
                     <a class="kt-nav__link " href="/admin/tickets/index?status=1" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-user-clock"></i></span>
                     <span class="kt-nav__link-text">Новые запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/tickets/" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-headset"></i></span>
                     <span class="kt-nav__link-text">Все запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__item  ">
                     <a class="kt-nav__link" href="/admin/tickets/index?status=0" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-user-lock"></i></span>
                     <span class="kt-nav__link-text">Закрытые запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__separator"></li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/tickets/create" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-comment-alt"></i></span>
                     <span class="kt-nav__link-text">Написать клиенту</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/ticketcategory" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-list-alt"></i></span>
                     <span class="kt-nav__link-text">Все категории</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/ticketcategory/create" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-plus"></i></span>
                     <span class="kt-nav__link-text">Создать категорию</span>
                     </a>
                  </li>
                  <li class="kt-nav__separator"></li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/tickets/view/index/<?php echo $ticket['ticket_id'] ?>" role="tab" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Номер запроса">
                     <span class="kt-nav__link-icon"><i class="fa fa-life-ring"></i></span>
                     <span class="kt-nav__link-text">Запрос №<?php echo $ticket['ticket_id'] ?></span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="javascript:;" role="tab" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Статус запроса">
                     <span class="kt-nav__link-icon"><i class="fa fa-theater-masks"></i></span>
                     <span class="kt-nav__link-text"><?php if($ticket['ticket_status'] == 0): ?> 
                     Запрос закрыт
                     <?php elseif($ticket['ticket_status'] == 1): ?> 
                     Запрос открыт
                     <?php elseif($ticket['ticket_status'] == 2): ?> 
                     Получен ответ
                     <?php endif; ?></span>
                     </a>
                  </li>
                  <?php if($ticket['ticket_status'] != 0): ?>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" onClick="sendAction(<?php echo $ticket['ticket_id'] ?>,'closed')" role="tab" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Закрыть запрос">
                     <span class="kt-nav__link-icon"><i class="fa fa-lock"></i></span>
                     <span class="kt-nav__link-text">Закрыть запрос</span>
                     </a>
                  </li>
                  <?endif;?>
               </ul>
            </div>
         </div>
      </div>
      <div class="col-lg-8 col-xl-8 order-lg-2 order-xl-1">
         <form id="sendForm" action="" method="POST">
            <div class="kt-chat">
               <div class="kt-portlet kt-portlet--head-lg kt-portlet--last">
                  <div class="kt-scroll" data-scroll="true" style="height: 350px; overflow: auto;" data-mobile-height="300">
                     <div class="kt-portlet__body">
                        <div class="kt-chat__messages">
                           <?php foreach($messages as $item): ?> 
                           <?php if($item['user_access_level'] == 1): ?>
                           <div class="kt-chat__message">
                              <div class="kt-chat__user">
                                 <span class="kt-media kt-media--circle kt-media--sm"> 
                                 <img src="<?php echo $url ?><?if($item['user_img']) {echo $item['user_img'];}else{ echo '/application/public/img/user.png';}?>">
                                 </span>
                                 <a href="/admin/users/edit/index/<?php echo $ticket['user_id'] ?>" class="kt-chat__username"><?php echo $item['user_firstname'] ?> <?php echo $item['user_lastname'] ?></a>
                                 <span class="kt-chat__datetime"><?php echo date("d.m.Y в H:i", strtotime($item['ticket_message_date_add'])) ?></span>
                              </div>
                              <div class="kt-chat__text kt-bg-light-success">
                                <?php echo nl2br($item['ticket_message']) ?><br>
                                <?php foreach($images as $item1): ?> 
                                <?php if($item['ticket_message_date_add'] == $item1['image_date']): ?>
                                <a href="/<?=$item1['image'];?>" target="_blank"><span>Перейти к вложению</span></a><br>
                                <?php endif; ?>
                                <?endforeach;?>
                              </div>
                           </div>
                           <?php endif; ?>
                           <?php if($item['user_access_level'] > 1): ?>
                           <div class="kt-chat__message kt-chat__message--right">
                              <div class="kt-chat__user">
                                 <span class="kt-chat__datetime"><?php echo date("d.m.Y в H:i", strtotime($item['ticket_message_date_add'])) ?></span>
                                 <a href="/admin/users/edit/index/<?php echo $ticket['user_id'] ?>" class="kt-chat__username"><?php echo $item['user_firstname'] ?> <?php echo $item['user_lastname'] ?></a>
                                 <span class="kt-media kt-media--circle kt-media--sm"> 
                                 <img src="<?php echo $url ?><?if($item['user_img']) {echo $item['user_img'];}else{ echo '/application/public/img/user.png';}?>">
                                 </span>
                              </div>
                              <div class="kt-chat__text kt-bg-light-brand">
                                <?php echo nl2br($item['ticket_message']) ?><br>
                                <?php foreach($images as $item1): ?> 
                                <?php if($item['ticket_message_date_add'] == $item1['image_date']): ?>
                                <a href="/<?=$item1['image'];?>" target="_blank"><span>Перейти к вложению</span></a><br>
                                <?php endif; ?>
                                <?endforeach;?>
                              </div>
                           </div>
                           <?php endif; ?>
                           <?php endforeach; ?>
                        </div>
                     </div>
                  </div>
                  <div class="kt-portlet__foot">
                     <div class="kt-chat__input">
                        <div class="kt-chat__editor">
                           <div class="input-group">
                              <div class="input-group-append">
                                 <button type="button" class="btn btn-primary btn-icon" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                 <i class="flaticon2-photo-camera"></i>
                                 </button>
                                 <div class="dropdown-menu dropdown-menu-fit dropdown-menu-right dropdown-menu-md" style="">
                                    <!--begin::Nav-->
                                    <ul class="kt-nav">
                                       <li class="kt-nav__foot">
                                          <input class="form-control" type="file" name="file[]" multiple id="file">
                                       </li>
                                    </ul>
                                    <!--end::Nav-->
                                 </div>
                              </div>
                              <input type="text" class="form-control" type="text" id="text" name="text" placeholder="Напишите сообщение...">
                              <div class="input-group-append">
                                 <button class="btn btn-primary btn-icon" type="submit"><i class="flaticon2-paper-plane"></i></button>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>
<script>
   $('#sendForm').ajaxForm({ 
   	url: '/admin/tickets/view/ajax/<?php echo $ticket['ticket_id'] ?>',
   	dataType: 'text',
   	success: function(data) {
   		console.log(data);
   		data = $.parseJSON(data);
   		switch(data.status) {
   			case 'error':
   				toastr.error(data.error);
   				$('button[type=submit]').prop('disabled', false);
   				break;
   			case 'success':
   				toastr.success(data.success);
   				$('#text').val('');
   				setTimeout("reload()", 1500);
   				break;
   		}
   	},
   	beforeSubmit: function(arr, $form, options) {
   		$('button[type=submit]').prop('disabled', true);
   	}
   });
   function sendAction(ticketid, action) {
   	switch(action) {
   		case "closed":
   		{
   			if(!confirm("Вы уверенны в том, что хотите закрыть запрос?")) return;
   			break;
   		}
   	}
   	$.ajax({ 
   		url: '/admin/tickets/view/action/'+ticketid+'/'+action,
   		dataType: 'text',
   		success: function(data) {
   			console.log(data);
   			data = $.parseJSON(data);
   			switch(data.status) {
   				case 'error':
   					toastr.error(data.error);
   					$('#controlBtns button').prop('disabled', false);
   					break;
   				case 'success':
   					toastr.success(data.success);
   					setTimeout("reload()", 1500);
   					break;
   			}
   		},
   		beforeSend: function(arr, options) {
   			if(action == "closed") toastr.warning("Закрываем запрос...");
   			$('#controlBtns button').prop('disabled', true);
   		}
   	});
   }
   function toggleText() {
   	var status = $('#closeticket').is(':checked');
   	if(status) {
   		$('#text').prop('disabled', true);
   	} else {
   		$('#text').prop('disabled', false);
   	}
   }
</script>
<?php echo $footer ?>
