<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $header ?>
<div class="kt-container  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="row">
      <div class="col-lg-4 col-xl-4 order-lg-2 order-xl-1">
         <div class="kt-portlet">
            <div class="kt-portlet__body">
               <div class="kt-widget kt-widget--general-1">
                  <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                     <img src="<?php echo $url ?><?php echo $user_img ?>" alt="image">
                  </div>
                  <div class="kt-widget__wrapper">
                     <div class="kt-widget__label">
                        <a href="#" class="kt-widget__title">
                        <?php echo $user_lastname ?> <?php echo $user_firstname ?>
                        </a>
                        <span class="kt-widget__desc">
                        <?if($user_access_level == 1):?>
                        Пользователь
                        <?endif; ?>
                        <?if($user_access_level == 2):?>
                        Тех.поддержка
                        <?endif; ?>
                        <?if($user_access_level == 3):?>
                        Администратор
                        <?endif; ?>
                        </span>
                     </div>
                  </div>
                  <div class="kt-widget__toolbar kt-widget__toolbar--top-">
                     <div class="btn-group">
                        <div class="dropdown dropdown-inline">
                           <button type="button" class="btn btn-clean btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Техническая поддержка пользователей">
                           <i class="flaticon2-information"></i>
                           </button>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet__separator"></div>
            <div class="kt-portlet__body">
               <ul class="kt-nav kt-nav--bolder kt-nav--fit-ver kt-nav--v4" role="tablist">
                  <li class="kt-nav__item">
                     <a class="kt-nav__link active" href="/tickets" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-address-book"></i></span>
                     <span class="kt-nav__link-text">Мои запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__item  ">
                     <a class="kt-nav__link" href="/tickets/create" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-headset"></i></span>
                     <span class="kt-nav__link-text">Создать запрос</span>
                     </a>
                  </li>
                  <li class="kt-nav__item  active ">
                     <a class="kt-nav__link" href="/faq" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-book"></i></span>
                     <span class="kt-nav__link-text">База знаний</span>
                     </a>
                  </li>
               </ul>
            </div>
         </div>
      </div>
      <div class="col-lg-8 col-xl-8 order-lg-2 order-xl-1">
         <div class="kt-portlet">
            <div class="kt-portlet__body">
               <div class="accordion accordion-outline accordion-outline--padded" id="accordionExample">
                  <div class="card">
                     <div class="card-header" id="heading3">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse3" aria-expanded="false" aria-controls="collapseThree">
                           Ошибка UnknownResponse
                        </div>
                     </div>
                     <div id="collapse3" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Данная ошибка решается переименовыванием сервера английскими буквами.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading4">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse4" aria-expanded="false" aria-controls="collapseThree">
                           Информация перед установкой плагинов
                        </div>
                     </div>
                     <div id="collapse4" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              1. Устанавливайте только нужные Вам плагины.<br> 2. Слишком большое количество плагинов может вызвать увеличение пинга и лаги.<br> 3. Некоторые сочетания плагинов могут вызвать нестабильную работу сервера.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading5">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse5" aria-expanded="false" aria-controls="collapseThree">
                           Статус сервера Unknown
                        </div>
                     </div>
                     <div id="collapse5" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Проверьте наличие плагинов .so для вашего сервера в папке plugins, а также прописаны ли они в настройках сервера.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading6">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse6" aria-expanded="false" aria-controls="collapseThree">
                           Не запускается сервер
                        </div>
                     </div>
                     <div id="collapse6" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Прежде чем искать решение проблемы и писать нам в тех.поддержку в первую очередь необходимо выяснить, что за ошибка вам попалась.
                              Для этого вам необходимо посмотреть логи сервера и логи запуска сервера.
                              Это файлы server_log.txt и screenlog. Посмотреть вы их можете через ФТП, например.
                              В эти файлы записываются всё, что сервер отдает в командную строку.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading7">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse7" aria-expanded="false" aria-controls="collapseThree">
                           Ручное добавление bind в файл конфигурации
                        </div>
                     </div>
                     <div id="collapse7" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Если получилось так, что вам как-то удалось заменить наш стандартный файл конфигурации на свой, где нет строки bind, или просто удалить эту строку из нашего, то для нормальной работы сервера (да и вообще для любой) стоит эту строку вернуть назад. Ваши действия:
                              Скачать на компьютер файл конфигурации server.cfg
                              Открыть файл в любом текстовом редакторе и добавить в самый конец такую строку:<br>
                              bind<br>
                              Сохранить файл<br>
                              Закачать файл назад по фтп с заменой старого
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading8">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse8" aria-expanded="false" aria-controls="collapseThree">
                           server.cfg (SAMP,CRMP)
                        </div>
                     </div>
                     <div id="collapse8" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              echo - Все, что стоит после этого параметра - будет выводится в консоль сервера при запуске. Стандартно установлено Executing Server Config...<br>
                              lanmode - Указывает где работает сервер, в интернете или в локальной сети, 0 для интернета. Стандартно значение установлено на 0<br>
                              maxplayers.<br>
                              announce - Включает/выключает отображение сервера в Интернете.<br>
                              port - Порт сервера.<br>
                              hostname - Название вашего сервера.<br>
                              gamemode(n) (N) (t) - Игровой мод<br>
                              weburl - Адрес вашего сайта.<br>
                              rcon_password - RCON пароль сервера.<br>
                              filterscripts (N) - Скрипты<br>
                              plugins (N) - Плагины<br>
                              password (p) - Пароль сервера<br>
                              mapname (m) - Название карты<br>
                              bind - Указывает, на каком IP адресе работает сервер. Запрещено изменять на нашем хостинге.<br>
                              rcon 0/1 - Включает/выключает возможность использования RCON-консоли.<br>
                              maxnpc - Кол-во ботов, которые могут быть использоваться на сервере.<br>
                              onfoot_rate - Технический параметр.<br>
                              incar_rate - Технический параметр.<br>
                              weapon_rate - Технический параметр.<br>
                              stream_distance - Технический параметр.<br>
                              stream_rate - Технический параметр.<br>
                              Какой будет пинг?<br>
                              Проверить пинг и общее качество игрового сервера вы можете на тестовых демо серверах.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading9">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse9" aria-expanded="false" aria-controls="collapseThree">
                           Как подключиться к серверу через ftp?
                        </div>
                     </div>
                     <div id="collapse9" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              1. Скачать ftp-клиент, например: FileZilla<br>
                              2. После запуска программы необходимо указать данные от ftp-сервера, их вы получите в управлении вашего игрового сервера, в разделе "FTP Доступ".<br>
                              - в поле хост, введите ip-адрес сервера, с портам (21);<br>
                              - в поле имя пользователя, введите ваш логин от ftp;<br>
                              - в поле пароль, введите ваш пароль от ftp;<br>
                              - поле порт указать "21";<br>
                              3. После ввода данных, нажмите "Быстрое соединение"<br>
                              В правом нижнем углу загрузится структура вашего игрового сервера. Здесь вы можете устанавливать любые плагины и выполнять любые настройки своего игрового сервера.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading10">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse10" aria-expanded="false" aria-controls="collapseThree">
                           Что такое купон?
                        </div>
                     </div>
                     <div id="collapse10" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Купон - это код,который вы вводите при заказе сервера,для получения скидки. (Вводить не обязательно).
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading11">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse11" aria-expanded="false" aria-controls="collapseThree">
                           Как заработать бонусы?
                        </div>
                     </div>
                     <div id="collapse11" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Бонусы можно получить за:
                              <br>
                              За заказ сервера
                              <br>
                              За продление сервера
                              <br>
                              За докупку слотов
                              <br>
                              За приглашенных клиентов (вы будете получать 30 процентов от их пополнений)
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading12">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse12" aria-expanded="false" aria-controls="collapseThree">
                           Через сколько удаляется сервер если его не оплачивать?
                        </div>
                     </div>
                     <div id="collapse12" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Сервер удаляется через 24 часа с момента отключения.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading13">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse13" aria-expanded="false" aria-controls="collapseThree">
                           Что такое "Бэкапы"
                        </div>
                     </div>
                     <div id="collapse13" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Резервное копирование — процесс создания копии данных на носителе, предназначенном для восстановления данных в оригинальном или новом месте их расположения в случае их повреждения или разрушения.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading14">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse14" aria-expanded="false" aria-controls="collapseThree">
                           В обязанности службы технической поддержки хостинга входит решение следующих задач
                        </div>
                     </div>
                     <div id="collapse14" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Реагировать на проблемы неработоспособности функций хостинга. Предоставлять необходимую информацию касательно хостинга. Выполнять задачи поставленные клиентом (в случаи если эти задачи невозможно осуществить со стороны клиента, и эти задачи не входят в ряд дополнительных услуг.)
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading15">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse15" aria-expanded="false" aria-controls="collapseThree">
                           Не входит обязанности службы технической поддержки
                        </div>
                     </div>
                     <div id="collapse15" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Устанавливать и настраивать плагины, моды, звуки, и т.д. даже в том случае, если клиент сам не в состоянии их настроить. Делать за клиента операции, которые может сделать клиент сам через FTP или Панель Управления в дальнейшем сокращёно ПУ Проводить обучение по настройке плагинов, по работе с серверами и другими услугами. Оказывать техподдержку лицам, которые не являются клиентами Хостинга. Проводить обучение по работе с серверами и другими услугами. Отвечать на вопросы которые не имеют отношения к сервисам хостинга.
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="card">
                     <div class="card-header" id="heading16">
                        <div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse16" aria-expanded="false" aria-controls="collapseThree">
                           Важно знать и помнить
                        </div>
                     </div>
                     <div id="collapse16" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
                        <div class="card-body">
                           <p>
                              Хостинг не отвечает за работоспособность/стабильность Вашего сервера с установленными Вами не стандартных плагинов, карт и других файлов. Мы не несем ответственности за работоспособность сервера при Вашей самостоятельной его настройке, наша задача предоставить Вам выделенный полностью рабочий сервер. Мы не обязаны, исправлять какие либо Ваши ошибки после которых, сервер не запускается или работает нестабильно. Возможно мы сможем помочь Вам в каких-либо вопросах связанных с настройкой, но задавать их нужно во вкладке Тех.Поддержка
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="kt-portlet kt-callout">
                     <div class="kt-portlet__body">
                        <div class="kt-callout__body">
                           <div class="kt-callout__content">
                              <h3 class="kt-callout__title">Не нашли ответа на ваш вопрос?</h3>
                              <p class="kt-callout__desc">
                                 Задайте ваш вопрос технической поддержки хостинга
                              </p>
                           </div>
                           <div class="kt-callout__action">
                              <a href="/tickets/create" class="btn btn-bold btn-upper btn-font-sm btn-primary">Задать вопрос</a>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<?php echo $footer ?>