<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php include 'application/views/common/menuserver.php';?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
      <div class="row">
         <div class="col-lg-4 col-xl-4">
            <div class="kt-portlet">
               <div class="kt-portlet__body">
                  <div class="kt-widget kt-widget--general-1">
                     <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                        <?php if($server['server_status'] == 1): ?>
                        <img src="/application/public/img/power.png" alt="image">
                        <?php elseif($server['server_status'] == 2): ?>
                        <img src="/application/public/img/gamecontroller.png" alt="image">
                        <?php elseif($server['server_status'] == 3 || $server['server_status'] == 4 || $server['server_status'] == 5 || $server['server_status'] == 6): ?>
                        <img src="/application/public/img/loading.png" alt="image">
                        <?php elseif($server['server_status'] == 0): ?>
                        <img src="/application/public/img/locked1.png" alt="image">
                        <?php elseif($server['server_status'] == 7): ?>
                        <img src="/application/public/img/hourglass.png" alt="image">
                        <?php endif; ?>
                     </div>
                     <div class="kt-widget__wrapper">
                        <div class="kt-widget__label">
                           <a href="javascript:;" class="kt-widget__title">
                           <?php echo $server['game_name'] ?>
                           </a>
                           <span class="kt-widget__desc">
                           <?php if($server['server_status'] == 1): ?>
                           Выключен
                           <?php elseif($server['server_status'] == 2): ?>
                           Включен
                           <?php elseif($server['server_status'] == 3): ?>
                           Устанавливается
                           <?php elseif($server['server_status'] == 4): ?>
                           Переустанавливается
                           <?php elseif($server['server_status'] == 5): ?>
                           Создается бекап
                           <?php elseif($server['server_status'] == 6): ?>
                           Устанавливается бекап
                           <?php elseif($server['server_status'] == 0): ?>
                           Заблокирован
                           <?php elseif($server['server_status'] == 7): ?>
                           Обновляется
                           <?php endif; ?>
                           </span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet sticky kt-sticky">
               <div class="kt-portlet__body kt-portlet__body--fit">
                  <ul class="kt-nav kt-nav--bold kt-nav--md-space kt-nav--v3 kt-margin-t-5 kt-margin-b-5 nav nav-tabs" role="tablist">
                     <?php if($server['server_status'] == 1): ?>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $server['server_id'] ?>,'start')">
                        <span class="kt-nav__link-icon"><i class="fa fa-power-off"></i></span>
                        <span class="kt-nav__link-text">Включить сервер</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $server['server_id'] ?>,'reinstall')">
                        <span class="kt-nav__link-icon"><i class="fa fa-broom"></i></span>
                        <span class="kt-nav__link-text">Переустановить сервер</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" data-toggle="modal" data-target="#pay">
                        <span class="kt-nav__link-icon"><i class="fa fa-cart-plus"></i></span>
                        <span class="kt-nav__link-text">Продлить</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $server['server_id'] ?>,'backup')">
                        <span class="kt-nav__link-icon"><i class="fa fa-cloud-download-alt"></i></span>
                        <span class="kt-nav__link-text">Сделать BackUP</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $server['server_id'] ?>,'unbackup')">
                        <span class="kt-nav__link-icon"><i class="fa fa-cloud-upload-alt"></i></span>
                        <span class="kt-nav__link-text">Развернуть BackUP</span>
                        </a>
                     </li>
                     <?php elseif($server['server_status'] == 2): ?>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $server['server_id'] ?>,'stop')">
                        <span class="kt-nav__link-icon"><i class="fa fa-power-off"></i></span>
                        <span class="kt-nav__link-text">Выключить сервер</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $server['server_id'] ?>,'restart')">
                        <span class="kt-nav__link-icon"><i class="fa fa-sync-alt"></i></span>
                        <span class="kt-nav__link-text">Перезапустить сервер</span>
                        </a>
                     </li>
                     <?php elseif($server['server_status'] == 0): ?>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" data-toggle="modal" data-target="#pay">
                        <span class="kt-nav__link-icon"><i class="fa fa-cart-plus"></i></span>
                        <span class="kt-nav__link-text">Продлить</span>
                        </a>
                     </li>
                     <?php endif; ?>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="/servers/statistics/index/<?php echo $server['server_id'] ?>">
                        <span class="kt-nav__link-icon"><i class="fa fa-chart-line"></i></span>
                        <span class="kt-nav__link-text">Статистика сервера</span>
                        </a>
                     </li>
                     <li class="kt-nav__separator"></li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Процент нагрузки CPU">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">CPU</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_cpu_load'] ?>/<?php echo $server['game_cores'] * 100 ?>%</span>
                        </span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Процент нагрузки RAM">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">RAM</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_ram_load'] ?>/100%</span>
                        </span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Занятость директории">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">SSD</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_ssd_load'] ?>/<?php echo $server['game_ssd'] ?>МБ</span>
                        </span>
                        </a>
                     </li>
                  </ul>
               </div>
            </div>
         </div>
         <div class="col-xl-8 col-lg-8">
            <div class="row">
               <?php if($server['server_status'] == 2): ?>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Название <small><?php echo $query['hostname'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Режим <small><?php echo $query['gamemode'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Карта <small><?php echo $query['mapname']; ?></small>
                           </h3>
                        </div>
                        <?php if($server['game_code'] == "cs" || $server['game_code'] == "csgo" || $server['game_code'] == "css"): ?>
                        <div class="kt-portlet__head-toolbar">
                           <div class="kt-portlet__head-toolbar-wrapper">
                              <div class="dropdown dropdown-inline">
                                 <a href="javascript:;" data-toggle="modal" data-target="#mapcs" class="badge badge-primary" style="margin-right: .25rem"><i class="fa fa-wrench" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Изменить"></i></a>
                              </div>
                           </div>
                        </div>
                        <?php endif; ?>
                     </div>
                  </div>
               </div>
               <?php endif; ?>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Адрес <small><?php echo $server['location_ip'] ?>:<?php echo $server['server_port'] ?></small>
                           </h3>
                        </div>
                        <div class="kt-portlet__head-toolbar">
                           <div class="kt-portlet__head-toolbar-wrapper">
                              <div class="dropdown dropdown-inline">
                                 <a href="javascript:;" data-toggle="modal" data-target="#buyPort" class="badge badge-primary" style="margin-right: .25rem"><i class="fa fa-wrench" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Изменить"></i></a>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Слоты <small><?php echo $server['server_slots'] ?></small>
                           </h3>
                        </div>
                        <div class="kt-portlet__head-toolbar">
                           <div class="kt-portlet__head-toolbar-wrapper">
                              <div class="dropdown dropdown-inline">
                                 <a href="javascript:;" data-toggle="modal" data-target="#buySlots" class="badge badge-primary" style="margin-right: .25rem"><i class="fa fa-wrench" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Изменить"></i></a>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Оплачен до <small><?php echo date("d.m.Y", strtotime($server['server_date_end'])) ?></small>
                           </h3>
                        </div>
                        <div class="kt-portlet__head-toolbar">
                           <div class="kt-portlet__head-toolbar-wrapper">
                              <div class="dropdown dropdown-inline">
                                 <a href="javascript:;" data-toggle="modal" data-target="#pay" class="badge badge-primary" style="margin-right: .25rem"><i class="fa fa-wrench" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Изменить"></i></a>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Локация <small><?php echo $server['location_name'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<!--begin::Modal-->
<div class="modal fade" id="pay" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Продление сервера</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true"></span>
            </button>
         </div>
         <form id="payForm" method="POST" class="form_0" style="padding:0px; margin:0px;">
            <div class="modal-body">
               <div class="form-group m-form__group">
                  <div class="input-group">
                     <select style="width:340px;" class="form-control" id="months" name="months" onchange="updatePrice()">
                        <option value="1">1 месяц</option>
                        <option value="3">3 месяца</option>
                        <option value="6">6 месяцев</option>
                        <option value="12">12 месяцев</option>
                     </select>
                  </div>
               </div>
               <div class="m-accordion m-accordion--section m-accordion--padding-lg" style="margin-bottom: 1rem;">
                  <div class="m-accordion__item">
                     <div class="m-accordion__item-head collapsed" style="padding: 0.7rem 2rem;">
                        <span class="m-accordion__item-title" style="font-size: 1.4rem;">Итого к оплате: <span id="price2">0.00 руб.</span></span>  
                     </div>
                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
                  <button class="btn m-btn--square  btn-info" type="submit">Оплатить</button>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>
<!--end::Modal-->
<!--begin::Modal-->
<div class="modal fade" id="buyPort" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Смена порта</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <form id="portForm" method="POST" class="form_0" style="padding:0px; margin:0px;">
            <div class="modal-body">
               <div class="form-group m-form__group">
                  <div class="input-group">
					<input type="text" class="form-control" id="port" name="port" value="<?echo $server['server_port']?>">
                  </div>
               </div>
               <div class="m-accordion m-accordion--section m-accordion--padding-lg" style="margin-bottom: 1rem;">
                  <div class="m-accordion__item">
                     <div class="m-accordion__item-head collapsed" style="padding: 0.7rem 2rem;">
                        <span class="m-accordion__item-title" style="font-size: 1.4rem;">Стоимость: <span id="price_port"></span><?php echo $portPrice ?> руб.</span>  
                     </div>
                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
                  <button class="btn m-btn--square  btn-info" name="buy_port" type="submit">Сменить</button>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>
<!--end::Modal-->
<!--begin::Modal-->
<div class="modal fade" id="mapcs" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Смена карты</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <form id="changemap" method="POST" class="form_0" style="padding:0px; margin:0px;">
            <div class="modal-body">
               <div class="input-group">
                  <select style="width:340px;border-radius: 0;" name="map" class="form-control"><?php echo $maps ?></select>
               </div>
            </div>
            <div class="modal-footer">
               <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
               <button class="btn m-btn--square  btn-info" type="submit">Сменить</button>
            </div>
         </form>
      </div>
   </div>
</div>
<!--end::Modal-->
<!--begin::Modal-->
<div class="modal fade" id="buySlots" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Изменение слотов</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <form id="edit_slots" method="POST" class="form_0" style="padding:0px; margin:0px;">
            <div class="modal-body">
               <div class="form-group m-form__group">
                  <div class="input-group" onkeyup="updateForm(true)">
                     <span class="input-group-btn"><button class="btn btn-default" type="button" onclick="minusSlots()">-</button></span>
                     <input type="text" class="form-control" id="slots" name="slots" value="<?echo $server['server_slots']?>">
                     <span class="input-group-btn"><button class="btn btn-default" type="button" onclick="plusSlots()">+</button></span>
                  </div>
               </div>
               <div class="m-accordion m-accordion--section m-accordion--padding-lg" style="margin-bottom: 1rem;">
                  <div class="m-accordion__item">
                     <div class="m-accordion__item-head collapsed" style="padding: 0.7rem 2rem;">
                        <span class="m-accordion__item-title" style="font-size: 1.4rem;">Итого к оплате: <span id="price"></span></span>  
                     </div>
                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
                  <button class="btn m-btn--square  btn-info" type="submit">Оплатить</button>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>
<!--end::Modal-->
<script>
    function sendAction(serverid, action) {
		switch(action) {
			case "reinstall":
			{
				if(!confirm("Вы уверенны в том, что хотите переустановить сервер? Все данные будут удалены.")) return;
				break;
			}
			case "backup":
			{
				if(!confirm("Вы уверены в том, что хотите сделать бэкап сервера? Прежний бэкап будет удален.")) return;
				break;
			}
			case "unbackup":
			{
				if(!confirm("Вы уверены в том, что хотите восстановить сервер?")) return;
				break;
			}
		}
		$.ajax({ 
			url: '/servers/control/action/'+serverid+'/'+action,
			dataType: 'text',
			success: function(data) {
				console.log(data);
				data = $.parseJSON(data);
				switch(data.status) {
					case 'error':
						toastr.error(data.error);
						$('#controlBtns button').prop('disabled', false);
						break;
					case 'success':
						toastr.success(data.success);
						setTimeout("reload()", 1500);
						break;
				}
			},
			beforeSend: function(arr, options) {
				toastr.warning("Обработка запроса... Пожалуйста подождите.");                                    
                $('#controlBtns button').prop('disabled', true);
            }
		});
	}
   
	$('#portForm').ajaxForm({ 
		url: '/servers/control/ajax_port/<?php echo $server['server_id'] ?>',
		dataType: 'text',
		success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("reload()",1000);
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
    });
   
  
    $('#changemap').ajaxForm({ 
		url: '/servers/control/changemap_go/<?php echo $server['server_id'] ?>',
		dataType: 'text',
		success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					$('button[type=submit]').prop('disabled', false);
					setTimeout("reload()", 2500);
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);		
		}
    });   

</script>
<script>
    $('#edit_slots').ajaxForm({ 
		url: '/servers/control/ajax/<?php echo $server['server_id'] ?>',
		dataType: 'text',
		success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("reload()",1000);
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
	});
	
    $(document).ready(function() {
		updateForm();
    });
	
    function updateForm(promo) {
		var gamePrice = <?=$server['game_price']?>;
		var gameMax = <?=$server['game_max_slots']?>;
		var sslots = <?=$server['server_slots']?>;
		var slots = $("#slots").val();
		if(slots < sslots) {
			slots = sslots;
			$("#slots").val(slots);
		}
		else if(slots > gameMax) {
			slots = gameMax;
			$("#slots").val(slots);
		}
		var price = ((gamePrice * (slots - sslots)) / 30) * <?php echo $days ?>;
        $('#price').text(price.toFixed(2) + ' руб.');
    }
   
	function plusSlots() {
		value = parseInt($('#slots').val());
		$('#slots').val(value+1);
		updateForm();
	}
	function minusSlots() {
		value = parseInt($('#slots').val());
		$('#slots').val(value-1);
		updateForm();
	}
</script>
<script>
	$('#payForm').ajaxForm({ 
		url: '/servers/control/buy_months/<?php echo $server['server_id'] ?>',
		dataType: 'text',
		success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("reload()", 1500);
					break;
				}
			},
			beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
	});
						
	$(document).ready(function() {
		updatePrice();
	});

	function updatePrice() {
		var price2 = <?php echo $server['game_price'] ?> * <?php echo $server['server_slots'] ?>;
		var months = $("#months option:selected").val();
		switch(months) {
			case "3":
				price2 = 3 * price2;
				months = 3;
				break;
			case "6":
				price2 = 6 * price2;
				months = 6;
				break;
			case "12":
				price2 = 12 * price2;
				months = 12;
				break;
		}
		$('#price2').text(price2.toFixed(2) + ' руб. Месяц: ' + months);
	}
</script>
<?php echo $footer ?>