<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php include 'application/views/common/menuserver.php';?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
      <div class="row">
         <div class="col-lg-4 col-xl-4">
            <div class="kt-portlet">
               <div class="kt-portlet__body">
                  <div class="kt-widget kt-widget--general-1">
                     <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                        <img src="/application/public/img/firewall.png" alt="image">
                     </div>
                     <div class="kt-widget__wrapper">
                        <div class="kt-widget__label">
                           <a href="#" class="kt-widget__title">
                           Firewall
                           </a>
                           <span class="kt-widget__desc">
                           Блокировка ip адресов.
                           </span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet sticky kt-sticky">
               <div class="kt-portlet__body kt-portlet__body--fit">
                  <ul class="kt-nav kt-nav--bold kt-nav--md-space kt-nav--v3 kt-margin-t-5 kt-margin-b-5 nav nav-tabs" role="tablist">
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" data-toggle="modal" data-target="#firewallinfo">
                        <span class="kt-nav__link-icon"><i class="fa fa-exclamation-circle"></i></span>
                        <span class="kt-nav__link-text">Информация</span>
                        </a>
                     </li>
                     <li class="kt-nav__separator"></li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Процент нагрузки CPU">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">CPU</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_cpu_load'] ?>/<?php echo $server['game_cores'] * 100 ?>%</span>
                        </span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Процент нагрузки RAM">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">RAM</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_ram_load'] ?>/100%</span>
                        </span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Занятость директории">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">SSD</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_ssd_load'] ?>/<?php echo $server['game_ssd'] ?>МБ</span>
                        </span>
                        </a>
                     </li>
                  </ul>
               </div>
            </div>
         </div>
         <div class="col-xl-8 col-lg-8">
            <div class="kt-portlet sticky kt-sticky">
               <div class="kt-portlet__head">
                  <div class="kt-portlet__head-label">
                     <h3 class="kt-portlet__head-title">Добавить адрес</h3>
                  </div>
               </div>
               <div class="kt-portlet__body">
                  <form class="form-horizontal" action="#" id="addForm" method="POST">
                     <div class="form-group m-form__group">
                        <label>Введите IP адрес</label>
                        <input class="form-control m-input m-input--air" id="address" name="address" placeholder="0.0.0.0">
                     </div>
                     <button type="submit" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase">Добавить IP</button>
                  </form>
               </div>
            </div>
         </div>
      </div>
      <div class="row">
         <?php foreach($Firewalls as $item): ?>
         <div class="col-lg-4 col-xl-4">
            <div class="kt-portlet kt-portlet--height-fluid kt-widget-12">
               <div class="kt-portlet__body">
                  <div class="kt-widget-12__body">
                     <div class="kt-widget-12__head">
                        <div class="kt-widget-12__date kt-widget-12__date--metal">
                           <span class="kt-widget-12__day" style="color: #5867dd;"><?php echo $item['firewall_id'] ?></span>
                        </div>
                        <div class="kt-widget-12__label">
                           <h3 class="kt-widget-12__title"><?php echo $item['server_ip'] ?></h3>
                           <span class="kt-widget-12__desc"><?php echo $item['firewall_add'] ?></span>
                        </div>
                     </div>
                     <div class="kt-widget-12__info">
                        <a onclick="sendAction('delete', <?php echo $item['firewall_id'] ?>)" class="btn btn btn-label btn-label-brand btn-bold  btn-block">Разблокировать IP</a>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <?php endforeach; ?>
      </div>
   </div>
</div>
<!--begin::Modal-->
<div class="modal fade" id="firewallinfo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Информация</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <p>
               Firewall - это гарантированная защита Вашего сервера от нежелательных гостей. Он позволяет ограничить доступ определенным лицам по IP-адресу прямо из Панели управления. В отличие от бана в игре, такая блокировка полностью фильтрует весь трафик с данного IP-адреса.
            </p>
            <hr>
            <h6 class="alert-heading">Примеры для блокировки IP</h6>
            <p>
               1.1.1.1 - Одиночный IP адрес<br>
               1.1.1.0/24 - Сеть из 256 адресов (с 1.1.1.1 по 1.1.1.255)<br>
               1.1.1.0/255.255.255.0 - Сеть из 256 адресов (с 1.1.1.1 по 1.1.1.255)<br>
               1.1.0.0/16 - Сеть из 65536 адресов (с 1.1.1.1 по 1.1.255.255)<br>
               1.1.0.0/255.255.0.0 - Сеть из 65536 адресов (с 1.1.1.1 по 1.1.255.255)
            </p>
            </h4>
         </div>
      </div>
   </div>
</div>
<!--end::Modal-->
<script>	
	$('#addForm').ajaxForm({ 
		url: '/servers/firewall/ajax/<?php echo $server['server_id'] ?>',
		dataType: 'text',
		success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("reload()", 1500);
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
	});

	function sendAction(action, firewallid) {
		switch(action) {
			case "deleteall":
			{
				if(!confirm("Вы уверенны в том, что хотите удалить все заблокированные адреса?")) return;
				break;
			}
		}		
		$.ajax({ 
			url: '/servers/firewall/action/'+action+'/<?php echo $server['server_id'] ?>/'+firewallid,
			dataType: 'text',
			success: function(data) {
				console.log(data);
				data = $.parseJSON(data);
				switch(data.status) {
					case 'error':
						toastr.error(data.error);
						$('#controlBtns button').prop('disabled', false);
						break;
					case 'success':
						toastr.success(data.success);
						setTimeout("reload()", 1500);
						break;
				}
			}
		});
	}	
</script>
<?php echo $footer ?>
