<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $header ?>
<form class="form-group form-md-line-input" action="#" id="orderForm" method="POST">
	<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
		<div class="kt-content">
			<div class="row">
				<div class="col-xl-8 col-lg-8">
					<div class="kt-portlet sticky kt-sticky">
						<div class="kt-portlet__head">
							<div class="kt-portlet__head-label">
								<h3 class="kt-portlet__head-title">Параметры сервера</h3>
							</div>
						</div>
						<div class="kt-portlet__body">
							<div class="form-group form-md-line-input">
								<label>Выберите игру</label>
								<select class="form-control" id="gameid" name="gameid" aria-required="true" aria-invalid="false" aria-describedby="delivery-error" onChange="updateForm()">
									<?php foreach($games as $item): ?> 
									<option value="<?php echo $item['game_id'] ?>"><?php echo $item['game_name'] ?></option>
									<?php endforeach; ?>
									<?php if(empty($games)): ?>
									<option value="0">На данный момент нет доступных игр</option>
									<?php endif; ?>
								</select>
							</div>
							<div class="form-group form-md-line-input">
								<label>Выберите локацию</label>
								<select class="form-control" id="locationid" name="locationid" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
									<?php foreach($locations as $item): ?> 
									<option value="<?php echo $item['location_id'] ?>"><?php echo $item['location_name'] ?> | Загруженность <?php echo $item['location_cpu'] ?>%</option>
									<?php endforeach; ?>
									<?php if(empty($locations)): ?>
									<option value="0">На данный момент нет доступных локаций</option>
									<?php endif; ?>
								</select>
							</div>
							<div class="form-group form-md-line-input">
								<label>Выберите период оплаты</label>
								<select class="form-control" id="months" name="months" aria-required="true" aria-invalid="false" aria-describedby="delivery-error" onChange="updateForm()">
									<option value="1">30 дней</option>
									<option value="3">90 дней (-5%)</option>
									<option value="6">180 дней (-10%)</option>
									<option value="12">360 дней (-15%)</option>
									<?if($serv_test == 1):?>
									<option value="0">Тестовый период 3 дня</option>
									<?endif;?>
								</select>
							</div>
							<div class="form-group form-md-line-input">
								<label>Введите количество слотов</label>
								<div class="input-group">
									<div class="input-group-prepend">
										<button type="button" onclick="plusSlots()" class="btn btn-primary btn-icon"><i class="fa fa-angle-up"></i></button>
									</div>
									<input oninput="this.value = this.value.replace(/\D/g, '')" class="form-control" id="slots" name="slots" onkeyup="updateForm(true)">
									<div class="input-group-append">
										<button type="button" onclick="minusSlots()" class="btn btn-primary btn-icon"><i class="fa fa-angle-down"></i></button>
									</div>
								</div>
							</div>
							<label>Придумайте пароль для FTP</label>
							<div class="input-group">
								<input type="text" class="form-control m-input" id="password" name="password" placeholder="Пароль">
								<div class="input-group-append">
									<button type="button" onClick="genPass()" class="btn btn-primary btn-icon"><i class="fa fa-undo"></i></button>
								</div>
							</div>
							<br>
							<div class="form-group form-md-line-input">
								<label>Повторите пароль для FTP</label>
								<input type="text" class="form-control" id="password2" name="password2" placeholder="Повторите пароль">
							</div>
						</div>
					</div>
				</div>
				<div class="col-xl-4 col-lg-4">
					<div class="kt-portlet sticky kt-sticky">
						<div class="kt-portlet__head">
							<div class="kt-portlet__head-label">
								<h3 class="kt-portlet__head-title">Информация о заказе</h3>
							</div>
						</div>
						<div class="kt-portlet__body">
							<div class="accordion accordion-outline" id="accordionExample">
								<div class="card">
									<div class="card-header" id="heading3">
										<div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse3" aria-expanded="false" aria-controls="collapseThree">
											<i class="fa fa-gift"></i> Есть купон? 
										</div>
									</div>
									<div id="collapse3" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
										<div class="card-body">
											<div data-repeater-item="" class="kt--margin-bottom-10">
												<div class="input-group">
													<div class="input-group-prepend">
														<span class="input-group-text">
														<i class="fa fa-gift"></i>
														</span>
													</div>
													<input id="promo" type="text" class="form-control form-control-danger" type="promo" name="promo" placeholder="Купон">
													<div class="input-group-append">
														<button type="button" onclick="promoCode()" class="btn btn-primary btn-icon"><i class="fa fa-check"></i></button>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<hr>
							<div class="m-demo" data-code-preview="true" data-code-html="true" data-code-js="false">
								<div class="m-demo__preview m-demo__preview--primary">
									<center>
										<h4 class="m-widget4__number m--font-primary" for="price">Итого к оплате <span id="price"> 0.00 руб.</span></h4>
										<p><span id="server">Получение данных...</span></p>
									</center>
								</div>
							</div>
							<button type="submit" class="btn btn-primary m-btn m-btn--air btn-outline  btn-block sbold uppercase">Заказать</button>
						</div>
					</div>
				</div>
				<div class="col-xl-12 col-lg-12">
					<div class="kt-portlet sticky kt-sticky">
						<div data-code-preview="true" data-code-html="true" data-code-js="false">
							<div class="m-demo__preview">
								<div class="m-nav-grid">
									<div class="m-nav-grid__row">
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-podcast"></i>
										<span class="m-nav-grid__text">MySQL</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-server"></i>
										<span class="m-nav-grid__text">FTP</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-fingerprint"></i>
										<span class="m-nav-grid__text">Firewall</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-cloud-download-alt"></i>
										<span class="m-nav-grid__text">BackUP</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-terminal"></i>
										<span class="m-nav-grid__text">Console</span>
										</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>                
<script>
	var gameData = {
	<?php foreach($games as $item): ?> 
		<?php echo $item['game_id'] ?>: {
			'minslots': <?php echo $item['game_min_slots'] ?>,
			'maxslots': <?php echo $item['game_max_slots'] ?>,
			'price': <?php echo $item['game_price'] ?>,
			'cpu': <?php echo $item['game_cores'] * 100 ?>,
			'ram': <?php echo $item['game_ram'] ?>,
			'ssd': <?php echo $item['game_ssd'] ?>
		},
	<?php endforeach; ?> 
	};
	
	$('#orderForm').ajaxForm({ 
		url: '/servers/order/ajax',
		dataType: 'text',
		success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("redirect('/servers/control/index/" + data.id + "')", 1500);
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
			toastr.warning("Идет просмотр настроек сервера. И подготовка к установке.");
		}
	});
	
	$(document).ready(function() {
		updateForm();
	});
	
	function promoCode(){
		var promo = $("#promo").val();
		$.post("/servers/order/promo",{code: promo},function(data){
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					updateForm();
					break;
				case 'success':
					toastr.success(data.success);
					updateForm(data.skidka);
					break;
			}
		});
		
	}
	
	function updateForm(promo) {
		var gameID = $("#gameid option:selected").val();
		var slots = $("#slots").val();
		if(slots < gameData[gameID]['minslots']) {
			slots = gameData[gameID]['minslots'];
			$("#slots").val(slots);
		}
		if(slots > gameData[gameID]['maxslots']) {
			slots = gameData[gameID]['maxslots'];
			$("#slots").val(slots);
		}
		var price = gameData[gameID]['price'] * slots;
		var months = $("#months option:selected").val();
		switch(months) {
			case "0":
				price = 0;
				break;
			case "1":
				break;
			case "3":
				price = 3 * price * 0.95;
				break;
			case "6":
				price = 6 * price * 0.90;
				break;
			case "12":
				price = 12 * price * 0.85;
				break;
		}
		if(promo != null){price = price * promo;}
		
		$('#price').text(price.toFixed(2) + ' руб.');
		$('#server').text('CPU: '+gameData[gameID]['cpu']+'%, RAM: '+gameData[gameID]['ram']+' МБ, SSD: '+gameData[gameID]['ssd']+' МБ');
	}
	
	function plusSlots() {
		value = parseInt($('#slots').val());
		$('#slots').val(value+1);
		updateForm();
	}
	function minusSlots() {
		value = parseInt($('#slots').val());
		$('#slots').val(value-1);
		updateForm();
	}
	
	function generatePwd() {
		var length = 8,
			charset = "abcdefghijklnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
			retVal = "";
		for (var i = 0, n = charset.length; i < length; ++i) {
			retVal += charset.charAt(Math.floor(Math.random() * n));
		}
		return retVal;
	}
	
	function genPass() {
		document.getElementById('password').type = 'text';
		document.getElementById('password2').type = 'text';
		iString = generatePwd();
		$('#password').val(iString);
		$('#password2').val(iString);
	}
</script>
<?php echo $footer ?>