<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php include 'application/views/common/menuserver.php';?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
	   <div class="row">
		  <div class="col-lg-6">
			 <div class="kt-portlet">
				<div class="kt-portlet__head">
				   <div class="kt-portlet__head-label">
					  <h3 class="kt-portlet__head-title">
						 Количество игроков (история)
					  </h3>
				   </div>
				</div>
				<div class="kt-portlet__body">
				   <div id="statsGraph" style="height: 350px;"></div>
				</div>
			 </div>
		  </div>
		  <div class="col-lg-6">
			 <div class="kt-portlet">
				<div class="kt-portlet__head">
				   <div class="kt-portlet__head-label">
					  <h3 class="kt-portlet__head-title">
						 Ресурсы сервера (история)
					  </h3>
				   </div>
				</div>
				<div class="kt-portlet__body">
				   <div id="loads" style="height: 350px;"></div>
				</div>
			 </div>
		  </div>
		  
		  <div class="col-lg-6">
			 <div class="kt-portlet">
				<div class="kt-portlet__head">
				   <div class="kt-portlet__head-label">
					  <h3 class="kt-portlet__head-title">
						 Ресурсы сервера (онлайн)
					  </h3>
				   </div>
				</div>
				<div class="kt-portlet__body">
					<div class="kt-widget-11">
						<div class="kt-widget-11__item">
							<div class="kt-widget-11__wrapper">
								<div class="kt-widget-11__title"> CPU </div>
								<div class="kt-widget-11__value"> <?php echo $server['server_cpu_load'] ?>/<?php echo $server['game_cores'] * 100 ?>% (Обновлено в <?php echo date("H:i:s", strtotime($server['server_ram_cpu_date'])) ?>) </div>
							</div>
							<div class="kt-widget-11__progress">
								<div class="progress">
									<div class="progress-bar progress-bar-striped progress-bar-animated bg-danger" role="progressbar" style="width:<?php echo (int)(($server['server_cpu_load'] * 100) / $server['game_cores']) / 100 ?>%" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
							</div>
						</div>
						<div class="kt-widget-11__item">
							<div class="kt-widget-11__wrapper">
								<div class="kt-widget-11__title"> RAM </div>
								<div class="kt-widget-11__value"> <?php echo $server['server_ram_load'] ?>/100% (Обновлено в <?php echo date("H:i:s", strtotime($server['server_ram_cpu_date'])) ?>) </div>
							</div>
							<div class="kt-widget-11__progress">
								<div class="progress">
									<div class="progress-bar progress-bar-striped progress-bar-animated bg-warning" role="progressbar" style="width:<?php echo $server['server_ram_load'] ?>%" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
							</div>
						</div>
						<div class="kt-widget-11__item">
							<div class="kt-widget-11__wrapper">
								<div class="kt-widget-11__title"> SSD </div>
								<div class="kt-widget-11__value"> <?php echo (int)(($server['server_ssd_load'] * 100) / $server['game_ssd']) ?>% (Обновлено в <?php echo date("H:i:s", strtotime($server['server_ram_cpu_date'])) ?>)</div>
							</div>
							<div class="kt-widget-11__progress">
								<div class="progress">
									<div class="progress-bar progress-bar-striped progress-bar-animated bg-brand" role="progressbar" style="width:<?php echo (int)(($server['server_ssd_load'] * 100) / $server['game_ssd']) ?>%" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
							</div>
						</div>
						<?php if($server['server_status'] == 2): ?>
						<div class="kt-widget-11__item">
							<div class="kt-widget-11__wrapper">
								<div class="kt-widget-11__title"> Слоты </div>
								<div class="kt-widget-11__value"> <?php echo $query['players'] ?> из <?php echo $server['server_slots'] ?> слотов (Обновлено сейчас)</div>
							</div>
							<div class="kt-widget-11__progress">
								<div class="progress">
									<div class="progress-bar progress-bar-striped progress-bar-animated bg-success" role="progressbar" style="width:<?php echo (int)(($query['players'] * 100) / $server['server_slots']) ?>%" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
							</div>
						</div>
						<?php endif; ?>
					</div>
				</div>
			 </div>
		  </div>
		  <div class="col-lg-6">
			 <div class="kt-portlet kt-portlet--height-fluid">
				<div class="kt-portlet__head">
				   <div class="kt-portlet__head-label">
					  <h3 class="kt-portlet__head-title">
						 Операции с сервером
					  </h3>
				   </div>
				</div>
				<div class="kt-portlet__body">
					<?php if($server['server_status'] == 2): ?>
					<div class="kt-scroll ps ps--active-y" data-scroll="true" style="height: 270px; overflow: auto;">
					<?php else: ?>
					<div class="kt-scroll ps ps--active-y" data-scroll="true" style="height: 190px; overflow: auto;">
					<?php endif; ?>
					   <div class="kt-list kt-list--badge">
						  <?$nofire = false;?>      
						  <?php foreach($logs as $item):  ?>
						  <? if($server['server_id'] == $item['server_id']): ?>
						  <?$nofire = true;?>
						  <div class="kt-list__item" style="padding: .5rem 0;">
							 <span class="kt-list__badge <?if($item['status'] == 1):?>kt-list__badge--success<?elseif($item['status'] == 2):?>kt-list__badge--warning<?elseif($item['status'] == 3):?>kt-list__badge--danger<?endif;?>"></span>
							 <span class="kt-list__text"><?=$item['reason']?></span>
							 <span class="kt-list__time" style="min-width: 120px;"><?=$item['date']?></span>
						  </div>
						  <?endif;?>
						  <?php endforeach; ?>
						  <?php if(empty($logs) || $nofire == false): ?>
						  <div class="alert alert-light alert-elevate fade show" role="alert">
							 <div class="alert-icon"><i class="flaticon2-open-box kt-font-brand"></i></div>
							 <div class="alert-text">На данный момент нет ни одного действия.</div>
						  </div>
						  <?php endif; ?>
					   </div>
					</div>		
				</div>
			 </div>
		  </div>		
	   </div>
	</div>
</div>
<script>
    var online = [
        <?php foreach($stats as $item): ?> 
        [<?php echo strtotime($item['server_stats_date']) * 1000 ?>, <?php echo $item['server_stats_players'] ?>],
        <?php endforeach; ?> 
    ];  

    var loads1 = [
        <?php foreach($stats as $item): ?> 
        [<?php echo strtotime($item['server_stats_date']) * 1000 ?>, <?php echo $item['server_stats_cpu'] ?>],
        <?php endforeach; ?> 
    ]; 

    var loads2 = [
        <?php foreach($stats as $item): ?> 
        [<?php echo strtotime($item['server_stats_date']) * 1000 ?>, <?php echo $item['server_stats_hdd'] ?>],
        <?php endforeach; ?> 
    ]; 

    var loads3 = [
        <?php foreach($stats as $item): ?> 
        [<?php echo strtotime($item['server_stats_date']) * 1000 ?>, <?php echo $item['server_stats_ram'] ?>],
        <?php endforeach; ?> 
    ]; 
	
    Highcharts.setOptions({
    lang: {
            rangeSelectorZoom: 'Период',
            rangeSelectorFrom: 'С',
            rangeSelectorTo: 'По',
            printChart: 'Печать диаграммы',
            downloadPNG: 'Скачать PNG изображение',
            downloadJPEG: 'Скачать JPEG изображение',
            downloadPDF: 'Скачать PDF документ',
            downloadSVG: 'Скачать SVG изображение',
            contextButtonTitle: 'Контекстное меню графика',
            months: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь',  'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'],
            shortMonths: ['Янв.', 'Фев.', 'Март.', 'Апр.', 'Май.', 'Июнь.', 'Июль.', 'Авг.', 'Сент.', 'Окт.', 'Ноя.', 'Дек.']
        }
    });
    $('#statsGraph').highcharts('StockChart', { 
        credits:{enabled: false},
        xAxis: {
            type: 'datetime',
            dateTimeLabelFormats:{
                second: '%H:%M:%S',
                minute: '%H:%M',
                hour: '%H:%M',
                day: '%e.%m',
                week: '',
                month: '%m',
                year: '%Y'
            }
        },
        yAxis: {
            allowDecimals: false,
            min: 0
        },
        scrollbar: {
            barBackgroundColor: 'gray',
            barBorderRadius: 7,
            barBorderWidth: 0,
            buttonBackgroundColor: 'gray',
            buttonBorderWidth: 0,
            buttonBorderRadius: 7,
            trackBackgroundColor: 'none',
            trackBorderWidth: 1,
            trackBorderRadius: 8,
            trackBorderColor: '#CCC'
        },
        rangeSelector: {
            selected: 0,
            buttonTheme: {
                width: 50
            },
            buttons: [{
                type: 'day',
                count: 1,
                text: 'ДЕНЬ'
            },{
                type: 'week',
                count: 1,
                text: 'НЕДЕЛЯ'
            },{
                type: 'month',
                count: 1,
                text: 'МЕСЯЦ'
            }]
        },
        tooltip: {
            formatter: function() { //d.m.Y H:i
                var s = '<b>Дата: '+ Highcharts.dateFormat('%e.%m.%Y - %H:%M', this.x) +'</b>';
                $.each(this.points, function(i, point) {s += '<br/>Онлайн : '+point.y;});
                return s;
            }
        },
        series : [{
            name: 'График загруженности сервера',
            data : online,
            type: 'spline',
            tooltip: {
                valueDecimals: 2
            }
        }]
    });

  	$('#loads').highcharts('StockChart', {	
   		credits:{enabled: false},
   		xAxis: {
   			type: 'datetime',
   			dateTimeLabelFormats:{
   				second: '%H:%M:%S',
   				minute: '%H:%M',
   				hour: '%H:%M',
   				day: '%e.%m',
   				week: '',
   				month: '%m',
   				year: '%Y'
   			}
   		},
   		yAxis: {
   			allowDecimals: false,
   			min: 0
   		},
   		scrollbar: {
   			barBackgroundColor: 'gray',
   			barBorderRadius: 7,
   			barBorderWidth: 0,
   			buttonBackgroundColor: 'gray',
   			buttonBorderWidth: 0,
   			buttonBorderRadius: 7,
   			trackBackgroundColor: 'none',
   			trackBorderWidth: 1,
   			trackBorderRadius: 8,
   			trackBorderColor: '#CCC'
   		},
   		rangeSelector: {
   			selected: 0,
   			buttonTheme: {
   				width: 50
   			},
   			buttons: [{
   				type: 'day',
   				count: 1,
   				text: 'ДЕНЬ'
   			},{
   				type: 'week',
   				count: 1,
   				text: 'НЕДЕЛЯ'
   			},{
   				type: 'month',
   				count: 1,
   				text: 'МЕСЯЦ'
   			}]
   		},
		
		lang: {
			rangeSelectorZoom: 'Период',
			rangeSelectorFrom: 'С',
			rangeSelectorTo: 'По',
			printChart: 'Печать диаграммы',
			downloadPNG: 'Скачать PNG изображение',
			downloadJPEG: 'Скачать JPEG изображение',
			downloadPDF: 'Скачать PDF документ',
			downloadSVG: 'Скачать SVG изображение',
			contextButtonTitle: 'Контекстное меню графика',
			months: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь',  'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'],
			shortMonths: ['Янв.', 'Фев.', 'Март.', 'Апр.', 'Май.', 'Июнь.', 'Июль.', 'Авг.', 'Сент.', 'Окт.', 'Ноя.', 'Дек.']
		},
   
   		series : [{
   			name: 'CPU (%)',
   			data : loads1,
   			type: 'spline',
   			tooltip: {
   				valueDecimals: 2
   			}
   		},
		{
   			name: 'RAM (%)',
   			data : loads3,
   			type: 'spline',
   			tooltip: {
   				valueDecimals: 2
   			}
   		},
		{
   			name: 'SSD (МБ)',
   			data : loads2,
   			type: 'spline',
   			tooltip: {
   				valueDecimals: 2
   			}
   		},
   		]
   	});			
</script>	  
<script src="/application/public/assets/jquery.easy-pie-chart.js"></script>
<?php echo $footer ?>