<?
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Alexandr Zemlyanoy (https://vk.com/mrsasha082)
WEB Hosting to ISP 5
*/
?>
<?php include 'application/views/common/menuweb.php';?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
      <div class="row">
         <div class="col-lg-4 col-xl-4">
            <div class="kt-portlet">
               <div class="kt-portlet__body">
                  <div class="kt-widget kt-widget--general-1">
                     <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                        <img src="/application/public/img/podderzka-saitov.png" alt="image">
                     </div>
                     <div class="kt-widget__wrapper">
                        <div class="kt-widget__label">
                           <a href="#" class="kt-widget__title">
                           <?php echo $webhost['web_domain'] ?>
                           </a>
						   <?php if($webhost['web_status'] == 0): ?> 
                           Заблокирован
						   <?php elseif($webhost['web_status'] == 1): ?> 
                           Включен
						  <?php endif; ?>
                           </span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet sticky kt-sticky">
               <div class="kt-portlet__body kt-portlet__body--fit">
                  <ul class="kt-nav kt-nav--bold kt-nav--md-space kt-nav--v3 kt-margin-t-5 kt-margin-b-5 nav nav-tabs" role="tablist">
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" data-toggle="modal" data-target="#pay">
                        <span class="kt-nav__link-icon"><i class="fa fa-cart-plus"></i></span>
                        <span class="kt-nav__link-text">Продлить</span>
                        </a>
                     </li>
                  </ul>
               </div>
            </div>
         </div>

         <div class="col-xl-8 col-lg-8">
            <div class="row">
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Тариф <small><?php echo $webhost['tarif_name'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Оплачен до <small><?php echo date("d.m.Y", strtotime($webhost['web_date_end'])) ?></small>
                           </h3>
                        </div>
                        <div class="kt-portlet__head-toolbar">
                           <div class="kt-portlet__head-toolbar-wrapper">
                              <div class="dropdown dropdown-inline">
                                 <a href="javascript:;" data-toggle="modal" data-target="#pay" class="badge badge-primary" style="margin-right: .25rem"><i class="fa fa-wrench" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Изменить"></i></a>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Локация <small><?php echo $webhost['location_name'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              NS Сервера <small><?php echo $webhost['ns_servers'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
		 <?php if($webhost['web_status'] == 1): ?> 				 
         <div class="col-xl-6 col-lg-6">
            <div class="kt-portlet kt-portlet--height-fluid">
               <div class="kt-portlet__head">
                  <div class="kt-portlet__head-label">
                     <h3 class="kt-portlet__head-title">Данные для входа в ISP</h3>
                  </div>
               </div>
               <div class="kt-portlet__body">
                  <div class="kt-widget-4">
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Адрес панели</a>
                                 <div class="kt-widget-4__item-desc">https://<?php echo $webhost['location_url'] ?>:1500/ispmgr</div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Имя пользователя</a>
                                 <div class="kt-widget-4__item-desc">ws<?php echo $webhost['web_id'] ?></div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Пароль</a>
                                 <div class="kt-widget-4__item-desc"><?php echo $webhost['web_password'] ?></div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div class="col-lg-6 col-xl-6">
            <form class="form-horizontal" id="editForm" method="POST">
               <div class="kt-portlet kt-portlet--height-fluid kt-widget-12">
                  <div class="kt-portlet__body">
                     <div class="kt-widget-12__body">
                        <div class="kt-widget-12__head">
                           <div class="kt-widget-12__date kt-widget-12__date--metal">
                              <i class="fa fa-globe" style="font-size: 2.5rem;color: #5867dd;"></i>
                           </div>
                           <div class="kt-widget-12__label">
                              <h3 class="kt-widget-12__title">Доступ к панели</h3>
                              <span class="kt-widget-12__desc">
                              <label class="kt-checkbox kt-checkbox--bold kt-checkbox--brand" style="margin-bottom: 0px;">
                              <input type="checkbox" id="editpassword" name="editpassword" onchange="togglePassword()"> Сменить пароль
                              <span></span>
                              </label>
                              </span>
                           </div>
                        </div>
                        <div class="kt-widget-12__info">
                           <div class="form-group form-md-line-input">
                              <input type="text" class="form-control" id="password" name="password" placeholder="Введите пароль" disabled="">
                           </div>
                           <div class="form-group form-md-line-input">
                              <input type="text" class="form-control" id="password2" name="password2" placeholder="Повторите ввод пароля" disabled="">
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="kt-portlet__foot kt-portlet__foot--md">
                     <input type="submit" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase" value="Сохранить">
                  </div>
               </div>
            </form>
		</div>
		<?php endif; ?>
      </div>
   </div>
</div>

<div class="modal fade" id="pay" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Продление веб-хостинга</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true"></span>
            </button>
         </div>
         <form id="payForm" method="POST" class="form_0" style="padding:0px; margin:0px;">
            <div class="modal-body">
               <div class="form-group m-form__group">
                  <div class="input-group">
                     <select style="width:340px;" class="form-control" id="months" name="months" onchange="updatePrice()">
                        <option value="1">1 месяц</option>
						<option value="3">3 месяца</option>
						<option value="6">6 месяцев</option>
						<option value="12">12 месяцев</option>
                     </select>
                  </div>
               </div>
               <div class="m-accordion m-accordion--section m-accordion--padding-lg" style="margin-bottom: 1rem;">
                  <div class="m-accordion__item">
                     <div class="m-accordion__item-head collapsed" style="padding: 0.7rem 2rem;">
                        <span class="m-accordion__item-title" style="font-size: 1.4rem;">Итого к оплате: <span id="price2">0.00 руб.</span></span>  
                     </div>
                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
                  <input class="btn m-btn--square  btn-info" type="submit" value="Оплатить">
               </div>
            </div>
         </form>
      </div>
   </div>
</div>

<script>	
   $('#editForm').ajaxForm({ 
       url: '/webhost/control/ajax/<?php echo $webhost['web_id'] ?>',
       dataType: 'text',
       success: function(data) {
           console.log(data);
           data = $.parseJSON(data);
           switch(data.status) {
               case 'error':
                   toastr.error(data.error);
                   $('button[type=submit]').prop('disabled', false);
                   break;
               case 'success':
                   toastr.success(data.success);
				   setTimeout("reload()", 1500);
                   break;
           }
       },
       beforeSubmit: function(arr, $form, options) {
           $('button[type=submit]').prop('disabled', true);
       }
    });
    function togglePassword() {
       var status = $('#editpassword').is(':checked');
       if(status) {
           $('#password').prop('disabled', false);
           $('#password2').prop('disabled', false);
           $('#passwordm').prop('disabled', true);
           $('#password2m').prop('disabled', true);
       } else {
           $('#password').prop('disabled', true);
           $('#password2').prop('disabled', true);
   
       }
    }
									
	$('#payForm').ajaxForm({ 
		url: '/webhost/control/buy_months/<?php echo $webhost['web_id'] ?>',
		dataType: 'text',
		success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
				    setTimeout("reload()",1000);
					break;
				}
			},
			beforeSubmit: function(arr, $form, options) {
				$('button[type=submit]').prop('disabled', true);
				toastr.warning("Идет просмотр настроек хостинга. И подготовка к продлению.");
			}
		});
		$(document).ready(function() {
			updatePrice();
	});
					
	function updatePrice() {
		var price2 = <?php echo $webhost['tarif_price'] ?>;
		var months = $("#months option:selected").val();
		switch(months) {
		case "3":
			price2 = 3 * price2 * 0.95;
			months = 3;
			break;
		case "6":
			price2 = 6 * price2 * 0.95;
			months = 6;
			break;
		case "12":
			price2 = 12 * price2 * 0.95;
			months = 12;
			break;
		}
		$('#price2').text(price2.toFixed(2) + ' руб. Месяц: ' + months);
	}
	$(document).ready(function() {
		updatePrice();
	});
</script>
<?php echo $footer ?>