<?
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Alexandr Zemlyanoy (https://vk.com/mrsasha082)
WEB Hosting to ISP 5
*/
?>
<?php echo $header; ?>
<form class="form-group form-md-line-input" action="#" id="orderForm" method="POST">
	<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
		<div class="kt-content">
			<div class="row">
				<div class="col-xl-8 col-lg-8">
					<div class="kt-portlet sticky kt-sticky">
						<div class="kt-portlet__head">
							<div class="kt-portlet__head-label">
								<h3 class="kt-portlet__head-title">Параметры веб-хостинга</h3>
							</div>
						</div>
						<div class="kt-portlet__body">
							<div class="form-group form-md-line-input">
								<label>Выберите тариф</label>
								<select class="form-control" id="tarifid" name="tarifid" onChange="updateForm()">
									<?php foreach($tarifs as $item): ?> 
									<option value="<?php echo $item['tarif_id'] ?>"><?php echo $item['tarif_name'] ?></option>
									<?php endforeach; ?> 
									<?php if(empty($tarifs)): ?>
									<option value="0">На данный момент нет доступных тарифов</option>
									<?php endif; ?>
								</select>
							</div>	
							<div class="form-group form-md-line-input">
								<label>Выберите локацию</label>
								<select class="form-control" id="locationid" name="locationid" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
									<?php foreach($locations as $item): ?> 
									<option value="<?php echo $item['location_id'] ?>"><?php echo $item['location_name'] ?></option>
									<?php endforeach; ?>
									<?php if(empty($locations)): ?>
									<option value="0">На данный момент нет доступных локаций</option>
									<?php endif; ?>
								</select> 
							</div>							
							<div class="form-group form-md-line-input">
								<label>Выберите период оплаты</label>
								<select class="form-control" id="months" name="months" onChange="updateForm()">
									<option value="1">30 дней</option>
									<option value="3">90 дней</option>
									<option value="6">180 дней</option>
									<option value="12">360 дней</option>
								</select>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xl-4 col-lg-4">
					<div class="kt-portlet sticky kt-sticky">
						<div class="kt-portlet__head">
							<div class="kt-portlet__head-label">
								<h3 class="kt-portlet__head-title">Информация о заказе</h3>
							</div>
						</div>
						<div class="kt-portlet__body">
							<div class="accordion accordion-outline" id="accordionExample">
								<div class="card">
									<div class="card-header" id="heading3">
										<div class="card-title collapsed" data-toggle="collapse" role="button" data-target="#collapse3" aria-expanded="false" aria-controls="collapseThree">
											<i class="fa fa-gift"></i> Есть купон? 
										</div>
									</div>
									<div id="collapse3" class="card-body-wrapper collapse" aria-labelledby="heading3" data-parent="#accordionExample" style="">
										<div class="card-body">
											<div data-repeater-item="" class="kt--margin-bottom-10">
												<div class="input-group">
													<div class="input-group-prepend">
														<span class="input-group-text">
														<i class="fa fa-gift"></i>
														</span>
													</div>
													<input id="promo" type="text" class="form-control form-control-danger" type="promo" name="promo" placeholder="Купон">
													<div class="input-group-append">
														<button type="button" onclick="promoCode()" class="btn btn-primary btn-icon"><i class="fa fa-check"></i></button>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
						    </div>
							<hr>
							<div class="m-demo" data-code-preview="true" data-code-html="true" data-code-js="false">
								<div class="m-demo__preview m-demo__preview--primary">
									<center>
										<h4 class="m-widget4__number m--font-primary" for="price">Итого к оплате <span id="price"> 0.00 руб.</span></h4>
									</center>
								</div>
							</div>
							<button type="submit" class="btn btn-primary m-btn m-btn--air btn-outline  btn-block sbold uppercase">Заказать</button>
						</div>
					</div>
				</div>
				<div class="col-xl-12 col-lg-12">
					<div class="kt-portlet sticky kt-sticky">
						<div data-code-preview="true" data-code-html="true" data-code-js="false">
							<div class="m-demo__preview">
								<div class="m-nav-grid">
									<div class="m-nav-grid__row">
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fab fa-php"></i>
										<span class="m-nav-grid__text">PHP</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-podcast"></i>
										<span class="m-nav-grid__text">MySQL</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-server"></i>
										<span class="m-nav-grid__text">FTP</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-fingerprint"></i>
										<span class="m-nav-grid__text">Firewall</span>
										</a>
										<a href="#javascript" class="m-nav-grid__item">
										<i class="m-nav-grid__icon fa fa-desktop"></i>
										<span class="m-nav-grid__text">ISP Manager 5</span>
										</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</form>

<script>
	var tarifData = {
		<?php foreach($tarifs as $item): ?> 
			<?php echo $item['tarif_id'] ?>: {
				'price': <?php echo $item['tarif_price'] ?>
			},
		<?php endforeach; ?> 
	};			
	$('#orderForm').ajaxForm({ 
		url: '/webhost/order/ajax',
		dataType: 'text',
		success: function(data) {
		console.log(data);
		data = $.parseJSON(data);
		switch(data.status) {
			case 'error':
				toastr.error(data.error);
				$('button[type=submit]').prop('disabled', false);
				break;
			case 'success':
				toastr.success(data.success);
				setTimeout("redirect('/webhost/control/index/" + data.id + "')", 1500);
				break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
			toastr.warning("Идет просмотр настроек хостинга. И подготовка к установке.");
		}
	});
					
	$(document).ready(function() {
		updateForm();
	});
	function promoCode(){
		var promo = $("#promo").val();
		$.post("/webhost/order/promo",{code: promo},function(data){
		data = $.parseJSON(data);
		switch(data.status) {
			case 'error':
				toastr.error(data.error);
				updateForm();
				break;
			case 'success':
				toastr.success(data.success);
				updateForm(data.skidka);
				break;
			}
		});
						
	}
					
	function updateForm(promo) {
		var tarifID = $("#tarifid option:selected").val();
		var price = tarifData[tarifID]['price'];
		var months = $("#months option:selected").val();
		switch(months) {						
		case "1":
			break;
		case "3":
			price = 3 * price * 0.95;
			break;
		case "6":
			price = 6 * price * 0.95;
			break;
		case "12":
			price = 12 * price * 0.95;
			break;
		}
		if(promo != null){price = price * promo;}				
		$('#price').text(price.toFixed(2) + ' руб.');
	}
</script>
<?php echo $footer ?>
