-- phpMyAdmin SQL Dump
-- version 4.6.6deb4+deb9u1
-- https://www.phpmyadmin.net/
--
-- Хост: localhost:3306
-- Время создания: Окт 01 2020 г., 14:45
-- Версия сервера: 10.1.45-MariaDB-0+deb9u1
-- Версия PHP: 7.0.33-0+deb9u8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `test`
--

-- --------------------------------------------------------

--
-- Структура таблицы `authlog`
--

CREATE TABLE `authlog` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `ip` varchar(64) NOT NULL,
  `city` text NOT NULL,
  `country` text NOT NULL,
  `code` text NOT NULL,
  `datetime` datetime NOT NULL,
  `status` int(1) NOT NULL,
  `password` text NOT NULL,
  `system` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `games`
--

CREATE TABLE `games` (
  `game_id` int(10) NOT NULL,
  `game_name` varchar(92) DEFAULT NULL,
  `game_code` varchar(8) DEFAULT NULL,
  `game_query` varchar(32) DEFAULT NULL,
  `game_min_slots` int(8) DEFAULT NULL,
  `game_max_slots` int(8) DEFAULT NULL,
  `game_min_port` int(8) DEFAULT NULL,
  `game_max_port` int(8) DEFAULT NULL,
  `game_cores` decimal(10,2) NOT NULL DEFAULT '1.00',
  `game_ram` int(64) NOT NULL DEFAULT '1024',
  `game_ssd` varchar(128) NOT NULL DEFAULT '512',
  `start_cmd` text NOT NULL,
  `check_files` text NOT NULL,
  `game_price` decimal(10,2) DEFAULT NULL,
  `game_status` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `games`
--

INSERT INTO `games` (`game_id`, `game_name`, `game_code`, `game_query`, `game_min_slots`, `game_max_slots`, `game_min_port`, `game_max_port`, `game_cores`, `game_ram`, `game_ssd`, `start_cmd`, `check_files`, `game_price`, `game_status`) VALUES
(1, 'San Andreas: Multiplayer 0.3.7', 'samp', 'samp', 50, 1000, 7777, 9999, '0.55', 512, '250', './samp03svr', 'samp03svr announce samp-npc', '1.00', 0),
(2, 'Criminal Russia: Multiplayer 0.3e', 'crmp', 'samp', 50, 500, 3335, 7000, '0.55', 512, '250', './samp03svr-cr', 'samp03svr-cr announce samp-npc', '1.00', 0),
(3, 'Criminal Russia: Multiplayer 0.3.7', 'crmp037', 'samp', 50, 500, 3335, 7000, '0.55', 512, '250', './samp03svr-cr', 'samp03svr-cr announce adap-npc', '1.00', 0),
(4, 'United Multiplayer', 'unit', 'samp', 50, 500, 7777, 9999, '0.55', 512, '250', './samp03svr-u2', 'samp03svr-u2 announu2 adap-npc', '1.00', 0),
(5, 'Multi Theft Auto: Multiplayer', 'mta', 'mtasa', 50, 1000, 25020, 80520, '0.75', 512, '500', './mta-server', 'mta-server', '1.00', 0),
(6, 'MineCraft: PE', 'mcpe', 'mine', 10, 100, 12410, 55641, '1.00', 1024, '750', './bin/php5/bin/php ./PocketMine-MP.phar', '/bin/php5/bin/php PocketMine-MP.phar', '5.00', 0),
(7, 'MineCraft', 'mine72', 'mine', 10, 100, 12410, 55641, '1.00', 1024, '750', 'java -Xmx1024M -Xms1024M -jar minecraft.jar nogui', 'minecraft.jar', '7.00', 0),
(8, 'Counter Strike 1.6', 'cs', 'valve', 6, 32, 27016, 30550, '1.00', 1024, '1500', './hlds_run -game cstrike +port @port@ +sport @port2@ +ip @ip@ +maxplayers @slots@ +map de_dust2 +sys_ticrate 500', 'hlds_run hlds_linux', '4.00', 0),
(9, 'Counter Strike Source', 'css', 'valve', 6, 32, 27016, 30550, '1.00', 1024, '4000', './srcds_run -game cstrike -insecure +maxplayers @slots@ +map de_dust2 +fps_max 0 -tickrate 66  +ip @ip@ -port @port@ +sv_lan 0', 'srcds_linux srcds_run', '8.00', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `inbox`
--

CREATE TABLE `inbox` (
  `id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `user_firstname` varchar(15) NOT NULL,
  `user_lastname` varchar(50) NOT NULL,
  `user_email` varchar(50) NOT NULL,
  `category` varchar(50) NOT NULL,
  `text` text,
  `status` int(1) NOT NULL,
  `inbox_date_add` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `invoices`
--

CREATE TABLE `invoices` (
  `invoice_id` int(10) NOT NULL,
  `user_id` int(10) DEFAULT NULL,
  `invoice_ammount` decimal(10,2) DEFAULT NULL,
  `invoice_status` int(1) DEFAULT NULL,
  `invoice_date_add` datetime DEFAULT NULL,
  `system` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `locations`
--

CREATE TABLE `locations` (
  `location_id` int(10) NOT NULL,
  `location_name` varchar(32) DEFAULT NULL,
  `location_ip` varchar(15) DEFAULT NULL,
  `location_ip2` varchar(15) DEFAULT NULL,
  `location_user` varchar(32) DEFAULT NULL,
  `location_password` varchar(32) DEFAULT NULL,
  `location_status` int(1) DEFAULT NULL,
  `location_cpu` varchar(128) NOT NULL DEFAULT '0',
  `location_ram` varchar(128) NOT NULL DEFAULT '0',
  `location_ramold` varchar(128) NOT NULL,
  `location_swap` varchar(128) NOT NULL,
  `location_swapold` varchar(128) NOT NULL,
  `location_hdd` varchar(128) NOT NULL DEFAULT '0',
  `location_hddold` varchar(128) NOT NULL DEFAULT '0',
  `location_upd` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `minecraft_cores`
--

CREATE TABLE `minecraft_cores` (
  `game_id` int(11) DEFAULT NULL,
  `c_version` text CHARACTER SET utf8 NOT NULL,
  `c_act` int(11) DEFAULT NULL,
  `c_status` int(11) DEFAULT NULL,
  `c_id` int(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `minecraft_cores`
--

INSERT INTO `minecraft_cores` (`game_id`, `c_version`, `c_act`, `c_status`, `c_id`) VALUES
(7, '1.0.0', 1, 1, 1),
(7, '1.1', 1, 1, 2),
(7, '1.10', 1, 1, 3),
(7, '1.10.2', 1, 1, 4),
(7, '1.11', 1, 1, 5),
(7, '1.11.1', 1, 1, 6),
(7, '1.11.2', 1, 1, 7),
(7, '1.12', 1, 1, 8),
(7, '1.12.1', 1, 1, 9),
(7, '1.12.2', 1, 1, 10),
(7, '1.13', 1, 1, 11),
(7, '1.13.1', 1, 1, 12),
(7, '1.13.2', 1, 1, 13),
(7, '1.14', 1, 1, 14),
(7, '1.14.1', 1, 1, 15),
(7, '1.14.2', 1, 1, 16),
(7, '1.14.3', 1, 1, 17),
(7, '1.14.4', 1, 1, 18),
(7, '1.15', 1, 1, 19),
(7, '1.15.1', 1, 1, 20),
(7, '1.15.2', 1, 1, 21),
(7, '1.16.1', 1, 1, 22),
(7, '1.2.2', 1, 1, 23),
(7, '1.2.3', 1, 1, 24),
(7, '1.2.4', 1, 1, 25),
(7, '1.2.5', 1, 1, 26),
(7, '1.3.1', 1, 1, 27),
(7, '1.3.2', 1, 1, 28),
(7, '1.4.2', 1, 1, 29),
(7, '1.4.5', 1, 1, 30),
(7, '1.4.6', 1, 1, 31),
(7, '1.4.7', 1, 1, 32),
(7, '1.5', 1, 1, 33),
(7, '1.5.1', 1, 1, 34),
(7, '1.5.2', 1, 1, 35),
(7, '1.6.1', 1, 1, 36),
(7, '1.6.2', 1, 1, 37),
(7, '1.6.4', 1, 1, 38),
(7, '1.7.10', 1, 1, 39),
(7, '1.7.2', 1, 1, 40),
(7, '1.7.5', 1, 1, 41),
(7, '1.7.8', 1, 1, 42),
(7, '1.7.9', 1, 1, 43),
(7, '1.8', 1, 1, 44),
(7, '1.8.3', 1, 1, 45),
(7, '1.8.4', 1, 1, 46),
(7, '1.8.5', 1, 1, 47),
(7, '1.8.6', 1, 1, 48),
(7, '1.8.7', 1, 1, 49),
(7, '1.8.8', 1, 1, 50),
(7, '1.9', 1, 1, 51),
(7, '1.9.2', 1, 1, 52),
(7, '1.9.4', 1, 1, 53),
(7, '1.10', 2, 1, 54),
(7, '1.10.2', 2, 1, 55),
(7, '1.11', 2, 1, 56),
(7, '1.11.1', 2, 1, 57),
(7, '1.11.2', 2, 1, 58),
(7, '1.12', 2, 1, 59),
(7, '1.12.1', 2, 1, 60),
(7, '1.12.2', 2, 1, 61),
(7, '1.13', 2, 1, 62),
(7, '1.13.1', 2, 1, 63),
(7, '1.13.2', 2, 1, 64),
(7, '1.14', 2, 1, 65),
(7, '1.14.1', 2, 1, 66),
(7, '1.14.2', 2, 1, 67),
(7, '1.14.3', 2, 1, 68),
(7, '1.14.4', 2, 1, 69),
(7, '1.15', 2, 1, 70),
(7, '1.15.1', 2, 1, 71),
(7, '1.15.2', 2, 1, 72),
(7, '1.16.1', 2, 1, 73),
(7, '1.4.6', 2, 1, 75),
(7, '1.4.7', 2, 1, 76),
(7, '1.5.1', 2, 1, 77),
(7, '1.5.2', 2, 1, 78),
(7, '1.6.2', 2, 1, 79),
(7, '1.6.4', 2, 1, 80),
(7, '1.7.10', 2, 1, 81),
(7, '1.7.2', 2, 1, 82),
(7, '1.7.5', 2, 1, 83),
(7, '1.7.8', 2, 1, 84),
(7, '1.7.9', 2, 1, 85),
(7, '1.8', 2, 1, 86),
(7, '1.8.3', 2, 1, 87),
(7, '1.8.4', 2, 1, 88),
(7, '1.8.5', 2, 1, 89),
(7, '1.8.6', 2, 1, 90),
(7, '1.8.8', 2, 1, 91),
(7, '1.9', 2, 1, 92),
(7, '1.9.2', 2, 1, 93),
(7, '1.9.4', 2, 1, 94),
(7, '1.10', 3, 1, 95),
(7, '1.10.1', 3, 1, 96),
(7, '1.10.2', 3, 1, 97),
(7, '1.11', 3, 1, 98),
(7, '1.11.1', 3, 1, 99),
(7, '1.11.2', 3, 1, 100),
(7, '1.12', 3, 1, 101),
(7, '1.12.1', 3, 1, 102),
(7, '1.12.2', 3, 1, 103),
(7, '1.13', 3, 1, 104),
(7, '1.13.1', 3, 1, 105),
(7, '1.13.2', 3, 1, 106),
(7, '1.14', 3, 1, 107),
(7, '1.14.1', 3, 1, 108),
(7, '1.14.2', 3, 1, 109),
(7, '1.14.3', 3, 1, 110),
(7, '1.15', 3, 1, 111),
(7, '1.15.1', 3, 1, 112),
(7, '1.16.1', 3, 1, 113),
(7, '1.2.5', 3, 1, 114),
(7, '1.3.1', 3, 1, 115),
(7, '1.3.2', 3, 1, 116),
(7, '1.4.2', 3, 1, 117),
(7, '1.4.4', 3, 1, 118),
(7, '1.4.5', 3, 1, 119),
(7, '1.4.6', 3, 1, 120),
(7, '1.4.7', 3, 1, 121),
(7, '1.5.1', 3, 1, 122),
(7, '1.5.2', 3, 1, 123),
(7, '1.6.1', 3, 1, 124),
(7, '1.6.2', 3, 1, 125),
(7, '1.6.4', 3, 1, 126),
(7, '1.7.10', 3, 1, 127),
(7, '1.7.2', 3, 1, 128),
(7, '1.7.3', 3, 1, 129),
(7, '1.7.4', 3, 1, 130),
(7, '1.7.5', 3, 1, 131),
(7, '1.7.6', 3, 1, 132),
(7, '1.7.7', 3, 1, 133),
(7, '1.7.8', 3, 1, 134),
(7, '1.7.9', 3, 1, 135),
(7, '1.8', 3, 1, 136),
(7, '1.8.2', 3, 1, 138),
(7, '1.8.3', 3, 1, 139),
(7, '1.8.4', 3, 1, 140),
(7, '1.8.5', 3, 1, 141),
(7, '1.8.6', 3, 1, 142),
(7, '1.8.7', 3, 1, 143),
(7, '1.8.8', 3, 1, 144),
(7, '1.8.9', 3, 1, 145),
(7, '1.9', 3, 1, 146),
(7, '1.9.1', 3, 1, 147),
(7, '1.9.2', 3, 1, 148),
(7, '1.9.3', 3, 1, 149),
(7, '1.9.4', 3, 1, 150);

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE `news` (
  `news_id` int(10) NOT NULL,
  `user_id` int(10) DEFAULT '0',
  `news_title` varchar(32) DEFAULT NULL,
  `news_text` char(255) NOT NULL,
  `news_date_add` datetime DEFAULT NULL,
  `look` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `place` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news_category`
--

CREATE TABLE `news_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `category_status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `news_messages`
--

CREATE TABLE `news_messages` (
  `news_message_id` int(10) NOT NULL,
  `news_id` int(10) DEFAULT NULL,
  `user_id` int(10) DEFAULT NULL,
  `news_message` text,
  `news_message_date_add` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `promo`
--

CREATE TABLE `promo` (
  `id` int(11) NOT NULL,
  `cod` text,
  `uses` int(11) DEFAULT NULL,
  `used` int(11) DEFAULT NULL,
  `skidka` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `serverlog`
--

CREATE TABLE `serverlog` (
  `log_id` int(11) NOT NULL,
  `reason` text CHARACTER SET utf8 NOT NULL,
  `status` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `server_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `servers`
--

CREATE TABLE `servers` (
  `server_id` int(10) NOT NULL,
  `user_id` int(10) DEFAULT NULL,
  `game_id` int(10) DEFAULT NULL,
  `location_id` int(10) DEFAULT NULL,
  `server_slots` int(8) DEFAULT NULL,
  `server_port` int(8) DEFAULT NULL,
  `server_password` varchar(32) DEFAULT NULL,
  `server_status` int(1) DEFAULT NULL,
  `server_cpu_load` float NOT NULL DEFAULT '0',
  `server_ram_load` float NOT NULL DEFAULT '0',
  `server_ssd_load` float NOT NULL,
  `server_ram_cpu_date` datetime DEFAULT NULL,
  `server_ssd_date` datetime DEFAULT NULL,
  `server_date_reg` datetime DEFAULT NULL,
  `server_date_end` datetime DEFAULT NULL,
  `db_pass` varchar(32) DEFAULT NULL,
  `server_mysql` int(11) DEFAULT NULL,
  `rcon_password` varchar(32) DEFAULT NULL,
  `fastdl_status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `servers_firewalls`
--

CREATE TABLE `servers_firewalls` (
  `firewall_id` int(10) NOT NULL,
  `server_id` int(8) DEFAULT NULL,
  `server_ip` text,
  `firewall_add` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `servers_mods`
--

CREATE TABLE `servers_mods` (
  `game_id` int(11) DEFAULT NULL,
  `mod_url` text CHARACTER SET utf8 NOT NULL,
  `mod_name` text CHARACTER SET utf8 NOT NULL,
  `mod_status` int(11) DEFAULT NULL,
  `mod_arch` text CHARACTER SET utf8 NOT NULL,
  `mod_textx` text CHARACTER SET utf8 NOT NULL,
  `mod_img` text CHARACTER SET utf8 NOT NULL,
  `mod_price` text,
  `mod_set` int(1) NOT NULL,
  `mod_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `servers_mods`
--

INSERT INTO `servers_mods` (`game_id`, `mod_url`, `mod_name`, `mod_status`, `mod_arch`, `mod_textx`, `mod_img`, `mod_price`, `mod_set`, `mod_id`) VALUES
(1, 'https://resource.hackchik.ru/hostinpl/mods/florence.tar', 'Arizona RP', 2, 1, 'florence.tar', 'Игровой мод Arizona RP Florence, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '100', 1),
(1, 'https://resource.hackchik.ru/hostinpl/mods/virginia.tar', 'Virginia RP', 2, 1, 'virginia.tar', 'Игровой мод Virginia RP, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '100', 2),
(1, 'https://resource.hackchik.ru/hostinpl/mods/absolute.tar', 'Absolute RP', 2, 1, 'absolute.tar', 'Игровой мод Absolute RP, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '100', 3),
(1, 'https://resource.hackchik.ru/hostinpl/mods/arizona.tar', 'Arizona RP', 1, 'arizona.tar', 'Игровой мод Arizona RP, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 4),
(1, 'https://resource.hackchik.ru/hostinpl/mods/diamond-rp.tar', 'Diamond RP', 1, 'diamond-rp.tar', 'Игровой мод Diamond RP, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 5),
(1, 'https://resource.hackchik.ru/hostinpl/mods/evolverp.tar', 'Evolve RP', 1, 'evolverp.tar', 'Игровой мод Evolve RP, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 6),
(1, 'https://resource.hackchik.ru/hostinpl/mods/heavilyrp.tar', 'Heavily RP', 1, 'heavilyrp.tar', 'Игровой мод Heavily RP, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 7),
(1, 'https://resource.hackchik.ru/hostinpl/mods/samp-mobile.tar', 'SAMP MOBILE', 1, 'samp-mobile.tar', 'Игровой мод SAMP MOBILE, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 8),
(1, 'https://resource.hackchik.ru/hostinpl/mods/samprp.tar', 'Samp RP', 1, 'samprp.tar', 'Игровой мод Samp RP, для SAMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 9),
(2, 'https://resource.hackchik.ru/hostinpl/mods/capsrp.tar', 'Caps RP', 1, 'capsrp.tar', 'Игровой мод Caps RP, для CRMP 0.3e и CRMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 10),
(2, 'https://resource.hackchik.ru/hostinpl/mods/countyrp.tar', 'County RP', 1, 'countyrp.tar', 'Игровой мод County RP, для CRMP 0.3e', 'https://resource.hackchik.ru/no.png', '0', 0, 11),
(2, 'https://resource.hackchik.ru/hostinpl/mods/justrp.tar', 'Just RP', 1, 'justrp.tar', 'Игровой мод Just RP, для CRMP 0.3e', 'https://resource.hackchik.ru/no.png', '0', 0, 12),
(2, 'https://resource.hackchik.ru/hostinpl/mods/rayonrp.tar', 'Rayon RP', 1, 'rayonrp.tar', 'Игровой мод Rayon RP, для CRMP 0.3e и CRMP 0.3.7', 'https://resource.hackchik.ru/no.png', '10', 1, 13),
(2, 'https://resource.hackchik.ru/hostinpl/mods/severerp.tar', 'Severe RP', 1, 'severerp.tar', 'Игровой мод Severe RP, для CRMP 0.3e и CRMP 0.3.7', 'https://resource.hackchik.ru/no.png', '0', 0, 14);

-- --------------------------------------------------------

--
-- Структура таблицы `servers_owners`
--

CREATE TABLE `servers_owners` (
  `owner_id` int(10) NOT NULL,
  `server_id` int(10) DEFAULT NULL,
  `user_id` int(10) DEFAULT NULL,
  `owner_status` int(11) NOT NULL,
  `owner_add` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `servers_stats`
--

CREATE TABLE `servers_stats` (
  `server_id` int(11) DEFAULT NULL,
  `server_stats_date` datetime DEFAULT NULL,
  `server_stats_players` int(11) DEFAULT NULL,
  `server_stats_cpu` int(11) NOT NULL,
  `server_stats_ram` int(11) NOT NULL,
  `server_stats_hdd` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `servers_versions`
--

CREATE TABLE `servers_versions` (
  `game_id` int(11) DEFAULT NULL,
  `version_name` text CHARACTER SET utf8 NOT NULL,
  `game_id_to` int(11) DEFAULT NULL,
  `version_status` int(11) DEFAULT NULL,
  `version_price` text,
  `version_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `servers_versions`
--

INSERT INTO `servers_versions` (`game_id`, `version_name`, `game_id_to`, `version_status`, `version_price`, `version_id`) VALUES
(1, 'CR:MP 0.3e', 2, 1, '10', 1),
(2, 'SA:MP 0.3.7', 1, 1, '10', 2),
(1, 'United Multiplayer', 4, 1, '0', 3),
(2, 'United Multiplayer', 4, 1, '0', 4);

-- --------------------------------------------------------

--
-- Структура таблицы `tickets`
--

CREATE TABLE `tickets` (
  `ticket_id` int(10) NOT NULL,
  `user_id` int(10) DEFAULT NULL,
  `ticket_name` varchar(32) DEFAULT NULL,
  `ticket_status` int(1) DEFAULT NULL,
  `ticket_date_add` datetime DEFAULT NULL,
  `category_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `tickets_category`
--

CREATE TABLE `tickets_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `category_status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `tickets_images`
--

CREATE TABLE `tickets_images` (
  `ticket_id` int(10) DEFAULT NULL,
  `image` text NOT NULL,
  `image_date` datetime DEFAULT NULL,
  `image_id` int(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `tickets_messages`
--

CREATE TABLE `tickets_messages` (
  `ticket_message_id` int(10) NOT NULL,
  `ticket_id` int(10) DEFAULT NULL,
  `user_id` int(10) DEFAULT NULL,
  `ticket_message` text,
  `ticket_message_date_add` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE `users` (
  `user_id` int(10) NOT NULL,
  `user_email` varchar(96) DEFAULT NULL,
  `user_password` varchar(32) DEFAULT NULL,
  `user_firstname` varchar(32) DEFAULT NULL,
  `user_lastname` varchar(32) DEFAULT NULL,
  `user_status` int(1) DEFAULT NULL,
  `user_balance` decimal(10,2) DEFAULT NULL,
  `user_restore_key` varchar(32) DEFAULT NULL,
  `user_access_level` int(1) DEFAULT NULL,
  `user_date_reg` datetime DEFAULT NULL,
  `user_img` varchar(250) NOT NULL DEFAULT 'application/public/img/user.png',
  `user_online_date` text NOT NULL,
  `user_promo_date` date NOT NULL,
  `user_activate` int(1) NOT NULL,
  `key_activate` text NOT NULL,
  `ref` int(11) NOT NULL,
  `rmoney` decimal(10,2) DEFAULT NULL,
  `bonuses` decimal(10,2) DEFAULT '0.00',
  `user_vk_id` varchar(96) DEFAULT NULL,
  `test_server` varchar(2) NOT NULL DEFAULT '2',
  `user_promised_pay` int(11) NOT NULL DEFAULT '0',
  `user_last_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_auth`
--

CREATE TABLE `users_auth` (
  `auth_id` bigint(255) NOT NULL,
  `user_id` bigint(255) NOT NULL,
  `user_ip` text CHARACTER SET cp1251 NOT NULL,
  `user_last_activity` datetime NOT NULL,
  `auth_user_email` longtext CHARACTER SET cp1251 NOT NULL,
  `auth_user_password` longtext CHARACTER SET cp1251 NOT NULL,
  `auth_type` text CHARACTER SET cp1251 NOT NULL,
  `auth_key` longtext NOT NULL,
  `auth_date_add` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `users_mods`
--

CREATE TABLE `users_mods` (
  `id` int(10) NOT NULL,
  `user_id` int(11) NOT NULL,
  `mod_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `waste`
--

CREATE TABLE `waste` (
  `waste_id` int(10) NOT NULL,
  `user_id` int(10) DEFAULT NULL,
  `waste_ammount` decimal(10,2) DEFAULT NULL,
  `waste_status` int(1) DEFAULT NULL,
  `waste_usluga` varchar(120) DEFAULT NULL,
  `waste_date_add` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `webhost`
--

CREATE TABLE `webhost` (
  `web_id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `tarif_id` int(11) DEFAULT NULL,
  `web_password` varchar(32) NOT NULL,
  `web_domain` varchar(32) NOT NULL,
  `web_status` int(11) NOT NULL,
  `web_date_reg` datetime DEFAULT NULL,
  `web_date_end` datetime DEFAULT NULL,
  `location_id` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `web_locations`
--

CREATE TABLE `web_locations` (
  `location_id` int(10) NOT NULL,
  `location_name` varchar(32) DEFAULT NULL,
  `location_ip` varchar(15) DEFAULT NULL,
  `location_url` varchar(45) DEFAULT NULL,
  `location_user` varchar(32) DEFAULT NULL,
  `location_password` varchar(32) DEFAULT NULL,
  `ns_servers` text NOT NULL,
  `location_status` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `web_tarifs`
--

CREATE TABLE `web_tarifs` (
  `tarif_id` int(150) NOT NULL,
  `tarif_name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `package` varchar(32) CHARACTER SET utf8 NOT NULL,
  `tarif_price` decimal(10,2) NOT NULL,
  `tarif_status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `authlog`
--
ALTER TABLE `authlog`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `games`
--
ALTER TABLE `games`
  ADD PRIMARY KEY (`game_id`);

--
-- Индексы таблицы `inbox`
--
ALTER TABLE `inbox`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `invoices`
--
ALTER TABLE `invoices`
  ADD PRIMARY KEY (`invoice_id`);

--
-- Индексы таблицы `locations`
--
ALTER TABLE `locations`
  ADD PRIMARY KEY (`location_id`);

--
-- Индексы таблицы `minecraft_cores`
--
ALTER TABLE `minecraft_cores`
  ADD PRIMARY KEY (`c_id`);

--
-- Индексы таблицы `news`
--
ALTER TABLE `news`
  ADD PRIMARY KEY (`news_id`);

--
-- Индексы таблицы `news_category`
--
ALTER TABLE `news_category`
  ADD PRIMARY KEY (`category_id`);

--
-- Индексы таблицы `news_messages`
--
ALTER TABLE `news_messages`
  ADD PRIMARY KEY (`news_message_id`);

--
-- Индексы таблицы `promo`
--
ALTER TABLE `promo`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `serverlog`
--
ALTER TABLE `serverlog`
  ADD PRIMARY KEY (`log_id`);

--
-- Индексы таблицы `servers`
--
ALTER TABLE `servers`
  ADD PRIMARY KEY (`server_id`);

--
-- Индексы таблицы `servers_firewalls`
--
ALTER TABLE `servers_firewalls`
  ADD PRIMARY KEY (`firewall_id`);

--
-- Индексы таблицы `servers_mods`
--
ALTER TABLE `servers_mods`
  ADD PRIMARY KEY (`mod_id`);

--
-- Индексы таблицы `servers_owners`
--
ALTER TABLE `servers_owners`
  ADD PRIMARY KEY (`owner_id`);

--
-- Индексы таблицы `servers_versions`
--
ALTER TABLE `servers_versions`
  ADD PRIMARY KEY (`version_id`);

--
-- Индексы таблицы `tickets`
--
ALTER TABLE `tickets`
  ADD PRIMARY KEY (`ticket_id`);

--
-- Индексы таблицы `tickets_category`
--
ALTER TABLE `tickets_category`
  ADD PRIMARY KEY (`category_id`);

--
-- Индексы таблицы `tickets_images`
--
ALTER TABLE `tickets_images`
  ADD PRIMARY KEY (`image_id`);

--
-- Индексы таблицы `tickets_messages`
--
ALTER TABLE `tickets_messages`
  ADD PRIMARY KEY (`ticket_message_id`);

--
-- Индексы таблицы `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`user_id`);

--
-- Индексы таблицы `users_auth`
--
ALTER TABLE `users_auth`
  ADD PRIMARY KEY (`auth_id`);

--
-- Индексы таблицы `users_mods`
--
ALTER TABLE `users_mods`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `waste`
--
ALTER TABLE `waste`
  ADD PRIMARY KEY (`waste_id`);

--
-- Индексы таблицы `webhost`
--
ALTER TABLE `webhost`
  ADD PRIMARY KEY (`web_id`);

--
-- Индексы таблицы `web_locations`
--
ALTER TABLE `web_locations`
  ADD PRIMARY KEY (`location_id`);

--
-- Индексы таблицы `web_tarifs`
--
ALTER TABLE `web_tarifs`
  ADD PRIMARY KEY (`tarif_id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `authlog`
--
ALTER TABLE `authlog`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `games`
--
ALTER TABLE `games`
  MODIFY `game_id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT для таблицы `inbox`
--
ALTER TABLE `inbox`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `invoices`
--
ALTER TABLE `invoices`
  MODIFY `invoice_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `locations`
--
ALTER TABLE `locations`
  MODIFY `location_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `minecraft_cores`
--
ALTER TABLE `minecraft_cores`
  MODIFY `c_id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=151;
--
-- AUTO_INCREMENT для таблицы `news`
--
ALTER TABLE `news`
  MODIFY `news_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news_category`
--
ALTER TABLE `news_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news_messages`
--
ALTER TABLE `news_messages`
  MODIFY `news_message_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `promo`
--
ALTER TABLE `promo`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `serverlog`
--
ALTER TABLE `serverlog`
  MODIFY `log_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `servers`
--
ALTER TABLE `servers`
  MODIFY `server_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `servers_firewalls`
--
ALTER TABLE `servers_firewalls`
  MODIFY `firewall_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `servers_mods`
--
ALTER TABLE `servers_mods`
  MODIFY `mod_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;
--
-- AUTO_INCREMENT для таблицы `servers_owners`
--
ALTER TABLE `servers_owners`
  MODIFY `owner_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `servers_versions`
--
ALTER TABLE `servers_versions`
  MODIFY `version_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT для таблицы `tickets`
--
ALTER TABLE `tickets`
  MODIFY `ticket_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `tickets_category`
--
ALTER TABLE `tickets_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `tickets_images`
--
ALTER TABLE `tickets_images`
  MODIFY `image_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `tickets_messages`
--
ALTER TABLE `tickets_messages`
  MODIFY `ticket_message_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users`
--
ALTER TABLE `users`
  MODIFY `user_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_auth`
--
ALTER TABLE `users_auth`
  MODIFY `auth_id` bigint(255) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_mods`
--
ALTER TABLE `users_mods`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `waste`
--
ALTER TABLE `waste`
  MODIFY `waste_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `webhost`
--
ALTER TABLE `webhost`
  MODIFY `web_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `web_locations`
--
ALTER TABLE `web_locations`
  MODIFY `location_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `web_tarifs`
--
ALTER TABLE `web_tarifs`
  MODIFY `tarif_id` int(150) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
