<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
class modsModel extends Model {
	public function createMod($data) {
		$sql = "INSERT INTO `servers_mods` SET ";		
		$sql .= "`game_id` = '" . (int)$data['game_id'] . "', ";
		$sql .= "`mod_url` = '" . $data['mod_url'] . "', ";
		$sql .= "`mod_name` = '" . $data['mod_name'] . "', ";
		$sql .= "`mod_status` = '" . (int)$data['mod_status'] . "', ";
		$sql .= "`mod_arch` = '" . $data['mod_arch'] . "', ";
		$sql .= "`mod_textx` = '" . strip_tags(htmlspecialchars_decode($this->db->escape($data['mod_textx'])), '<img><span><ul><ol><pre><li><div><em><strong><sup><code>') . "', ";
		$sql .= "`mod_img` = '" . $data['mod_img'] . "', ";	
		$sql .= "`mod_price` = '" . $data['mod_price'] . "'";
		$this->db->query($sql);
		$return=$this->db->getLastId();		
		return $return;
	}

	public function deleteMod($modid) {
		$sql = "DELETE FROM `servers_mods` WHERE mod_id = '" . (int)$modid . "'";
		$this->db->query($sql);
	}
	
	public function updateMod($modid, $data = array()) {
		$sql = "UPDATE `servers_mods`";
		if(!empty($data)) {
			$count = count($data);
			$sql .= " SET";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= ",";
			}
		}
		$sql .= " WHERE `mod_id` = '" . (int)$modid . "'";
		$query = $this->db->query($sql);
	}
	public function getMods($data = array(), $joins = array(),$sort = array(), $options = array()) {
		$sql = "SELECT * FROM `servers_mods`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
				case "games":
					$sql .= " ON servers_mods.game_id=games.game_id";
					break;
			}
		}
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= " AND";
			}
		}
		
		if(!empty($sort)) {
			$count = count($sort);
			$sql .= " ORDER BY";
			foreach($sort as $key => $value) {
				$sql .= " $key " . $value;
				
				$count--;
				if($count > 0) $sql .= ",";
			}
		}
		
		if(!empty($options)) {
			if ($options['start'] < 0) {
				$options['start'] = 0;
			}
			if ($options['limit'] < 1) {
				$options['limit'] = 20;
			}
			$sql .= " LIMIT " . (int)$options['start'] . "," . (int)$options['limit'];
		}
		$query = $this->db->query($sql);
		return $query->rows;
	}
	 
	public function getModById($modid, $joins = array()) {
		$sql = "SELECT * FROM `servers_mods`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
				case "games":
					$sql .= " ON servers_mods.game_id=games.game_id";
					break;
			}
		}
		$sql .=  " WHERE `mod_id` = '" . (int)$modid . "' LIMIT 1";
		$query = $this->db->query($sql);
		return $query->row;
	}
	
	public function getTotalMods($data = array()) {
		$sql = "SELECT COUNT(*) AS count FROM `servers_mods`";
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= " AND";
			}
		}
		$query = $this->db->query($sql);
		return $query->row['count'];
	}
}
?>
