<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
class ticketsImagesModel extends Model {

    public function createImage($data) {
	$sql = "INSERT INTO `tickets_images` SET ";
	$sql .= "ticket_id = '" . (int)$data['ticket_id'] . "', ";
	$sql .= "image = '" . $data['image'] . "',";
	$sql .= "image_date = NOW()";
	$this->db->query($sql);
	return $this->db->getLastId();
    }
    
    public function getImages($data = array(), $joins = array(), $sort = array(), $options = array()) {
		$sql = "SELECT * FROM `tickets_images`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
			case "tickets":
				$sql .= " ON tickets_images.ticket_id=tickets_messages.ticket_id";
				break;
			}
		}
		
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
			$sql .= " $key = '" . $this->db->escape($value) . "'";
			
			$count--;
			if($count > 0) $sql .= " AND";
			}
		}
		
		if(!empty($sort)) {
			$count = count($sort);
			$sql .= " ORDER BY";
			foreach($sort as $key => $value) {
			$sql .= " $key " . $value;
			
			$count--;
			if($count > 0) $sql .= ",";
			}
		}
		
		if(!empty($options)) {
			if ($options['start'] < 0) {
			$options['start'] = 0;
			}
			if ($options['limit'] < 1) {
			$options['limit'] = 20;
			}
			$sql .= " LIMIT " . (int)$options['start'] . "," . (int)$options['limit'];
		}
		$query = $this->db->query($sql);
		return $query->rows;
    }
    
    public function getTicketById($imageid, $joins = array()) {
		$sql = "SELECT * FROM `tickets_images`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
			case "tickets":
				$sql .= " ON tickets_images.image_id=tickets.image_id";
				break;
			}
		}
		$sql .=  " WHERE `image_id` = '" . (int)$imageid . "' LIMIT 1";
		$query = $this->db->query($sql);
		return $query->row;
    }
    
    public function getTotalImages($data = array()) {
		$sql = "SELECT COUNT(*) AS count FROM `tickets_images`";
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
			$sql .= " $key = '" . $this->db->escape($value) . "'";
			
			$count--;
			if($count > 0) $sql .= " AND";
			}
		}
		$query = $this->db->query($sql);
		return $query->row['count'];
    }
}
?>
