<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
class versionsModel extends Model {
	public function createVersion($data) {
		$sql = "INSERT INTO `servers_versions` SET ";		
		$sql .= "`game_id` = '" . (int)$data['game_id'] . "', ";
		$sql .= "`version_name` = '" . $data['version_name'] . "', ";
		$sql .= "`game_id_to` = '" . (int)$data['game_id_to'] . "', ";
		$sql .= "`version_status` = '" . (int)$data['version_status'] . "', ";
		$sql .= "`version_price` = '" . $data['version_price'] . "'";
		$this->db->query($sql);
		$return=$this->db->getLastId();		
		return $return;
	}

	public function deleteVersion($versionid) {
		$sql = "DELETE FROM `servers_versions` WHERE version_id = '" . (int)$versionid . "'";
		$this->db->query($sql);
	}
	
	public function updateVersion($versionid, $data = array()) {
		$sql = "UPDATE `servers_versions`";
		if(!empty($data)) {
			$count = count($data);
			$sql .= " SET";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= ",";
			}
		}
		$sql .= " WHERE `version_id` = '" . (int)$versionid . "'";
		$query = $this->db->query($sql);
	}
	public function getVersions($data = array(), $joins = array(),$sort = array(), $options = array()) {
		$sql = "SELECT * FROM `servers_versions`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
				case "games":
					$sql .= " ON servers_versions.game_id=games.game_id";
					break;
			}
		}
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= " AND";
			}
		}
		
		if(!empty($sort)) {
			$count = count($sort);
			$sql .= " ORDER BY";
			foreach($sort as $key => $value) {
				$sql .= " $key " . $value;
				
				$count--;
				if($count > 0) $sql .= ",";
			}
		}
		
		if(!empty($options)) {
			if ($options['start'] < 0) {
				$options['start'] = 0;
			}
			if ($options['limit'] < 1) {
				$options['limit'] = 20;
			}
			$sql .= " LIMIT " . (int)$options['start'] . "," . (int)$options['limit'];
		}
		$query = $this->db->query($sql);
		return $query->rows;
	}
	 
	public function getVersionById($versionid, $joins = array()) {
		$sql = "SELECT * FROM `servers_versions`";
		foreach($joins as $join) {
			$sql .= " LEFT JOIN $join";
			switch($join) {
				case "games":
					$sql .= " ON servers_versions.game_id=games.game_id";
					break;
			}
		}
		$sql .=  " WHERE `version_id` = '" . (int)$versionid . "' LIMIT 1";
		$query = $this->db->query($sql);
		return $query->row;
	}
	
	public function getTotalVersions($data = array()) {
		$sql = "SELECT COUNT(*) AS count FROM `servers_versions`";
		if(!empty($data)) {
			$count = count($data);
			$sql .= " WHERE";
			foreach($data as $key => $value) {
				$sql .= " $key = '" . $this->db->escape($value) . "'";
				
				$count--;
				if($count > 0) $sql .= " AND";
			}
		}
		$query = $this->db->query($sql);
		return $query->row['count'];
	}
}
?>
