<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $header ?>
<link href="/assets/css/invoice-v1.css" rel="stylesheet" type="text/css" />
<div class="kt-container  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__body kt-portlet__body--fit">
         <div class="kt-invoice-1">
            <div class="kt-invoice__head" style="background-image: url(/assets/media/misc/invoice1-bg.png);">
               <div class="kt-invoice__container">
                  <div class="kt-invoice__brand">
                     <h1 class="kt-invoice__title">Счета</h1>
                     <a href="/" class="kt-invoice__logo">
                     <img src="/logo.png" class="kt-invoice-v1__logoimage" title="Invoice" alt="Invoice">
                     <span class="kt-invoice__desc">
                     <span>Тел. <?php echo $phone ?></span>
                     <span>Email: <?php echo $mail_from ?></span>
                     </span>
                     </a>                                
                  </div>
                  <div class="kt-invoice__items">
                     <div class="kt-invoice__item">
                        <div class="kt-invoice__info">
                           <span class="kt-invoice__subtitle">Клиент:</span>
                           <span class="kt-invoice__text"><?php echo $user_firstname ?> <?php echo $user_lastname ?>.</span>
                        </div>
                     </div>
                     <div class="kt-invoice__item">
                        <div class="kt-invoice__info">
                           <span class="kt-invoice__subtitle">Баланс:</span>
                           <span class="kt-invoice__text"><? echo $user_balance?> рублей.</span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-invoice__body">
               <div class="kt-invoice__container">
                  <div class="table-responsive">
                     <table class="table">
                        <thead>
                           <tr>
                              <th>Ид платежа</th>
                              <th>Статус</th>
                              <th>Дата</th>
                              <th>Сумма</th>
							  <th>Платежная система</th>
                           </tr>
                        </thead>
                        <tbody>
                           <?php foreach($invoices as $item): ?>
                           <tr>
                              <td><?php echo $item['invoice_id'] ?></td>
                              <td>
                                 <?php if($item['invoice_status'] == 0): ?> 
                                 Не оплачен
                                 <?php elseif($item['invoice_status'] == 1): ?> 
                                 Оплачен
                                 <?php endif; ?>                                                    
                              </td>
                              <td><?php echo date("d.m.Y в H:i", strtotime($item['invoice_date_add'])) ?></td>
                              <td><?php echo $item['invoice_ammount'] ?> руб.</td>
							  <td><?php echo $item['system'] ?></td>
                           </tr>
                           <?php endforeach; ?>
                           <?php if(empty($invoices)): ?>
                           <tr>
                              <td colspan="8" style="text-align: center;">На данный момент у вас нет счетов.</td>
                           <tr>
                              <?php endif; ?>
                        </tbody>
                     </table>
                  </div>
               </div>
            </div>
            <hr>
            <div class="kt-invoice__footer">
               <div class="kt-invoice__container">
                  <div class="kt-invoice__bank">
                     <div class="kt-invoice__title">Информация</div>
                     <div class="kt-invoice__item">
                        <span class="kt-invoice__label">Адрес:</span>
                        <span class="kt-invoice__value"><?php echo $city_country ?> <?php echo $homed ?></span>
                     </div>
                     <div class="kt-invoice__item">
                        <span class="kt-invoice__label">Номер счета:</span>
                        <span class="kt-invoice__value"><?php echo $user_id ?></span>
                     </div>
                  </div>
                  <div class="kt-invoice__total">
                     <span class="kt-invoice__price">
                     <?$invo = 0;
                        foreach($invoices as $item): ?>
                     <? if (!($item['invoice_status'] == 1)) { // пропуск нечетных чисел
                        continue;
                        }?>
                     <? $invo=$invo+$item['invoice_ammount']; ?>
                     <?endforeach; echo $invo; ?> рублей.
                     </span>
                     <span class="kt-invoice__notice">Общая сумма пополнений</span>
                  </div>
               </div>
            </div>
            <div class="kt-invoice__actions">
               <div class="kt-invoice__container">
                  <a href="/account/pay" class="btn btn-label-brand btn-bold">Пополнить баланс</a>
                  <button type="button" class="btn btn-brand btn-bold" onclick="window.print();">Распечатать</button>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<?php echo $footer ?>
