<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Список локаций
            </h3>
         </div>
         <div class="kt-portlet__head-toolbar">
            <a href="/admin/locations/create" class="btn btn-label-brand btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Добавить">
            <i class="flaticon2-add-square"></i>
            </a>
         </div>
      </div>
      <div class="kt-portlet__body">
         <div class="kt-section">
            <div class="kt-section__content">
               <table class="table table-striped m-table">
                  <thead>
                     <tr>
                        <th><i class="fa fa-list-ol"></i></th>
                        <th>Статус</th>
                        <th>Название</th>
                        <th>IP</th>
						<th>Серверов</th>
                        <th>CPU</th>
                        <th>RAM</th>
						<th>SWAP</th>
                        <th>SSD</th>
						<th>Обновлено в</th>
                     </tr>
                  </thead>
                  <tbody>
                     <?php foreach($locations as $item): ?> 
                     <tr onClick="redirect('/admin/locations/edit/index/<?php echo $item['location_id'] ?>')">
                        <th scope="row"><?php echo $item['location_id'] ?></th>
                        <td>
                           <?php if($item['location_status'] == 0): ?> 
                           <span class="badge badge-danger">Выключена</span>
                           <?php elseif($item['location_status'] == 1): ?> 
                           <span class="badge badge-success">Включена</span>
                           <?php endif; ?>
                        </td>
                        <td><?php echo $item['location_name'] ?></td>
                        <td><?php echo $item['location_ip'] ?></td>
						<td>   <?$tserverov1 = 0;
							  foreach($servers as $item2): ?>
						   <? if (!($item2['location_id'] == $item['location_id'])) { // пропуск нечетных чисел
							  continue;
							  }?>
						   <? $tserverov1++; ?>
						   <?endforeach;?>
							<?if($tserverov1 > 0):?>
							<?echo $tserverov1; ?>
							<?else: ?>
							0
							<?endif;?>
						</td>
                        <td><?php echo $item['location_cpu'] ?>%</td>
                        <td><?php echo $item['location_ram'] ?>МБ/<?php echo $item['location_ramold'] ?>МБ</td>
                        <td><?php echo $item['location_swap'] ?>МБ/<?php echo $item['location_swapold'] ?>МБ</td>
						<td><?php echo $item['location_hdd'] ?>МБ/<?php echo $item['location_hddold'] ?>МБ</td>
						<td><?php echo date("H:i:s", strtotime($item['location_upd'])) ?></td>
                     </tr>
                     <?php endforeach; ?>
                     <?php if(empty($locations)): ?> 
                     <tr>
                        <td colspan="10" class="text-center">На данный момент нет локаций.</td>
                     </tr>
                     <?php endif; ?> 
                  </tbody>
               </table>
               <?php echo $pagination ?> 
            </div>
         </div>
      </div>
   </div>
</div>
<?php echo $footer ?>
