<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
                Создание мода
            </h3>
        </div>
    </div>
    <div class="kt-portlet__body">
        <form class="form-group form-md-line-input" action="#" id="createForm" method="POST">
            <div class="form-group form-md-line-input">
                <input type="text" class="form-control" id="name" name="name" placeholder="Введите название дополнения">
            </div>
            <div class="form-group form-md-line-input">
                <textarea class="form-control" id="textx" name="textx" rows="3" placeholder="Описание..."></textarea>
            </div>
            <div class="form-group form-md-line-input">
                <input type="text" class="form-control" id="img" name="img" placeholder="Введите ссылку на изображение">
            </div>
            <div class="form-group form-md-line-input">
                <select class="form-control" id="gameid" name="gameid" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                    <?php foreach($games as $item): ?> 
                        <option value="<?php echo $item['game_id'] ?>"><?php echo $item['game_name'] ?></option>
                    <?php endforeach; ?> 
                </select>
            </div>
            <div class="form-group form-md-line-input">
                <label for="upload" class="form-control"><input type="file" id="upload" name="userfile"></label>
            </div>
            <div class="m-form__group form-group">
                <label class="m-checkbox m-checkbox--bold m-checkbox--state-brand">
                    <input type="checkbox" class="md-check" id="act" name="act" onChange="toggleBuy()"> Установить стоимость
                    <span></span>
                </label>
            </div>
            <div class="form-group form-md-line-input">
                <input type="text" class="form-control" id="price" name="price" placeholder="Введите стоимость дополнения" disabled>
            </div>
			<hr>
			<input type="submit" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase" value="Сохранить">
        </form>
    </div>
</div>
<script>
$('#createForm').ajaxForm({ 
	url: '/admin/mods/create/ajax',
	dataType: 'text',
	success: function(data) {
		console.log(data);
		data = $.parseJSON(data);
		switch(data.status) {
			case 'error':
				toastr.error(data.error);
				$('button[type=submit]').prop('disabled', false);
				break;
			case 'success':
				toastr.success(data.success);
				setTimeout("redirect('/admin/mods')", 1500);
				break;
		}
	},
	beforeSubmit: function(arr, $form, options) {
		$('button[type=submit]').prop('disabled', true);
	}
});
function toggleBuy() {
	var status = $('#act').is(':checked');
	if(status) {
		$('#price').prop('disabled', false);
	} else {
		$('#price').prop('disabled', true);
	}
}

$(function(){
  var progressBar = $('#progressbar');
  $('#createForm').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      dataType: 'json',
      xhr: function(){
        var xhr = $.ajaxSettings.xhr();
        xhr.upload.addEventListener('progress', function(evt){
          if(evt.lengthComputable) {
            var percentComplete = Math.ceil(evt.loaded / evt.total * 100);
            progressBar.val(percentComplete).text('Загружено ' + percentComplete + '%');
			toastr.info('Загружено ' + percentComplete + '%');
          }
        }, false);
        return xhr;
      },
      success: function(json){
        if(json){
          $that.after(json);
        }
      }
    });
  });
});
</script>
<?php echo $footer ?>