﻿<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Редактирование новости
            </h3>
         </div>
      </div>
      <div class="kt-portlet__body">
         <form class="form-group form-md-line-input" action="#" id="editForm" method="POST">
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="name" name="name" placeholder="Введите заголовок" value="<?php echo $new['news_title'] ?>">
            </div>
            <div class="form-group form-md-line-input">
               <select class="form-control" id="place" name="place" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                  <option value="1" <?if($new['place'] == 1):?>selected=""<?endif;?>>Разместить в "Новости"</option>
                  <option value="2" <?if($new['place'] == 2):?>selected=""<?endif;?>>Разместить в "Главная"</option>
               </select>
            </div>
            <div class="form-group form-md-line-input">
               <select class="form-control" id="category" name="category" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                  <?php foreach($category as $item): ?> 
                  <option value="<?php echo $item['category_id'] ?>" <?if($item['category_id'] == $new['category_id']):?>selected=""<?endif;?>><?php echo $item['category_name'] ?></option>
                  <?php endforeach; ?> 
               </select>
            </div>
            <div class="form-group form-md-line-input">
               <textarea class="form-control" id="text" name="text" rows="3"> <?echo $new['news_text']?></textarea>
            </div>
            <hr>
            <div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
               <button type="submit" class="btn btn-info btn-outline  btn-block sbold uppercase">Сохранить изменения</button>
               <a data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Удалить" style="height: 3.1rem;" href="/admin/news/edit/delete/<?php echo $new['news_id'] ?>" class="btn btn-danger btn-elevate btn-icon"><i class="fa fa-trash-alt"></i></a>
            </div>
         </form>
      </div>
   </div>
</div>
<script>
   $('#editForm').ajaxForm({ 
   	url: '/admin/news/edit/ajax/<?php echo $new['news_id'] ?>',
   	dataType: 'text',
   	success: function(data) {
   		console.log(data);
   		data = $.parseJSON(data);
   		switch(data.status) {
   			case 'error':
   				toastr.error(data.error);
   				$('button[type=submit]').prop('disabled', false);
   				break;
   			case 'success':
   				toastr.success(data.success);
   				setTimeout("redirect('/admin/news')", 1500);
   				break;
   		}
   	},
   	beforeSubmit: function(arr, $form, options) {
   		$('button[type=submit]').prop('disabled', true);
   	}
   });
</script>
<?php echo $footer ?>
