<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Создание категории
            </h3>
         </div>
      </div>
      <div class="kt-portlet__body">
         <form class="form-group form-md-line-input" action="#" id="createForm" method="POST">
            <div class="form-group form-md-line-input">
                <input type="text" class="form-control" id="name" name="name" placeholder="Введите название">
            </div>
            <div class="form-group form-md-line-input">
                <select class="form-control" id="status" name="status" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                    <option value="0">Выключена</option>
                    <option value="1">Включена</option>
                </select>
            </div>
            <hr>
            <input type="submit" name="otp" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase" value="Сохранить">
         </form>
      </div>
   </div>
</div>
<script>
$('#createForm').ajaxForm({ 
	url: '/admin/newscategory/create/ajax',
	dataType: 'text',
	success: function(data) {
		console.log(data);
		data = $.parseJSON(data);
		switch(data.status) {
			case 'error':
				toastr.error(data.error);
				$('button[type=submit]').prop('disabled', false);
				break;
			case 'success':
				toastr.success(data.success);
				setTimeout("redirect('/admin/newscategory')", 1500);
				break;
		}
	},
	beforeSubmit: function(arr, $form, options) {
		$('button[type=submit]').prop('disabled', true);
	}
});
</script>
<?php echo $footer ?>
