<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="row">
      <?php foreach($servers as $item): ?>
      <div class="col-lg-4 col-xl-4 order-lg-1 order-xl-1">
         <div class="kt-portlet kt-portlet--height-fluid kt-widget" style="box-shadow:0 0 5px <?php if($item['server_status'] == 0): ?>#ffb822;
            <?php elseif($item['server_status'] == 1): ?>#fd397a;
            <?php elseif($item['server_status'] == 2): ?>#1dc9b7;
            <?php elseif($item['server_status'] == 3): ?>#5578eb;
            <?php elseif($item['server_status'] == 4 || $item['server_status'] == 5 || $item['server_status'] == 6): ?>#5867dd;
            <?php elseif($item['server_status'] == 7): ?>#645ca1;
            <?php endif; ?>">
            <div class="kt-portlet__body">
               <div id="kt-widget-slider-13-1" class="kt-slider carousel slide">
                  <div class="kt-slider__head" style="margin-bottom: 0.2rem;">
                     <div class="kt-slider__label"><?php echo $item['location_ip2'] ?>:<?php echo $item['server_port'] ?></div>
                     <div class="kt-slider__nav">
                        <?php if($item['server_status'] == 0): ?>
                        <a class="kt-slider__nav-prev carousel-control-prev" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-power-off"></i></a>
                        <a class="kt-slider__nav-next carousel-control-next" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-redo"></i></a>
                        <?php elseif($item['server_status'] == 1): ?>
                        <a class="kt-slider__nav-prev carousel-control-prev" href="javascript:;" onClick="actionserver(<?php echo $item['server_id'] ?>,'start')" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Запустить"><i class="fa fa-power-off"></i> </a>
                        <a class="kt-slider__nav-next carousel-control-next" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Сервер должен быть включен!"><i class="fa fa-redo"></i></a>
                        <?php elseif($item['server_status'] == 2): ?>
                        <a class="kt-slider__nav-prev carousel-control-prev" href="javascript:;" onClick="actionserver(<?php echo $item['server_id'] ?>,'stop')" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Остановить"><i class="fa fa-power-off"></i></a>
                        <a class="kt-slider__nav-next carousel-control-next" href="javascript:;" onClick="actionserver(<?php echo $item['server_id'] ?>,'restart')" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Перезапустить"><i class="fa fa-redo"></i></a>
                        <?php elseif($item['server_status'] == 3): ?>
                        <a class="kt-slider__nav-prev carousel-control-prev" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-power-off"></i></a>
                        <a class="kt-slider__nav-next carousel-control-next" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-redo"></i></a>
                        <?php elseif($item['server_status'] == 4): ?>
                        <a class="kt-slider__nav-prev carousel-control-prev" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-power-off"></i></a>
                        <a class="kt-slider__nav-next carousel-control-next" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-redo"></i></a>
                        <?php elseif($item['server_status'] == 7): ?>
                        <a class="kt-slider__nav-prev carousel-control-prev" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-power-off"></i></a>
                        <a class="kt-slider__nav-next carousel-control-next" href="javascript:;" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Вы не можете использовать это действие!"><i class="fa fa-redo"></i></a>
                        <?php endif; ?>    
                        <a class="kt-slider__nav-next carousel-control-next" href="/admin/servers/control/index/<?php echo $item['server_id'] ?>" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Управление сервером"><i class="fa fa-sign-in-alt"></i></a>
                     </div>
                  </div>
                  <div class="kt-widget-13">
                     <div class="kt-widget-13__body">
                        <div class="kt-widget-13__desc"><?php echo $item['game_name'] ?></div>
                     </div>
                     <div class="kt-widget-13__foot">
                        <div class="kt-widget-13__label">
                           <div class="btn btn-sm btn-label btn-bold"> ID <?php echo $item['server_id'] ?> </div>
                        </div>
                        <div class="kt-widget-13__toolbar">
                           <div class="btn btn-sm btn-label btn-bold" style="margin-left: 5px;"> CPU <?php echo $item['server_cpu_load'] ?>% </div>
                           <div class="btn btn-sm btn-label btn-bold" style="margin-left: 5px;"> RAM <?php echo $item['server_ram_load'] ?>% </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <?php endforeach; ?>
      <?php if(empty($servers)): ?>
      <div class="col-xl-12 col-lg-12">
         <div class="alert alert-info" role="alert">
            <div class="alert-icon"><i class="flaticon2-menu-1"></i></div>
            <div class="alert-text">На данный момент нет игровых серверов.</div>
         </div>
      </div>
      <?php endif; ?>
   </div>
   <?php echo $pagination ?>
</div>
<script>
	function actionserver(serverid, actionserver) {
		$.ajax({ 
			url: '/admin/servers/control/actionserver/'+serverid+'/'+actionserver,
			dataType: 'text',
			success: function(data) {
				data = $.parseJSON(data);
				switch(data.status) {
					case 'error':
						toastr.error(data.error);
						break;
					case 'success':
						toastr.success(data.success);
						setTimeout("reload()", 1500);
						break;
				}
			},
			beforeSend: function(arr, options) {
				toastr.warning("Обработка запроса... Пожалуйста подождите.");                    
				$('#controlBtns button').prop('disabled', true);
			}
		});
	}
</script>
<?php echo $footer ?>