<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="row">
      <div class="col-lg-4 col-xl-4 order-lg-2 order-xl-1">
         <div class="kt-portlet">
            <div class="kt-portlet__body">
               <div class="kt-widget kt-widget--general-1">
                  <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                     <img src="<?php echo $url ?><?if($user['user_img']) {echo $user['user_img'];}else{ echo '/application/public/img/user.png';}?>" alt="image">
                  </div>
                  <div class="kt-widget__wrapper">
                     <div class="kt-widget__label">
                        <a href="javascript:;" class="kt-widget__title">
                        <?php echo $user['user_firstname'] ?> <?php echo $user['user_lastname'] ?>
                        </a>
                        <span class="kt-widget__desc">
                        <?php if($user['user_access_level'] == 3): ?> Администратор <?php elseif($user['user_access_level'] == 2): ?> Тех.Поддержка <?php elseif($user['user_access_level'] == 1): ?> Клиент <?php elseif($user['user_access_level'] == 0): ?> Демонстрация <?php endif; ?>
                        </span>
                     </div>
                  </div>
                  <div class="kt-widget__toolbar kt-widget__toolbar--top-">
                     <div class="btn-group">
                        <div class="dropdown dropdown-inline">
                           <button type="button" class="btn btn-clean btn-sm btn-icon btn-icon-md" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Редактирование аккаунта">
                           <i class="flaticon2-information"></i>
                           </button>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet__separator"></div>
            <div class="kt-portlet__body">
               <ul class="kt-nav kt-nav--bolder kt-nav--fit-ver kt-nav--v4" role="tablist">
                  <li class="kt-nav__item">
                     <a class="kt-nav__link " href="/admin/servers/index?userid=<?php echo $user['user_id'] ?>" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-server"></i></span>
                     <span class="kt-nav__link-text">Сервера пользователя</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link " href="/admin/webhost/index?userid=<?php echo $user['user_id'] ?>" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-globe"></i></span>
                     <span class="kt-nav__link-text">Веб-хостинги пользователя</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/tickets/index?userid=<?php echo $user['user_id'] ?>" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-headset"></i></span>
                     <span class="kt-nav__link-text">Все запросы</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/invoices/index?userid=<?php echo $user['user_id'] ?>" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-donate"></i></span>
                     <span class="kt-nav__link-text">Платежи пользователя</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/waste/index?userid=<?php echo $user['user_id'] ?>" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-tasks"></i></span>
                     <span class="kt-nav__link-text">Операции пользователя</span>
                     </a>
                  </li>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" data-toggle="modal" data-target="#authloghackchik" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-map-marker-alt"></i></span>
                     <span class="kt-nav__link-text">Логи авторизации</span>
                     </a>
                  </li>
                  <?php if($user_access_level == 3):?>
                  <li class="kt-nav__item">
                     <a class="kt-nav__link" href="/admin/users/edit/delete/<?php echo $user['user_id'] ?>" role="tab">
                     <span class="kt-nav__link-icon"><i class="fa fa-trash-alt"></i></span>
                     <span class="kt-nav__link-text">Удалить пользователя</span>
                     </a>
                  </li>
                  <?php endif; ?>
               </ul>
            </div>
         </div>
      </div>
      <div class="col-lg-8 col-xl-8 order-lg-2 order-xl-1">
         <div class="m-portlet m-portlet--full-height m-portlet--tabs   m-portlet--unair">
            <div class="m-portlet__body">
               <form class="form-group form-md-line-input" action="#" id="editForm" method="POST">
                  <div class="form-group form-md-line-input">
                     <input type="text" class="form-control" id="lastname" name="lastname" placeholder="<?php echo $user['user_lastname'] ?>" value="<?php echo $user['user_lastname'] ?>">
                  </div>
                  <div class="form-group form-md-line-input">
                     <input type="text" class="form-control" id="firstname" name="firstname" placeholder="<?php echo $user['user_firstname'] ?>" value="<?php echo $user['user_firstname'] ?>">
                  </div>
                  <div class="form-group form-md-line-input">
                     <input type="text" class="form-control" id="email" name="email" placeholder="<?php echo $user['user_email'] ?>" value="<?php echo $user['user_email'] ?>">
                  </div>
                  <div class="form-group form-md-line-input">
                     <select class="form-control" id="status" name="status" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                        <option value="1" <?php if($user['user_status'] == 1): ?> selected="selected"<?php endif; ?>>Разблокирован</option>
                        <option value="0" <?php if($user['user_status'] == 0): ?> selected="selected"<?php endif; ?>>Заблокирован</option>
                     </select>
                  </div>
                  <div class="form-group form-md-line-input">
                     <select class="form-control" id="accesslevel" name="accesslevel" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                        <option value="0" <?php if($user['user_access_level'] == 0): ?> selected="selected"<?php endif; ?>>Демонстрация</option>
                        <option value="1" <?php if($user['user_access_level'] == 1): ?> selected="selected"<?php endif; ?>>Клиент</option>
                        <option value="2" <?php if($user['user_access_level'] == 2): ?> selected="selected"<?php endif; ?>>Техническая поддержка</option>
                        <option value="3" <?php if($user['user_access_level'] == 3): ?> selected="selected"<?php endif; ?>>Администрация</option>
                     </select>
                  </div>
                  <div class="form-group form-md-line-input">
                     <input type="text" class="form-control" id="balance" name="balance" placeholder="Баланс" value="<?php echo $user['user_balance'] ?>">
                  </div>
                  <div class="form-group form-md-line-input">
                     <input type="text" class="form-control" id="vk_id" name="vk_id" placeholder="ID VK" value="<?php echo $user['user_vk_id'] ?>">
                  </div>
                  <div class="form-group form-md-line-input">
                     <select class="form-control" id="test_server" name="test_server" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                        <option value="1" <?php if($user['test_server'] == 1): ?> selected="selected"<?php endif; ?>>Тестовый период разрешен</option>
                        <option value="2" <?php if($user['test_server'] == 2): ?> selected="selected"<?php endif; ?>>Тестовый период запрещен</option>
                     </select>
                  </div>
                  <div class="form-group form-md-line-input">
                     <select class="form-control" id="user_activate" name="user_activate" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                        <option value="1" <?php if($user['user_activate'] == 1): ?> selected="selected"<?php endif; ?>>Аккаунт подтвержден</option>
                        <option value="0" <?php if($user['user_activate'] == 0): ?> selected="selected"<?php endif; ?>>Аккаунт неактивирован</option>
                     </select>
                  </div>
                  <?php if($user_access_level == 3):?>
                  <div class="card card-body" style="margin-bottom: 1rem;">
                     <label class="kt-checkbox kt-checkbox--bold kt-checkbox--brand" style="margin-bottom: 0px;">
                     <input type="checkbox" id="editpassword" name="editpassword" onChange="togglePassword()"> Сменить пароль
                     <span></span>
                     </label>
                  </div>
                  <div class="form-group form-md-line-input">
                     <input type="password" class="form-control" id="password" name="password" placeholder="Пароль" disabled>
                  </div>
                  <div class="form-group form-md-line-input">
                     <input type="password" class="form-control" id="password2" name="password2" placeholder="Повторите пароль" disabled>
                  </div>
                  <hr>
                  <button type="submit" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase">Сохранить изменения</button>
                  <?php endif; ?>  
               </form>
            </div>
         </div>
      </div>
   </div>
</div>
<!--begin::Modal-->
<div class="modal fade" id="authloghackchik" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Логи авторизации</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <table class="table table-striped m-table">
               <tbody>
                  <?php foreach($visitors as $item):?>
                  <tr>
                     <td><?php echo $item['city'] ?></td>
                     <td><?php echo $item['country'] ?>(<?php echo $item['code'] ?>)</td>
                     <td><?php echo date("d.m.Y в H:i", strtotime($item['datetime'])) ?></td>
                     <td><?php echo $item['ip'] ?></td>
                     <td><?php if($item['status'] == 0): ?> 
                        <span class="badge badge-sm label-danger">Ошибка входа (пароль <?php echo $item['password'] ?>)</span>
                        <?php elseif($item['status'] == 1): ?> 
                        <span class="badge badge-sm label-success">Вход в систему</span>
                        <?php elseif($item['status'] == 2): ?> 
                        <span class="badge badge-sm label-warning">Выход из системы</span>
                        <?php elseif($item['status'] == 3): ?> 
                        <span class="badge badge-sm label-warning">Попытка востановленя пароля</span>
                        <?php elseif($item['status'] == 4): ?> 
                        <span class="badge badge-sm label-success">Вход через VK</span>
                        <?php elseif($item['status'] == 5): ?> 
                        <span class="badge badge-sm label-success">Ошибка входа через VK</span>
                        <?php endif; ?> 
                     </td>
                  </tr>
                  <?php endforeach; ?>
               </tbody>
            </table>
         </div>
      </div>
   </div>
</div>
<!--end::Modal-->
<script>
   $('#editForm').ajaxForm({ 
    url: '/admin/users/edit/ajax/<?php echo $user['user_id'] ?>',
    dataType: 'text',
    success: function(data) {
          console.log(data);
        data = $.parseJSON(data);
        switch(data.status) {
            case 'error':
                toastr.error(data.error);
                $('button[type=submit]').prop('disabled', false);
                break;
            case 'success':
                toastr.success(data.success);
                setTimeout("reload()", 1100);
                break;
        }
    },
    beforeSubmit: function(arr, $form, options) {
        $('button[type=submit]').prop('disabled', true);
    }
   });
                function togglePassword() {
                    var status = $('#editpassword').is(':checked');
                    if(status) {
                        $('#password').prop('disabled', false);
                        $('#password2').prop('disabled', false);
                    } else {
                        $('#password').prop('disabled', true);
                        $('#password2').prop('disabled', true);
                    }
                }
</script>
<?php echo $footer ?>