<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
<div class="kt-portlet">
   <div class="kt-portlet__head">
      <div class="kt-portlet__head-label">
         <h3 class="kt-portlet__head-title">
            Редактирование смены игры
         </h3>
      </div>
   </div>
   <div class="kt-portlet__body">
      <form class="form-group form-md-line-input" action="#" id="editForm" method="POST">
         <div class="form-group form-md-line-input">
			<label>Введите название игры</label>
            <input type="text" class="form-control" id="name" name="name" value="<?php echo $version['version_name'] ?>" placeholder="Введите название смены игры">
         </div>
         <div class="form-group form-md-line-input">
			<label>Выберите игру для которой будет доступна смена игры</label>
            <select class="form-control" id="gameid" name="gameid" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
               <?php foreach($games as $item): ?> 
               <option value="<?php echo $item['game_id'] ?>" <?php if($version['game_id'] == $item['game_id']): ?> selected="selected"<?php endif; ?>><?php echo $item['game_name'] ?></option>
               <?php endforeach; ?> 
            </select>
         </div>
         <div class="form-group form-md-line-input">
			<label>Выберите игру на которую будет производится смена игры</label>
            <select class="form-control" id="gameidto" name="gameidto" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
               <?php foreach($games as $item): ?> 
               <option value="<?php echo $item['game_id'] ?>" <?php if($version['game_id_to'] == $item['game_id']): ?> selected="selected"<?php endif; ?>><?php echo $item['game_name'] ?></option>
               <?php endforeach; ?> 
            </select>
         </div>
         <hr>
         <div class="form-group form-md-line-input">
            <input type="text" class="form-control" id="price" name="price" value="<?php echo $version['version_price'] ?>"placeholder="Введите стоимость смены игры">
         </div>
         <div class="form-group form-md-line-input">
            <select class="form-control" id="status" name="status">
               <option value="0"<?php if($version['version_status'] == 0): ?> selected="selected"<?php endif; ?>>Выключена</option>
               <option value="1"<?php if($version['version_status'] == 1): ?> selected="selected"<?php endif; ?>>Включена</option>
            </select>
         </div>
         <hr>
         <div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
            <button type="submit" class="btn btn-info btn-outline  btn-block sbold uppercase">Сохранить изменения</button>
            <a data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Удалить" style="height: 3.1rem;" href="/admin/versions/edit/delete/<?php echo $version['version_id'] ?>" class="btn btn-danger btn-elevate btn-icon"><i class="fa fa-trash-alt"></i></a>
         </div>
      </form>
   </div>
</div>
<script>
   $('#editForm').ajaxForm({ 
   	url: '/admin/versions/edit/ajax/<?php echo $version['version_id'] ?>',
   	dataType: 'text',
   	success: function(data) {
   		console.log(data);
   		data = $.parseJSON(data);
   		switch(data.status) {
   			case 'error':
   				toastr.error(data.error);
   				$('button[type=submit]').prop('disabled', false);
   				break;
   			case 'success':
   				toastr.success(data.success);
   				setTimeout("redirect('/admin/versions')", 1500);
   				break;
   		}
   	},
   	  beforeSubmit: function(arr, $form, options) {
      $('button[type=submit]').prop('disabled', true);
   }
   });
</script>
<?php echo $footer ?>
