<?
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Alexandr Zemlyanoy (https://vk.com/mrsasha082)
WEB Hosting to ISP 5
*/
?>
<?php echo $admheader ?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
      <div class="row">
         <div class="col-lg-4 col-xl-4">
            <div class="kt-portlet">
               <div class="kt-portlet__body">
                  <div class="kt-widget kt-widget--general-1">
                     <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                        <img src="/application/public/img/podderzka-saitov.png" alt="image">
                     </div>
                     <div class="kt-widget__wrapper">
                        <div class="kt-widget__label">
                           <a href="#" class="kt-widget__title">
                           <?php echo $webhost['web_domain'] ?>
                           </a>
						   <?php if($webhost['web_status'] == 0): ?> 
                           Заблокирован
						   <?php elseif($webhost['web_status'] == 1): ?> 
                           Включен
						  <?php endif; ?>
                           </span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet sticky kt-sticky">
               <div class="kt-portlet__body kt-portlet__body--fit">
                  <ul class="kt-nav kt-nav--bold kt-nav--md-space kt-nav--v3 kt-margin-t-5 kt-margin-b-5 nav nav-tabs" role="tablist">
					 <?php if($webhost['web_status'] == 1): ?> 
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $webhost['web_id'] ?>,'block')">
                        <span class="kt-nav__link-icon"><i class="fa fa-power-off"></i></span>
                        <span class="kt-nav__link-text">Заблокировать</span>
                        </a>
                     </li>
					 <?php elseif($webhost['web_status'] == 0): ?> 
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $webhost['web_id'] ?>,'unblock')">
                        <span class="kt-nav__link-icon"><i class="fa fa-power-off"></i></span>
                        <span class="kt-nav__link-text">Разблокировать</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" onClick="sendAction(<?php echo $webhost['web_id'] ?>,'delete')">
                        <span class="kt-nav__link-icon"><i class="fa fa-power-off"></i></span>
                        <span class="kt-nav__link-text">Удалить</span>
                        </a>
                     </li>
					 <?php endif; ?>
                     <li class="kt-nav__separator"></li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="/admin/users/edit/index/<?php echo $webhost['user_id'] ?>" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Владелец веб-хостинга">
                        <span class="kt-nav__link-icon"><i class="flaticon2-user"></i></span>
                        <span class="kt-nav__link-text">Клиент</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $webhost['user_firstname'] ?> <?php echo $webhost['user_lastname'] ?></span>
                        </span>
                        </a>
                     </li>
                  </ul>
               </div>
            </div>
         </div>
         <div class="col-xl-8 col-lg-8">
            <div class="row">
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Тариф <small><?php echo $webhost['tarif_name'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Оплачен до <small><?php echo date("d.m.Y", strtotime($webhost['web_date_end'])) ?></small>
                           </h3>
                        </div>
                        <div class="kt-portlet__head-toolbar">
                           <div class="kt-portlet__head-toolbar-wrapper">
                              <div class="dropdown dropdown-inline">
                                 <a href="javascript:;" data-toggle="modal" data-target="#pay" class="badge badge-primary" style="margin-right: .25rem"><i class="fa fa-wrench" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Изменить"></i></a>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Локация <small><?php echo $webhost['location_name'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              NS Сервера <small><?php echo $webhost['ns_servers'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
		 <?php if($webhost['web_status'] == 1): ?> 	
         <div class="col-xl-4 col-lg-4">
            <div class="kt-portlet kt-portlet--height-fluid">
               <div class="kt-portlet__head">
                  <div class="kt-portlet__head-label">
                     <h3 class="kt-portlet__head-title">Данные для входа в ISP</h3>
                  </div>
               </div>
               <div class="kt-portlet__body">
                  <div class="kt-widget-4">
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Адрес панели</a>
                                 <div class="kt-widget-4__item-desc">https://<?php echo $webhost['location_url']?>:1500/ispmgr</div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Имя пользователя</a>
                                 <div class="kt-widget-4__item-desc">ws<?php echo $webhost['web_id'] ?></div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Пароль</a>
                                 <div class="kt-widget-4__item-desc"><?php echo $webhost['web_password'] ?></div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div class="col-xl-4 col-lg-4">
            <div class="kt-portlet kt-portlet--height-fluid">
               <div class="kt-portlet__head">
                  <div class="kt-portlet__head-label">
                     <h3 class="kt-portlet__head-title">Данные FTP</h3>
                  </div>
               </div>
               <div class="kt-portlet__body">
                  <div class="kt-widget-4">
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Адрес для доступа по протоколу FTP</a>
                                 <div class="kt-widget-4__item-desc"><?php echo $webhost['location_ip']?></div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Имя пользователя</a>
                                 <div class="kt-widget-4__item-desc">ws<?php echo $webhost['web_id'] ?></div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="kt-widget-4__item">
                        <div class="kt-widget-4__item-content">
                           <div class="kt-widget-4__item-section">
                              <div class="kt-widget-4__item-info">
                                 <a href="#" class="kt-widget-4__item-username">Пароль</a>
                                 <div class="kt-widget-4__item-desc"><?php echo $webhost['web_password'] ?></div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div class="col-lg-4 col-xl-4">
            <form class="form-horizontal" id="editForm" method="POST">
               <div class="kt-portlet kt-portlet--height-fluid kt-widget-12">
                  <div class="kt-portlet__body">
                     <div class="kt-widget-12__body">
                        <div class="kt-widget-12__head">
                           <div class="kt-widget-12__date kt-widget-12__date--metal">
                              <i class="fa fa-globe" style="font-size: 2.5rem;color: #5867dd;"></i>
                           </div>
                           <div class="kt-widget-12__label">
                              <h3 class="kt-widget-12__title">Доступ к панели</h3>
                              <span class="kt-widget-12__desc">
                              <label class="kt-checkbox kt-checkbox--bold kt-checkbox--brand" style="margin-bottom: 0px;">
                              <input type="checkbox" id="editpassword" name="editpassword" onchange="togglePassword()"> Сменить пароль
                              <span></span>
                              </label>
                              </span>
                           </div>
                        </div>
                        <div class="kt-widget-12__info">
                           <div class="form-group form-md-line-input">
                              <input type="text" class="form-control" id="password" name="password" placeholder="Введите пароль" disabled="">
                           </div>
                           <div class="form-group form-md-line-input">
                              <input type="text" class="form-control" id="password2" name="password2" placeholder="Повторите ввод пароля" disabled="">
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="kt-portlet__foot kt-portlet__foot--md">
                     <input type="submit" class="btn btn-info m-btn m-btn--air btn-outline  btn-block sbold uppercase" value="Сохранить">
                  </div>
               </div>
            </form>
		</div>
		<?php endif; ?>
      </div>
   </div>
</div>
<script>	
   $('#editForm').ajaxForm({ 
       url: '/admin/webhost/control/ajax/<?php echo $webhost['web_id'] ?>',
       dataType: 'text',
       success: function(data) {
           console.log(data);
           data = $.parseJSON(data);
           switch(data.status) {
               case 'error':
                   toastr.error(data.error);
                   $('button[type=submit]').prop('disabled', false);
                   break;
               case 'success':
                   toastr.success(data.success);
				   setTimeout("reload()", 1500);
                   break;
           }
       },
       beforeSubmit: function(arr, $form, options) {
           $('button[type=submit]').prop('disabled', true);
       }
    });
    function togglePassword() {
       var status = $('#editpassword').is(':checked');
       if(status) {
           $('#password').prop('disabled', false);
           $('#password2').prop('disabled', false);
           $('#passwordm').prop('disabled', true);
           $('#password2m').prop('disabled', true);
       } else {
           $('#password').prop('disabled', true);
           $('#password2').prop('disabled', true);
   
       }
    }
					
	function sendAction(webid, action) {
		switch(action) {
			case "detele_web":
			{
				if(!confirm("Вы уверенны в том, удалить веб-хостинг ws<?php echo $webhost['web_id'] ?>?")) return;
				break;
			}
			case "block":
			{
				if(!confirm("Вы уверенны в том, заблокировать веб-хостинг ws<?php echo $webhost['web_id'] ?>?")) return;
				break;
			}
			case "unblock":
			{
				if(!confirm("Вы уверенны в том, разблокировать веб-хостинг ws<?php echo $webhost['web_id'] ?>?")) return;
				break;
			}
		}
		$.ajax({ 
			url: '/admin/webhost/control/action/'+webid+'/'+action,
			dataType: 'text',
			success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('#controlBtns button').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("reload()", 1500);
					break;
				}
			},
			beforeSend: function(arr, options) {
				if(action == "detele_web") toastr.warning("Веб-хостинг будет удален в течении 10 секунд!");
				if(action == "block") toastr.warning("Веб-хостинг будет заблокирован в течении 10 секунд!");	
				if(action == "unblock") toastr.warning("Веб-хостинг будет разблокирован в течении 10 секунд!");					
				$('#controlBtns button').prop('disabled', true);
			}
		});
	}
</script>
<?php echo $footer ?>