<?
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Alexandr Zemlyanoy (https://vk.com/mrsasha082)
WEB Hosting to ISP 5
*/
?>
<?php echo $admheader ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <div class="kt-portlet">
      <div class="kt-portlet__head">
         <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">
               Редактирование тарифа
            </h3>
         </div>
      </div>
      <div class="kt-portlet__body">
         <form class="form-group form-md-line-input" action="#" id="editForm" method="POST">
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="name" name="name" placeholder="Введите название тарифа" value="<?php echo $tarif['tarif_name'] ?>">
            </div>
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="package" name="package" placeholder="Введите название шаблона в панели ISP" value="<?php echo $tarif['package'] ?>">
            </div>
            <div class="form-group form-md-line-input">
               <input type="text" class="form-control" id="price" name="price" placeholder="Введите стоимость тарифа" value="<?php echo $tarif['tarif_price'] ?>">
            </div>
            <div class="form-group form-md-line-input">
               <select class="form-control" id="status" name="status" name="delivery" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
                  <option value="1"<?php if($tarif['tarif_status'] == 1): ?> selected="selected"<?php endif; ?>>Включен</option>
                  <option value="0"<?php if($tarif['tarif_status'] == 0): ?> selected="selected"<?php endif; ?>>Выключен</option>
               </select>
            </div>
            <hr>
            <div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
               <button type="submit" class="btn btn-info btn-outline  btn-block sbold uppercase">Сохранить изменения</button>
               <a data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Удалить" style="height: 3.1rem;" href="/admin/webtarifs/edit/delete/<?php echo $tarif['tarif_id'] ?>" class="btn btn-danger btn-elevate btn-icon"><i class="fa fa-trash-alt"></i></a>
            </div>
         </form>
      </div>
   </div>
</div>
<script>
   $('#editForm').ajaxForm({ 
   	url: '/admin/webtarifs/edit/ajax/<?php echo $tarif['tarif_id'] ?>',
   	dataType: 'text',
   	success: function(data) {
   		console.log(data);
   		data = $.parseJSON(data);
   		switch(data.status) {
   			case 'error':
   				toastr.error(data.error);
   				$('button[type=submit]').prop('disabled', false);
   				break;
   			case 'success':
   				toastr.success(data.success);
                showSuccess(data.success);
                setTimeout("redirect('/admin/webtarifs')", 1500);
   				break;
   		}
   	},
   	beforeSubmit: function(arr, $form, options) {
   		$('button[type=submit]').prop('disabled', true);
   	}
   });
</script>
<?php echo $footer ?>
