<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<html lang="ru">
	<!-- begin::Head -->
	<head>
		<meta charset="utf-8" />
		<title><?php echo $title ?> | <?php echo $description ?></title>
		<meta name="description" content="<?php echo $description ?>">
		<meta name="keywords" content="<?php echo $keywords ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<!--begin::Fonts -->
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700">
		<!--end::Fonts -->
		<?php
			date_default_timezone_set('UTC');
			$script_tz = date_default_timezone_get();
			?>
		<!--begin::Page Vendors Styles(used by this page) -->
		<link href="/assets/plugins/custom/fullcalendar/fullcalendar.bundle.css" rel="stylesheet" type="text/css" />
		<!--end::Page Vendors Styles -->
		<!--begin::Global Theme Styles(used by all pages) -->
		<link href="/assets/plugins/global/plugins.bundle.css" rel="stylesheet" type="text/css" />
		<link href="/assets/css/style.bundle.css" rel="stylesheet" type="text/css" />
		<link href="/assets/css/hackchik.css" rel="stylesheet" type="text/css" />
		<!--end::Global Theme Styles -->
		<!--begin::Layout Skins(used by all pages) -->
		<!--end::Layout Skins -->
		<link rel="shortcut icon" href="/favicon.ico" />
	</head>
	<!-- end::Head -->
	<!-- begin::Body -->
	<body class="kt-quick-panel--right kt-demo-panel--right kt-offcanvas-panel--right kt-header--fixed kt-header--minimize-menu kt-subheader--enabled kt-subheader--transparent kt-page--loading">
		<!-- begin::Page loader -->
		<!-- end::Page Loader -->
		<!-- begin:: Page -->
		<!-- begin:: Header Mobile -->
		<div id="kt_header_mobile" class="kt-header-mobile ">
			<div class="kt-header-mobile__logo">
				<a href="/">
				<img alt="Logo" width = "190" height = "40" src="<?php echo $logo ?>" />
				</a>
			</div>
			<div class="kt-header-mobile__toolbar">
				<button class="kt-header-mobile__toolbar-toggler" id="kt_header_mobile_toggler"><span></span></button>
				<button class="kt-header-mobile__toolbar-topbar-toggler" id="kt_header_mobile_topbar_toggler"><i class="flaticon2-soft-icons"></i></button>
			</div>
		</div>
		<!-- end:: Header Mobile -->
		<div class="kt-grid kt-grid--hor kt-grid--root">
		<div class="kt-grid__item kt-grid__item--fluid kt-grid kt-grid--ver kt-page">
		<div class="kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor kt-wrapper " id="kt_wrapper">
		<!-- begin:: Header -->
		<div id="kt_header" class="kt-header kt-grid__item  kt-header--fixed " data-ktheader-minimize="on">
			<div class="kt-header__top">
				<div class="kt-container ">
					<!-- begin:: Brand -->
					<div class="kt-header__brand   kt-grid__item" id="kt_header_brand">
						<div class="kt-header__brand-logo">
							<a href="/">
							<img alt="Logo" width = "190" height = "40" src="<?php echo $logo ?>" class="kt-header__brand-logo-default" />
							<img alt="Logo" width = "190" height = "40" src="<?php echo $logo ?>" class="kt-header__brand-logo-sticky" />
							</a>
						</div>
						<h1 class="kt-header__brand-title">
							<?php echo $title ?>
						</h1>
					</div>
					<!-- end:: Brand -->
					<!-- begin:: Topbar -->
					<div class="kt-header__topbar">
						<div class="kt-header__topbar-item kt-header__topbar-item--search dropdown">
							<div class="kt-header__topbar-wrapper" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Наше сообщество VK">
								<a href="https://vk.com/public<?php echo $public ?>">
								<span class="kt-header__topbar-icon"><i class="la la-vk" style="font-size: 2.5rem;"></i></span>
								</a>
							</div>
						</div>
						<div class="kt-header__topbar-item kt-header__topbar-item--search dropdown">
							<div class="kt-header__topbar-wrapper" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Пользователей онлайн">
								<span class="kt-header__topbar-icon"><span class="badge badge-light"><b id="online"></b></span></span>
							</div>
						</div>
						<!--begin: Notifications -->
						<div class="kt-header__topbar-item dropdown">
							<div class="kt-header__topbar-wrapper" data-toggle="dropdown" data-offset="10px,10px">
								<span class="kt-header__topbar-icon"><i class="flaticon2-notification"></i></span>
								<?php foreach($tickets as $item): ?>
								<?php if($item['ticket_status'] == 2): ?>
								<span class="kt-badge kt-badge--danger"></span>
								<?php endif; ?>
								<?php endforeach; ?>
							</div>
							<div class="dropdown-menu dropdown-menu-fit dropdown-menu-right dropdown-menu-anim dropdown-menu-xl">
								<div class="kt-head kt-head--sm kt-head--skin-light">
									<h3 class="kt-head__title">Запросы в службу поддержки</h3>
								</div>
								<div class="kt-portlet__body">
									<div class="kt-notification-v2 kt-scroll" data-scroll="true" data-height="270" style="height: 550px; overflow: auto;">
										<?php foreach($tickets as $item): ?>
										<a href="/tickets/view/index/<?php echo $item['ticket_id'] ?>" class="kt-notification-v2__item">
											<div class="kt-notification-v2__item-icon">
												<?php if($item['ticket_status'] == 0): ?>
												<i class="fa fa-user-lock kt-font-brand"></i>
												<?php elseif($item['ticket_status'] == 1): ?>
												<i class="fa fa-user-clock kt-font-brand"></i>	
												<?php elseif($item['ticket_status'] == 2): ?>
												<i class="fa fa-user kt-font-brand"></i>
												<?php endif; ?>	
											</div>
											<div class="kt-notification-v2__item-wrapper">
												<div class="kt-notification-v2__item-title">
													<?php echo $item['ticket_name'] ?>
												</div>
												<div class="kt-notification-v2__item-desc">
													<?php if($item['ticket_status'] == 0): ?> Вопрос закрыт.
													<?php elseif($item['ticket_status'] == 1): ?> Ваш вопрос рассматривают.
													<?php elseif($item['ticket_status'] == 2): ?> Ответ от администрации.
													<?php endif; ?>
												</div>
											</div>
										</a>
										<?php endforeach; ?>
										<?php if(empty($tickets)): ?>
										<div class="col-12">
										    <div class="alert alert-info" role="alert" style="margin: 15px 0;">
					                            <div class="alert-icon"><i class="flaticon2-menu-1"></i></div>
						                        <div class="alert-text">На данный момент у вас нет запросов.</div>
				                            </div>
				                        </div>
										<?php endif; ?>
									</div>
								</div>
							</div>
						</div>
						<!--end: Notifications -->
						<!--begin: Notifications -->
						<div class="kt-header__topbar-item dropdown">
							<div class="kt-header__topbar-wrapper" data-toggle="dropdown" data-offset="10px,10px">
								<span class="kt-header__topbar-icon"><i class="flaticon2-map"></i></span>
							</div>
							<div class="dropdown-menu dropdown-menu-fit dropdown-menu-right dropdown-menu-anim dropdown-menu-xl">
								<div class="kt-head kt-head--sm kt-head--skin-light">
									<h3 class="kt-head__title">Последние 20 действий</h3>
								</div>
								<div class="kt-portlet__body">
									<div class="kt-notification-v2 kt-scroll" data-scroll="true" data-height="270" style="height: 550px; overflow: auto;">
										<?php foreach($visitors as $item):?>
										<a href="/main/acc" class="kt-notification-v2__item">
											<div class="kt-notification-v2__item-icon">
												<?php if($item['status'] == 0): ?>
												<i class="fa fa-times-circle kt-font-danger"></i>
												<?php elseif($item['status'] == 1): ?>
												<i class="fa fa-user-check kt-font-success"></i>	
												<?php elseif($item['status'] == 2): ?>
												<i class="fa fa-sign-in-alt kt-font-warning"></i>
												<?php endif; ?>	
											</div>
											<div class="kt-notification-v2__item-wrapper">
												<div class="kt-notification-v2__item-title">
													IP: <?php echo $item['ip'] ?>
												</div>
												<div class="kt-notification-v2__item-desc">
													<?php if($item['status'] == 0): ?>
													Попытка входа в аккаунт -
													<?php elseif($item['status'] == 1): ?>
													Вход в аккаунт - 
													<?php elseif($item['status'] == 2): ?>
													Выход с аккаунта -
													<?php endif; ?> 
													<?php echo date("d.m.Y в H:i", strtotime($item['datetime'])) ?>
												</div>
											</div>
										</a>
										<?php endforeach; ?>
										<?php if(empty($visitors)): ?>
										<span class="m-widget14__desc">
											<center>У вас нет активов.</center>
										</span>
										<?php endif; ?>
									</div>
								</div>
							</div>
						</div>
						<!--end: Notifications -->
						<!--begin: Quick Actions -->
						<?if($user_access_level > 1):?>
						<div class="kt-header__topbar-item dropdown">
							<div class="kt-header__topbar-wrapper" data-toggle="dropdown" data-offset="10px,10px">
								<span class="kt-header__topbar-icon"><i class="flaticon2-settings"></i></span>
							</div>
							<div class="dropdown-menu dropdown-menu-fit dropdown-menu-right dropdown-menu-anim dropdown-menu-xl">
								<div class="kt-head" style="background-image: url(/assets/media/misc/head_bg_sm.jpg)">
									<h3 class="kt-head__title">Панель <?if($user_access_level == 3):?> Администратора<?elseif($user_access_level == 2):?> Тех.поддержки<?endif;?></h3>
								</div>
								<div class="kt-grid-nav">
									<a href="/admin/servers" class="kt-grid-nav__item">
										<div class="kt-grid-nav__item-icon"><i class="fa fa-server"></i></div>
										<div class="kt-grid-nav__item-title">Сервера</div>
										<div class="kt-grid-nav__item-desc">Перейти</div>
									</a>
									<a href="/admin/tickets" class="kt-grid-nav__item">
										<div class="kt-grid-nav__item-icon"><i class="fa fa-headset"></i></div>
										<div class="kt-grid-nav__item-title">Тикеты</div>
										<div class="kt-grid-nav__item-desc">Перейти</div>
									</a>
									<a href="/admin/users" class="kt-grid-nav__item">
										<div class="kt-grid-nav__item-icon"><i class="fa fa-users-cog"></i></div>
										<div class="kt-grid-nav__item-title">Пользователи</div>
										<div class="kt-grid-nav__item-desc">Перейти</div>
									</a>
									<a href="/admin/" class="kt-grid-nav__item">
										<div class="kt-grid-nav__item-icon"><i class="fa fa-user-secret"></i></div>
										<div class="kt-grid-nav__item-title">Панель администратора</div>
										<div class="kt-grid-nav__item-desc">Перейти</div>
									</a>
								</div>
							</div>
						</div>
						<?endif;?>
						<!--end: Quick Actions -->
						<!--begin: User -->
						<div class="kt-header__topbar-item kt-header__topbar-item--user">
							<div class="kt-header__topbar-wrapper" data-toggle="dropdown" data-offset="10px,10px">
								<img alt="Pic" src="<?php echo $url ?><?php echo $user_img ?>" />
							</div>
							<div class="dropdown-menu dropdown-menu-fit dropdown-menu-right dropdown-menu-anim dropdown-menu-md">
								<div class="kt-user-card-v4 kt-user-card-v4--skin-light kt-notification-item-padding-x">
									<div class="kt-user-card-v4__avatar">
										<!--use "kt-rounded" class for rounded avatar style-->
										<img class="kt-rounded-" alt="Pic" src="<?php echo $url ?><?php echo $user_img ?>" />
										<!--use below badge element instead the user avatar to display username's first letter(remove kt-hidden class to display it) -->
										<span class="kt-badge kt-badge--username kt-badge--unified-success kt-badge--lg kt-badge--rounded kt-badge--bold kt-hidden">S</span>
									</div>
									<div class="kt-user-card-v4__name">
										<?php echo $user_lastname ?> <?php echo $user_firstname ?>
										<small><?php echo $user_email ?></small>
									</div>
								</div>
								<ul class="kt-nav kt-margin-b-10">
									<li class="kt-nav__item">
										<a href="/main/acc" class="kt-nav__link">
										<span class="kt-nav__link-icon"><i class="fa fa-chalkboard-teacher"></i></span>
										<span class="kt-nav__link-text">Мой профиль</span>
										</a>
									</li>
									<li class="kt-nav__item">
										<a href="/tickets" class="kt-nav__link">
										<span class="kt-nav__link-icon"><i class="fa fa-headset"></i></span>
										<span class="kt-nav__link-text">Мои тикеты</span>
										</a>
									</li>
									<li class="kt-nav__item">
										<a href="/servers" class="kt-nav__link">
										<span class="kt-nav__link-icon"><i class="fa fa-dice"></i></span>
										<span class="kt-nav__link-text">Мои сервера</span>
										</a>
									</li>
									<li class="kt-nav__item">
										<a href="/account/invoices" class="kt-nav__link">
										<span class="kt-nav__link-icon"><i class="fa fa-money-check-alt"></i></span>
										<span class="kt-nav__link-text">История баланса</span>
										</a>
									</li>
									<li class="kt-nav__item">
										<a href="/account/waste" class="kt-nav__link">
										<span class="kt-nav__link-icon"><i class="fa fa-wallet"></i></span>
										<span class="kt-nav__link-text">История операций</span>
										</a>
									</li>
									<li class="kt-nav__separator kt-nav__separator--fit"></li>
									<li class="kt-nav__custom kt-space-between">
										<a href="/account/logout" class="btn btn-label-brand btn-upper btn-sm btn-bold">Выйти</a>
										<i class="flaticon2-information kt-label-font-color-2" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="HOST by HackChik"></i>
									</li>
								</ul>
							</div>
						</div>
						<!--end: User -->
					</div>
					<!-- end:: Topbar -->
				</div>
			</div>
			<div class="kt-header__bottom">
				<div class="kt-container ">
					<!-- begin: Header Menu -->
					<button class="kt-header-menu-wrapper-close" id="kt_header_menu_mobile_close_btn"><i class="la la-close"></i></button>
					<div class="kt-header-menu-wrapper" id="kt_header_menu_wrapper">
						<div id="kt_header_menu" class="kt-header-menu kt-header-menu-mobile ">
							<ul class="kt-menu__nav ">
								<li class="kt-menu__item " aria-haspopup="true"><a href="/admin" class="kt-menu__link "><i class="kt-menu__link-icon fa fa-align-left"></i><span class="kt-menu__link-text">Главная</span></a></li>
								<li class="kt-menu__item " aria-haspopup="true"><a href="/admin/servers" class="kt-menu__link "><i class="kt-menu__link-icon fa fa-server"></i><span class="kt-menu__link-text">Сервера</span></a></li>
								<li class="kt-menu__item " aria-haspopup="true"><a href="/admin/webhost" class="kt-menu__link "><i class="kt-menu__link-icon fa fa-globe"></i><span class="kt-menu__link-text">WEB</span></a></li>
								<li class="kt-menu__item  kt-menu__item--submenu" aria-haspopup="true" data-ktmenu-submenu-toggle="hover">
									<a href="javascript:;" class="kt-menu__link kt-menu__toggle"><i class="kt-menu__link-icon fa fa-headset"></i><span class="kt-menu__link-text">Поддержка</span><i class="kt-menu__ver-arrow la la-angle-right"></i></a>
									<div class="kt-menu__submenu ">
										<span class="kt-menu__arrow"></span>
										<ul class="kt-menu__subnav">
											<li class="kt-menu__item  kt-menu__item--parent" aria-haspopup="true"></li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/tickets" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Все запросы</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/tickets/create" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Написать клиенту</span>
												</a>
											</li>
											<?php if($user_access_level == 3):?>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/ticketcategory" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Все категории</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/ticketcategory/create" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Создать категорию</span>
												</a>
											</li>
											<?php endif; ?>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/infobox" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Обратная связь</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/emailinfo" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Рассылка E-mail</span>
												</a>
											</li>
											<?if($user_access_level == 3):?>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/smsinfo" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Рассылка SMS</span>
												</a>
											</li>
											<?php endif; ?>
										</ul>
									</div>
								</li>
								<li class="kt-menu__item  kt-menu__item--submenu" aria-haspopup="true" data-ktmenu-submenu-toggle="hover">
									<a href="javascript:;" class="kt-menu__link kt-menu__toggle"><i class="kt-menu__link-icon fa fa-user-friends"></i><span class="kt-menu__link-text">Пользователи</span><i class="kt-menu__ver-arrow la la-angle-right"></i></a>
									<div class="kt-menu__submenu ">
										<span class="kt-menu__arrow"></span>
										<ul class="kt-menu__subnav">
											<li class="kt-menu__item  kt-menu__item--parent" aria-haspopup="true"></li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/users" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Список пользователей</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/waste" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Операции пользователей</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/invoices" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Платежи</span>
												</a>
											</li>
										</ul>
									</div>
								</li>
								<?if($user_access_level == 3):?>
								<li class="kt-menu__item  kt-menu__item--submenu" aria-haspopup="true" data-ktmenu-submenu-toggle="hover">
									<a href="javascript:;" class="kt-menu__link kt-menu__toggle"><i class="kt-menu__link-icon fa fa-gift"></i><span class="kt-menu__link-text">Промо</span><i class="kt-menu__ver-arrow la la-angle-right"></i></a>
									<div class="kt-menu__submenu ">
										<span class="kt-menu__arrow"></span>
										<ul class="kt-menu__subnav">
											<li class="kt-menu__item  kt-menu__item--parent" aria-haspopup="true"></li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/promo" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Список промо кодов</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/promo/create" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Добавить промо код</span>
												</a>
											</li>
										</ul>
									</div>
								</li>
								<li class="kt-menu__item " aria-haspopup="true"><a href="/admin/mods" class="kt-menu__link "><i class="kt-menu__link-icon fa fa-folder"></i><span class="kt-menu__link-text">Моды</span></a></li>
								<li class="kt-menu__item  kt-menu__item--submenu" aria-haspopup="true" data-ktmenu-submenu-toggle="hover">
									<a href="javascript:;" class="kt-menu__link kt-menu__toggle"><i class="kt-menu__link-icon fa fa-hashtag"></i><span class="kt-menu__link-text">Новости</span><i class="kt-menu__ver-arrow la la-angle-right"></i></a>
									<div class="kt-menu__submenu ">
										<span class="kt-menu__arrow"></span>
										<ul class="kt-menu__subnav">
											<li class="kt-menu__item  kt-menu__item--parent" aria-haspopup="true"></li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/news" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Список новостей</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/news/create" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Добавить новость</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/newscategory" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Все категории</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/newscategory/create" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Создать категорию</span>
												</a>
											</li>
										</ul>
									</div>
								</li>
								<?php endif; ?>
								<li class="kt-menu__item  kt-menu__item--submenu" aria-haspopup="true" data-ktmenu-submenu-toggle="hover">
									<a href="javascript:;" class="kt-menu__link kt-menu__toggle"><i class="kt-menu__link-icon fa fa-cogs"></i><span class="kt-menu__link-text">Управление</span><i class="kt-menu__ver-arrow la la-angle-right"></i></a>
									<div class="kt-menu__submenu ">
										<span class="kt-menu__arrow"></span>
										<ul class="kt-menu__subnav">
											<?if($user_access_level == 3):?>
											<li class="kt-menu__item  kt-menu__item--parent" aria-haspopup="true"></li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/games" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Игры</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/versions" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Смена игры</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/locations" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Локации</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/webtarifs" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">WEB Тарифы</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/weblocations" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">WEB Локации</span>
												</a>
											</li>
											<?php endif; ?>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/checksys" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Система</span>
												</a>
											</li>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/statistics" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Статистика</span>
												</a>
											</li>
											<?if($user_access_level == 3):?>
											<li class="kt-menu__item " aria-haspopup="true">
												<a href="/admin/settings" class="kt-menu__link ">
												<i class="kt-menu__link-bullet kt-menu__link-bullet--dot"><span></span></i>
												<span class="kt-menu__link-text">Настройки</span>
												</a>
											</li>
											<?php endif; ?>
										</ul>
									</div>
								</li>
							</ul>
						</div>
						<div class="kt-header-toolbar">
							<a href="/" class="btn btn-custom">
							<span class="m-menu__link-badge">
							<span class="m-badge m-badge--brand m-badge--wide">Выйти</span>
							</span>
							</a>
						</div>
					</div>
					<!-- end: Header Menu -->
				</div>
			</div>
		</div>
		<!-- end:: Header -->
		<div class="kt-container  kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor kt-grid--stretch">
		<div class="kt-body kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor kt-grid--stretch" id="kt_body">
		<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
		<!-- begin::Global Config(global config for global JS sciprts) -->
		<script>
			var KTAppOptions = {
				"colors": {
					"state": {
						"brand": "#385aeb",
						"metal": "#c4c5d6",
						"light": "#ffffff",
						"accent": "#00c5dc",
						"primary": "#5867dd",
						"success": "#34bfa3",
						"info": "#36a3f7",
						"warning": "#ffb822",
						"danger": "#fd3995",
						"focus": "#9816f4"
					},
					"base": {
						"label": [
							"#c5cbe3",
							"#a1a8c3",
							"#3d4465",
							"#3e4466"
						],
						"shape": [
							"#f0f3ff",
							"#d9dffa",
							"#afb4d4",
							"#646c9a"
						]
					}
				}
			};
		</script>
		<!-- end::Global Config -->
		<!--begin::Global Theme Bundle(used by all pages) -->
		<script src="/assets/plugins/global/plugins.bundle.js" type="text/javascript"></script>
		<script src="/assets/js/scripts.bundle.js" type="text/javascript"></script>
		<!--end::Global Theme Bundle -->
		<!--begin::hackchik -->
		<script src="/application/public/js/main.js"></script>
		<script type="text/javascript" src="/application/public/js/highstock.js"></script>
		<script src="/application/public/js/jquery.form.min.js"></script>
		<!--end::hackchik -->  
		<!--begin::Page Vendors(used by this page) -->
		<script src="/assets/plugins/custom/fullcalendar/fullcalendar.bundle.js" type="text/javascript"></script>
		<!--end::Page Vendors -->
		<!--begin::Page Scripts(used by this page) -->
		<script src="/assets/js/pages/dashboard.js" type="text/javascript"></script>
		<!--end::Page Scripts -->
		<?php if(isset($error)): ?><script>toastr.error('<?php echo $error ?>');</script><?php endif; ?> 
		<?php if(isset($warning)): ?><script>toastr.warning('<?php echo $warning ?>');</script><?php endif; ?> 
		<?php if(isset($success)): ?><script>toastr.success('<?php echo $success ?>');</script><?php endif; ?> 
	</body>
	<!-- end::Body -->
</html>