<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<html lang="ru">
	<!-- begin::Head -->
	<head>
		<meta charset="utf-8" />
		<title><?php echo $title ?> | <?php echo $description ?></title>
		<meta name="description" content="<?php echo $description ?>">
		<meta name="keywords" content="<?php echo $keywords ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!--begin::Fonts -->
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700">
		<!--end::Fonts -->
		<!--begin::Page Custom Styles(used by this page) -->
		<link href="/assets/css/login-v2.css" rel="stylesheet" type="text/css" />
		<!--end::Page Custom Styles -->
		<!--begin::Global Theme Styles(used by all pages) -->
		<link href="/assets/plugins/global/plugins.bundle.css" rel="stylesheet" type="text/css" />
		<link href="/assets/css/style.bundle.css" rel="stylesheet" type="text/css" />
		<!--end::Global Theme Styles -->
		<!--begin::Layout Skins(used by all pages) -->
		<!--end::Layout Skins -->
		<link rel="shortcut icon" href="/favicon.ico" />
		<script type="text/javascript" src="https://www.google.com/jsapi"></script>
	</head>
	<!-- end::Head -->
	<!-- begin::Body -->
	<body class="kt-login-v2--enabled kt-quick-panel--right kt-demo-panel--right kt-offcanvas-panel--right kt-header--fixed kt-header--minimize-menu kt-subheader--enabled kt-subheader--transparent kt-page--loading">
		<!-- begin::Page loader -->
		<!-- end::Page Loader -->
		<!-- begin:: Page -->
		<div class="kt-grid kt-grid--ver kt-grid--root">
			<div class="kt-grid__item   kt-grid__item--fluid kt-grid  kt-grid kt-grid--hor kt-login-v2" id="kt_login_v2">
				<!--begin::Item-->
				<div class="kt-grid__item  kt-grid--hor">
					<!--begin::Heade-->
					<div class="kt-login-v2__head"></div>
					<!--begin::Head-->
				</div>
				<!--end::Item-->
				<!--begin::Item-->
				<div class="kt-grid__item  kt-grid  kt-grid--ver  kt-grid__item--fluid">
					<!--begin::Body-->
					<div class="kt-login-v2__body">
						<!--begin::Wrapper-->
						<div class="kt-login-v2__wrapper">
							<div class="kt-login-v2__container">
								<div class="kt-login-v2__title">
									<ul class="nav nav-pills nav-fill" role="tablist" style="margin: 10 10 0px 10;">
										<li class="nav-item">
											<a class="nav-link" data-toggle="tab" href="#register" style="font-size: 1.3rem;">Регистрация</a>
										</li>
										<li class="nav-item">
											<a class="nav-link active" data-toggle="tab" href="#login" style="font-size: 1.3rem;">Авторизация</a>
										</li>
										<li class="nav-item">
											<a class="nav-link" data-toggle="tab" href="#restore" style="font-size: 1.3rem;">Восстановление</a>
										</li>
									</ul>
									<hr>
								</div>
								<!--begin::Form-->
								<div class="tab-content">
									<div class="tab-pane" id="register" role="tabpanel">
										<form id="registerForm" method="GET" class="kt-login-v2__form kt-form" action="" style="padding: 1rem 2rem;">
											<div class="form-group m-form__group">
												<input class="form-control m-input" type="text" id="ref" name="ref" disabled placeholder="<?php
													if(isset($_GET['ref'])) {
													    echo ' Приглашение от: '.$user['user_firstname'].'('.$_GET['ref'].')';
													}else echo ' Без приглашения';
													?>">
											</div>
											<div class="form-group m-form__group">
												<input class="form-control m-input" type="text" id="firstname" name="firstname" placeholder="Введите Ваше Имя">
											</div>
											<div class="form-group m-form__group">
												<input class="form-control m-input" type="text" id="lastname" name="lastname" placeholder="Введите Вашу Фамилию">
											</div>
											<div class="form-group m-form__group">
												<input class="form-control m-input" type="text" id="email" name="email" placeholder="Введите Ваш E-Mail">
											</div>
											<div class="form-group m-form__group">
												<div class="row">
													<div class="col">
														<input class="form-control m-input m-login__form-input--last" type="password" id="password" name="password" placeholder="Введите Ваш Пароль">
													</div>
													<div class="col">
														<input class="form-control m-input m-login__form-input--last" type="password" id="password2" name="password2" placeholder="Повторите Ваш Пароль">
													</div>
												</div>
											</div>
											<input type="hidden" name="ref" id="ref" value="<?echo $_GET['ref']?>">
											<center>
												<div class="g-recaptcha" data-sitekey="<?php echo $recaptcha ?>" id="recaptcha1"></div>
											</center>
											<br>
											<div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
												<button type="submit" class="btn m-btn--pill m-btn--air btn-info m-btn m-btn--custom btn-block" style="font-size: 1.4rem;"> Зарегистрироваться</button>
											</div>
										</form>
									</div>
									<div class="tab-pane active" id="login" role="tabpanel">
										<form class="kt-login-v2__form kt-form" action="" method="POST" id="samirForm" style="padding: 1rem 2rem;">
											<div class="form-group">
												<input class="form-control" type="text" id="email" name="email" placeholder="Введите свой E-Mail">
											</div>
											<div class="form-group">
												<input class="form-control" type="password" name="password" placeholder="Введите свой Пароль">
											</div>
											<center>
												<div class="g-recaptcha" data-sitekey="<?php echo $recaptcha ?>" id="recaptcha3"></div>
											</center>
											<br>
											<!--begin::Action-->
											<div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
												<button type="submit" class="btn m-btn--pill m-btn--air btn-info m-btn m-btn--custom btn-block" style="font-size: 1.4rem;"> Войти</button>
												<button href="#" onclick="VK.Auth.login(authInfo); return false;" class="btn btn-outline-info"><i class="socicon-vkontakte" style="font-size: 1.4rem;padding-right: 0rem;"></i></button>
											</div>
											<!--end::Action-->
										</form>
									</div>
									<div class="tab-pane" id="restore" role="tabpanel">
										<form id="restoreForm" method="POST" class="kt-login-v2__form kt-form" action="" style="padding: 1rem 2rem;">
											<div class="form-group m-form__group">
												<input class="form-control m-input" tid="email" name="email" placeholder="Введите свой E-Mail">
											</div>
											<center>
												<div class="g-recaptcha" data-sitekey="<?php echo $recaptcha ?>" id="recaptcha2"></div>
											</center>
											<br>
											<div class="m-btn-group m-btn-group--pill btn-group m-btn-group m-btn-group--pill btn-block" role="group" aria-label="Large button group">
												<button type="submit" class="btn m-btn--pill m-btn--air btn-info m-btn m-btn--custom btn-block" style="font-size: 1.4rem;"> Восстановить пароль</button>
											</div>
										</form>
									</div>
								</div>
								<!--end::Form-->
								<hr>
								<h3 class="kt-login-v2__desc">Нужна помощь? <a style="cursor: pointer;" data-toggle="modal" data-target="#hostin_supports" class="kt-link kt-font-brand">Обратная связь</a></h3>
							</div>
						</div>
						<!--end::Wrapper-->
						<!--begin::Image-->
						<div class="kt-login-v2__image">
							<img src="/application/public/img/monitor/logo.png" alt="">
						</div>
						<!--begin::Image-->
					</div>
					<!--begin::Body-->
				</div>
				<!--end::Item-->
			</div>
		</div>
		<!-- end:: Page -->
		<!--begin::Modal-->
		<div class="modal fade" id="hostin_supports" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title" id="exampleModalLabel">Обратная связь</h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="modal-body">
						<form id="sendForm" method="POST" class="form_0" style="padding:0px; margin:0px;">
							<div class="form-group m-form__group">
								<input class="form-control m-input" type="text" id="firstname" name="firstname" placeholder="Введите ваше имя..">
							</div>
							<div class="form-group m-form__group">
								<input class="form-control m-input" id="lastname" name="lastname" placeholder="Введите вашу фамилию..">
							</div>
							<div class="form-group m-form__group">
								<input class="form-control m-input" type="email" id="email" name="email" placeholder="Введите ваш email..">
							</div>
							<div class="form-group form-md-line-input">
								<select class="form-control" id="subject" name="subject" size="1" aria-required="true" aria-invalid="false" aria-describedby="delivery-error">
									<option value="Вопроос">Вопрос</option>
									<option value="Проблемы с сервером">Проблемы с сервером</option>
									<option value="Проблемы с аккаунтом">Проблемы с аккаунтом</option>
									<option value="Сотрудничество">Сотрудничество</option>
								</select>
							</div>
							<div class="form-group form-md-line-input">
								<textarea class="form-control" id="msg" name="msg" rows="3" placeholder="Сообщение..."></textarea>
							</div>
							<div class="recaptcha">
								<center>
									<div class="g-recaptcha" data-sitekey="<?php echo $recaptcha ?>" id="recaptcha4"></div>
								</center>
							</div>
					</div>
					<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
					<button class="btn m-btn--square  btn-info" type="submit">Отправить</button>
					</div>
					</form>
				</div>
			</div>
		</div>
		<!--end::Modal-->
			<div id="vkRegister" class="modal fade">							
	  <div class="modal-dialog">
      <form class="form-signin" id="registerFormVK" action="#" method="POST">	  
        <h2 class="form-signin-heading">Регистрация ВК<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button></h2>
		
        <div class="login-wrap">
            <input type="text" class="form-control" id="firstname_vk" name="firstname" placeholder="Имя" autofocus>
            <input type="text" class="form-control" id="lastname_vk" name="lastname" placeholder="Фамилия" autofocus>
            <input type="text" class="form-control" id="email_vk" name="email" placeholder="Email" autofocus>
            <input type="password" class="form-control" id="password" name="password" placeholder="Пароль" autofocus>
            <input type="password" class="form-control" id="password2" name="password2" placeholder="Повтор пароля" autofocus>			

			<button class="btn btn-lg btn-login btn-block" type="submit">Зарегистрироваться</button>		
        </div>
      </form>
		  </div>
		</div>	
		<!-- begin::Global Config(global config for global JS sciprts) -->
		<script>
			var KTAppOptions = {
			   "colors": {
			      "state": {
			         "brand": "#385aeb",
			         "metal": "#c4c5d6",
			         "light": "#ffffff",
			         "accent": "#00c5dc",
			         "primary": "#5867dd",
			         "success": "#34bfa3",
			         "info": "#36a3f7",
			         "warning": "#ffb822",
			         "danger": "#fd3995",
			         "focus": "#9816f4"
			      },
			      "base": {
			         "label": [
			            "#c5cbe3",
			            "#a1a8c3",
			            "#3d4465",
			            "#3e4466"
			         ],
			         "shape": [
			            "#f0f3ff",
			            "#d9dffa",
			            "#afb4d4",
			            "#646c9a"
			         ]
			      }
			   }
			};
		</script>
		<!-- end::Global Config -->
		<!--begin::Global Theme Bundle(used by all pages) -->
		<script src="/assets/plugins/global/plugins.bundle.js" type="text/javascript"></script>
		<script src="/assets/js/scripts.bundle.js" type="text/javascript"></script>
		<!--end::Global Theme Bundle -->
		<!-- hackchik -->
		<script src="/application/public/js/jquery.form.min.js"></script>
		<script src="/application/public/js/jquery.form.js"></script>
		<script src="/application/public/js/main.js"></script>
		<!-- hackchik -->
		<!--begin::Page Scripts(used by this page) -->
		<script src="/assets/js/pages/custom/user/login.js" type="text/javascript"></script>
		<script src="//vk.com/js/api/openapi.js" type="text/javascript"></script>
		<script src="https://www.google.com/recaptcha/api.js?onload=recaptha&render=explicit" async defer></script>
		<!--end::Page Scripts -->
	</body>
	<!-- end::Body -->
</html>
<script>
	var captcha_login, captcha_restore, captcha_infobox, captcha_register;	
    var recaptha = function() {	
		captcha_register = grecaptcha.render('recaptcha1', {
			'sitekey' : '<?php echo $recaptcha ?>',
		    'theme' : 'light'
		});
		captcha_restore = grecaptcha.render('recaptcha2', {
			'sitekey' : '<?php echo $recaptcha ?>',
			'theme' : 'light'
		});
		captcha_login = grecaptcha.render('recaptcha3', {
			'sitekey' : '<?php echo $recaptcha ?>',
			'theme' : 'light'
		});	
		captcha_infobox = grecaptcha.render('recaptcha4', {
			'sitekey' : '<?php echo $recaptcha ?>',
			'theme' : 'light'
		});			
	};	
			 
	$('#sendForm').ajaxForm({ 
	    url: '/common/loginheader/ajax_infobox',
	    dataType: 'text',
	    success: function(data) {
	        console.log(data);
	        data = $.parseJSON(data);
	        switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					grecaptcha.reset(captcha_infobox);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("redirect('/')", 1500);
					break;
			}
		},
	    beforeSubmit: function(arr, $form, options) {
			Command: toastr["info"]("Ожидайте!");
			$('button[type=submit]').prop('disabled', true);
		}
	});

	VK.init({
	    apiId: <?php echo $vk_id ?>
	});
	
	function authInfo(response) {
	    if(response.session) {
	        $.ajax({ 
	            url: "/account/login/vk",
	            type: "POST",
	            data: {auth: true, response: response},
	            success: function (data) {
					console.log(data);
					data = $.parseJSON(data);
					switch(data.status) {
						case 'auth_error':                        
						toastr.error(data.auth_error);                           
						break;
						case 'success':
						toastr.info(data.success);
						setTimeout("redirect('/')", 1500);
						break;
					}
	            }
	        });
	    }
	}

	$('#samirForm').ajaxForm({ 
	    url: '/account/login/ajax',
	    dataType: 'text',
	    success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					grecaptcha.reset(captcha_login);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("redirect('/')", 1500);
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
	});
	
	$('#registerForm').ajaxForm({ 
	    url: '/common/loginheader/ajax',
	    dataType: 'text',
	    success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					grecaptcha.reset(captcha_register);
					$('button[type=submit]').prop('disabled', false);
					break;
				case 'success':
					toastr.success(data.success);
					if(data.user_activate){
						setTimeout("redirect('/account/login/complete')", 1500);
					}else{
						setTimeout("redirect('/')", 1500);
					}
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
	});
	
	$('#restoreForm').ajaxForm({ 
	    url: '/account/restore/ajax',
	    dataType: 'text',
	    success: function(data) {
			console.log(data);
			data = $.parseJSON(data);
			switch(data.status) {
				case 'error':
					toastr.error(data.error);
					$('button[type=submit]').prop('disabled', false);
					grecaptcha.reset(captcha_restore);
					break;
				case 'success':
					toastr.success(data.success);
					setTimeout("redirect('/')", 1500);
					break;
			}
		},
		beforeSubmit: function(arr, $form, options) {
			$('button[type=submit]').prop('disabled', true);
		}
	});
</script>

<!-- Yandex.Metrika counter -->
<script type="text/javascript">
	(function (d, w, c) {
	    (w[c] = w[c] || []).push(function() {
	        try {
	            w.yaCounter35431120 = new Ya.Metrika({
	                id:35431120,
	                clickmap:true,
	                trackLinks:true,
	                accurateTrackBounce:true
	            });
	        } catch(e) { }
	    });
	
	    var n = d.getElementsByTagName("script")[0],
	        s = d.createElement("script"),
	        f = function () { n.parentNode.insertBefore(s, n); };
	    s.type = "text/javascript";
	    s.async = true;
	    s.src = "https://mc.yandex.ru/metrika/watch.js";
	
	    if (w.opera == "[object Opera]") {
	        d.addEventListener("DOMContentLoaded", f, false);
	    } else { f(); }
	})(document, window, "yandex_metrika_callbacks");
</script>
<noscript>
	<div><img src="https://mc.yandex.ru/watch/35431120" style="position:absolute; left:-9999px;" alt="" /></div>
</noscript>
<!-- /Yandex.Metrika counter -->
<?php if(isset($error)): ?><script>toastr.error('<?php echo $error ?>');</script><?php endif; ?> 
<?php if(isset($warning)): ?><script>toastr.warning('<?php echo $warning ?>');</script><?php endif; ?> 
<?php if(isset($success)): ?><script>toastr.success('<?php echo $success ?>');</script><?php endif; ?>