<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php echo $header ?>
<div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
   <?php echo $hostingames ?>
   <div class="row">
      <?php foreach($servers as $item): ?> 
      <? if (!($item['server_status'] == 2 && $item['game_code'] == 'unit')) { // пропуск нечетных чисел
      continue;
      }?>
      <?php if($item['server_status'] == 2) {
         $queryLib = new queryLibrary($item['game_query']);
         $queryLib->connect($item['location_ip'], $item['server_port']);
         $q = $queryLib->getInfo();
         $queryLib->disconnect();
         } ?>
      <?if($q):?>  
      <div class="col-xl-4 col-lg-4">
         <div class="kt-portlet">
            <div class="kt-widget kt-widget--general-2">
               <div class="kt-portlet__body kt-portlet__body--fit">
                  <div class="kt-widget__top">
                     <div class="kt-media kt-media--lg kt-media--circle">
                        <img src="<?if($item['game_code'] == 'samp'):?>/application/public/img/monitor/samp.png
                           <?elseif($item['game_code'] == 'crmp'):?>/application/public/img/monitor/crmp.png
                           <?elseif($item['game_code'] == 'unit'):?>/application/public/img/monitor/unit.png
                           <?elseif($item['game_code'] == 'cs'):?>/application/public/img/monitor/cs.png
                           <?elseif($item['game_code'] == 'css'):?>/application/public/img/monitor/css.png
                           <?elseif($item['game_code'] == 'mine'):?>/application/public/img/monitor/mine.png
                           <?elseif($item['game_code'] == 'minepe'):?>/application/public/img/monitor/minepe.png
                           <?elseif($item['game_code'] == 'rust'):?>/application/public/img/monitor/rust.png
                           <?elseif($item['game_code'] == 'csgo'):?>/application/public/img/monitor/csgo.png
                           <?elseif($item['game_code'] == 'left'):?>/application/public/img/monitor/left.png
                           <?endif;?>" alt="image">
                     </div>
                     <div class="kt-widget__wrapper">
                        <div class="kt-widget__label">
                           <a href="/monitoring/view/index/<?php echo $item['server_id']?>" class="kt-widget__title">
                           <?php echo $q['hostname'] ?>
                           </a>
                           <span class="kt-widget__desc">
                           <?php echo $item['location_ip'] ?>:<?php echo $item['server_port'] ?>
                           </span>
                        </div>
                     </div>
                  </div>
                  <div class="kt-widget__bottom">
                     <div class="kt-widget__progress">
                        <div class="kt-widget__stat">
                           <span class="kt-widget__caption">Игроков</span>
                           <span class="kt-widget__value"><?php echo $q['players'] ?>/<?php echo $q['maxplayers'] ?></span>
                        </div>
                        <div class="progress">
                           <div class="progress-bar bg-brand" role="progressbar" style="width:<?php echo $q['players']*100/$q['maxplayers'] ?>%" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                     </div>
                     <div class="kt-widget__actions">
                        <a href="/monitoring/view/index/<?php echo $item['server_id']?>" class="btn btn-default btn-sm btn-bold btn-upper btn-icon btn-icon-md"><i class="fa fa-dice" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Игра: <?php echo $item['game_name']; if($item['user_id'] == 1){echo '';}?>"></i></a>
                        <a href="/monitoring/view/index/<?php echo $item['server_id']?>" class="btn btn-default btn-sm btn-bold btn-upper btn-icon btn-icon-md"><i class="fa fa-map" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Карта: <?php echo $q['mapname'] ?>"></i></a>
                        <a href="/monitoring/view/index/<?php echo $item['server_id']?>" class="btn btn-default btn-sm btn-bold btn-upper btn-icon btn-icon-md"><i class="fa fa-globe" data-toggle="kt-tooltip" data-placement="right" title="" data-original-title="Локация: <?php echo $item['location_name'] ?>"></i></a>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <?endif;?>
      <?php endforeach; ?>
      <?php if(!empty($servers)): ?>
      <?php else: ?>
      <div class="col-xl-12 col-lg-12">
         <div class="alert alert-info" role="alert">
            <div class="alert-icon"><i class="flaticon2-warning"></i></div>
            <div class="alert-text">К сожалению, на данный момент на хостинге нет активных серверов.</div>
         </div>
      </div>
      <?php endif; ?>
   </div>
   <?php echo $pagination ?>
</div>       
<?php echo $footer ?>