<?php
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)

Developed by Andrey Chikaev (https://vk.com/winchikplay)

*/
?>
<?php include 'application/views/common/menuserver.php';?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
      <div class="row">
         <div class="col-lg-4 col-xl-4">
            <div class="kt-portlet">
               <div class="kt-portlet__body">
                  <div class="kt-widget kt-widget--general-1">
                     <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                        <img src="/application/public/img/myadmin.png" alt="image">
                     </div>
                     <div class="kt-widget__wrapper">
                        <div class="kt-widget__label">
                           <a href="#" class="kt-widget__title">
                           PHPMyAdmin
                           </a>
                           <span class="kt-widget__desc">
                           <?if($server['server_mysql'] == 1):?>
                           Включен
                           <?elseif($server['server_mysql'] == 0):?>
                           Не создан
                           <?elseif($server['server_mysql'] == 2):?>
                           Выключен
                           <?endif;?>
                           </span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet sticky kt-sticky">
               <div class="kt-portlet__body kt-portlet__body--fit">
                  <ul class="kt-nav kt-nav--bold kt-nav--md-space kt-nav--v3 kt-margin-t-5 kt-margin-b-5 nav nav-tabs" role="tablist">
                     <?if($server['server_mysql'] == 1):?>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="http://<?php echo $server['location_ip'] ?>" target="_blank">
                        <span class="kt-nav__link-icon"><i class="fa fa-user-circle"></i></span>
                        <span class="kt-nav__link-text">Войти</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" style="cursor: pointer;" onClick="sendAction(<?php echo $server['server_id'] ?>,'mysqloff')">
                        <span class="kt-nav__link-icon"><i class="fa fa-power-off"></i></span>
                        <span class="kt-nav__link-text">Выключить</span>
                        </a>
                     </li>
                     <?elseif($server['server_mysql'] == 0):?>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" style="cursor: pointer;" onClick="sendAction(<?php echo $server['server_id'] ?>,'mysqlcr')">
                        <span class="kt-nav__link-icon"><i class="fa fa-user-plus"></i></span>
                        <span class="kt-nav__link-text">Создать</span>
                        </a>
                     </li>
                     <?elseif($server['server_mysql'] == 2):?>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" style="cursor: pointer;" onClick="sendAction(<?php echo $server['server_id'] ?>,'mysqlon')">
                        <span class="kt-nav__link-icon"><i class="fa fa-power-off"></i></span>
                        <span class="kt-nav__link-text">Включить</span>
                        </a>
                     </li>
                     <?endif;?>
                     <li class="kt-nav__separator"></li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Процент нагрузки CPU">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">CPU</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_cpu_load'] ?>/<?php echo $server['game_cores'] * 100 ?>%</span>
                        </span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Процент нагрузки RAM">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">RAM</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_ram_load'] ?>/100%</span>
                        </span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="#javascript" data-toggle="kt-tooltip" title="" data-placement="right" data-original-title="Занятость директории">
                        <span class="kt-nav__link-icon"><i class="flaticon2-graphic-1"></i></span>
                        <span class="kt-nav__link-text">SSD</span>
                        <span class="kt-nav__link-badge">
                        <span class="kt-badge kt-badge--brand kt-badge--inline kt-badge--rounded"><?php echo $server['server_ssd_load'] ?>/<?php echo $server['game_ssd'] ?>МБ</span>
                        </span>
                        </a>
                     </li>
                  </ul>
               </div>
            </div>
         </div>
         <div class="col-xl-8 col-lg-8">
            <div class="row">
               <?if($server['server_mysql'] == 1):?>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              MySQL Хост для локального подключения <small>127.0.0.1</small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              MySQL Хост для внешнего подключения <small><?php echo $server['location_ip'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              MySQL Порт <small>3306</small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Имя пользователя <small>gs<?php echo $server['server_id'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Пароль <small><?php echo $server['db_pass'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              База данных <small>gs<?php echo $server['server_id'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <?elseif($server['server_mysql'] == 0):?>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              База данных <small>Не создана</small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <?elseif($server['server_mysql'] == 2):?>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              База данных <small>Не включена</small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <?endif;?>
            </div>
         </div>
      </div>
   </div>
</div>
<script>
   function sendAction(serverid, action) {
   	$.ajax({ 
   		url: '/servers/mysql/action/'+serverid+'/'+action,
   		dataType: 'text',
   		success: function(data) {
   			console.log(data);
   			data = $.parseJSON(data);
   			switch(data.status) {
   				case 'error':
   					toastr.error(data.error);
   					$('#controlBtns button').prop('disabled', false);
   					break;
   				case 'success':
   					toastr.success(data.success);
   					setTimeout("reload()", 1500);
   					break;
   				}
   			},
   		beforeSend: function(arr, options) {
   			if(action == "mysqloff") toastr.warning("Выключаем базу данных...");
   			if(action == "mysqlon") toastr.warning("Включаем базу данных...");
   			if(action == "mysqlcr") toastr.warning("Создаем базу данных...");
   			$('#controlBtns button').prop('disabled', true);
   		}
   	});
}
</script>
<?php echo $footer ?>