<?php
/*
Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Andrey Chikaev (https://vk.com/winchikplay)
*/
?>
<?php include 'application/views/common/menuserver.php';?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
      <div class="row">
         <?php foreach($versions as $item):  ?>
         <?php if($server['game_id'] == $item['game_id']): ?>
         <div class="col-lg-4">
            <div class="m-portlet m-portlet--brand m-portlet--head-solid-bg m-portlet--bordered">
               <div class="m-portlet__body">
                  <center><strong><span style="font-size: x-large;"><?php echo $item['version_name']?></span></strong></center>
                  <hr>
                  <?php if($item['version_price'] > 0): ?>
                  <div class="kt-portlet__foot">
                     <div class="row align-items-center">
                        <div class="col-lg-6">
                           <button type="submit" onClick="sendAction(<?php echo $server['server_id'] ?>,'<?echo $item['version_id']?>')" class="btn btn-primary m-btn m-btn--air btn-outline  btn-block sbold uppercase">Сменить игру</button>
                        </div>
                        <div class="col-lg-6 kt-align-right">
                           <div class="kt-widget-14__foot-label btn btn-sm btn-label-brand btn-bold btn-block">Цена <?php echo $item['version_price']?> руб.</div>
                        </div>
                     </div>
                  </div>
                  <? else: ?>
                  <a href="#javascript" onClick="sendAction(<?php echo $server['server_id'] ?>,'<?echo $item['version_id']?>')" class="btn btn-primary m-btn m-btn--air btn-outline  btn-block sbold uppercase">Сменить игру</a>
                  <?php endif; ?>
               </div>
            </div>
         </div>
         <?php endif;?>	
         <?php endforeach; ?>
      </div>
      <?php if(empty($versions)): ?>
      <div class="alert alert-info" role="alert">
         <div class="alert-icon"><i class="flaticon2-warning"></i></div>
         <div class="alert-text">На данный момент список пуст.</div>
      </div>
      <?php endif; ?>	
   </div>
</div>
<script>	
function sendAction(serverid, action) {	
   	$.ajax({ 
   		url: '/servers/versions/action/'+serverid+'/'+action,
   		dataType: 'text',
   		success: function(data) {
   			console.log(data);
   			data = $.parseJSON(data);
   			switch(data.status) {
   				case 'error':
   					toastr.error(data.error);
   					$('#controlBtns button').prop('disabled', false);
   					break;
   				case 'success':
   					toastr.success(data.success);
   					setTimeout("location.replace('/servers/control/index/<?php echo $server['server_id'] ?>')", 1500);
   					break;
   			}
   		},
   		beforeSend: function(arr, options) {
   			<?php foreach($versions as $item): ?> 
   				if(action == "<?echo $item['version_id']?>") toastr.warning("Идет смена игры на <?echo $item['version_name']?>, пожалуйста подождите!");
   						<?endforeach;?>
   				$('#controlBtns button').prop('disabled', true);
   			}
   	});
}
   
   	
</script>
<?php echo $footer ?>
