<?
/*

Copyright (c) 2020 HACKCHIK (https://hackchik.ru)
Developed by Alexandr Zemlyanoy (https://vk.com/mrsasha082)
WEB Hosting to ISP 5
*/
?>
<?php include 'application/views/common/menuweb.php';?>
<div class="kt-content kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" id="kt_content">
   <div class="kt-container  kt-container--fluid  kt-grid__item kt-grid__item--fluid" style="margin: 15px 0;">
      <div class="row">
         <div class="col-lg-4 col-xl-4">
            <div class="kt-portlet">
               <div class="kt-portlet__body">
                  <div class="kt-widget kt-widget--general-1">
                     <div class="kt-media kt-media--brand kt-media--md kt-media--circle">
                        <img src="/application/public/img/ftp.png" alt="image">
                     </div>
                     <div class="kt-widget__wrapper">
                        <div class="kt-widget__label">
                           <a href="#" class="kt-widget__title">
                           FTP
                           </a>
                           <span class="kt-widget__desc">
                           <?php echo $webhost['location_name'] ?>
                           </span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="kt-portlet sticky kt-sticky">
               <div class="kt-portlet__body kt-portlet__body--fit">
                  <ul class="kt-nav kt-nav--bold kt-nav--md-space kt-nav--v3 kt-margin-t-5 kt-margin-b-5 nav nav-tabs" role="tablist">
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" data-toggle="modal" data-target="#ftpdiz">
                        <span class="kt-nav__link-icon"><i class="fa fa-clone"></i></span>
                        <span class="kt-nav__link-text">Сменить дизайн</span>
                        </a>
                     </li>
                     <li class="kt-nav__item">
                        <a class="kt-nav__link" href="http://filezilla.ru/get/" target="_blank">
                        <span class="kt-nav__link-icon"><i class="fa fa-external-link-alt"></i></span>
                        <span class="kt-nav__link-text">Скачать FTP Клиент</span>
                        </a>
                     </li>
                  </ul>
               </div>
            </div>
         </div>
         <div class="col-xl-8 col-lg-8">
            <div class="row">
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                              Адрес для доступа по протоколу FTP <small><?php echo $webhost['location_ip'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                             FTP Порт <small>21</small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                             Имя пользователя <small>ws<?php echo $webhost['web_id'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-12">
                  <div class="kt-portlet" style="margin-bottom: 10px;">
                     <div class="kt-portlet__head">
                        <div class="kt-portlet__head-label">
                           <h3 class="kt-portlet__head-title">
                             Пароль <small><?php echo $webhost['web_password'] ?></small>
                           </h3>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div class="col-xl-12 col-lg-12">
            <div class="kt-portlet kt-portlet--height-fluid">
               <div class="kt-portlet__head">
                  <div class="kt-portlet__head-label">
                     <h3 class="kt-portlet__head-title">Online клиент</h3>
                  </div>
               </div>
               <div class="kt-portlet__body">
                  <div id="elfinder"></div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<!--begin::Modal-->
<div class="modal fade" id="ftpdiz" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Смена дизайна</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <div class="kt-section">
               <div class="kt-section__content kt-section__content--fit kt-section__content--border">
                  <div class="kt-grid-nav">
                     <a style="cursor: pointer;" onClick="sendAction_theme('default')" class="kt-grid-nav__item">
                        <div class="kt-grid-nav__item-icon"><i class="flaticon2-drop"></i></div>
                        <div class="kt-grid-nav__item-title">Тема Default</div>
                        <div class="kt-grid-nav__item-desc">Применить</div>
                     </a>
                     <a style="cursor: pointer;" onClick="sendAction_theme('windows')" class="kt-grid-nav__item">
                        <div class="kt-grid-nav__item-icon"><i class="flaticon2-drop"></i></div>
                        <div class="kt-grid-nav__item-title">Тема Windows</div>
                        <div class="kt-grid-nav__item-desc">Применить</div>
                     </a>
                     <a style="cursor: pointer;" onClick="sendAction_theme('material')" class="kt-grid-nav__item">
                        <div class="kt-grid-nav__item-icon"><i class="flaticon2-drop"></i></div>
                        <div class="kt-grid-nav__item-title">Тема Material</div>
                        <div class="kt-grid-nav__item-desc">Применить</div>
                     </a>
                     <a style="cursor: pointer;" onClick="sendAction_theme('materialgray')" class="kt-grid-nav__item">
                        <div class="kt-grid-nav__item-icon"><i class="flaticon2-drop"></i></div>
                        <div class="kt-grid-nav__item-title">Тема Material gray</div>
                        <div class="kt-grid-nav__item-desc">Применить</div>
                     </a>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<!--end::Modal-->
<script type="text/javascript"> $(function () { 
   var myCommands = elFinder.prototype._options.commands; 
   var disabled = ['resize', 'help', 'select']; 
   // Not yet implemented commands in ElFinder.Net 
   $.each(disabled, function (i, cmd) {
   (idx = $.inArray(cmd, myCommands)) !== -1 && myCommands.splice(idx, 1); }); 
   var selectedFile = null; var options = { url: '/webhost/ftp/getftp/<?php echo $webhost['web_id']  ?>', // connector route defined in the project folder App_Start\RouteConfig.cs 
   rememberLastDir: false, // Prevent elFinder saving in the Browser LocalStorage the last visited directory 
   commands: myCommands, 
   lang: 'ru', // elFinder supports UI and messages localization. Check the folder Content\elfinder\js\i18n for all available languages. Be sure to include the corresponding .js file(s) in the JavaScript bundle. 
   uiOptions: { // UI buttons available to the user 
   toolbar: [ ['back', 'forward'], ['reload'], ['home', 'up'], ['mkdir', 'mkfile', 'upload'], ['open', 'download'], ['info'], ['quicklook'], ['copy', 'cut', 'paste'], ['rm'], ['duplicate', 'rename', 'edit','extract', 'archive'], ['view', 'sort'] ] }, 
   handlers: { select: function (event, elfinderInstance) { 
   if (event.data.selected.length == 1) { var item = $('#' + event.data.selected[0]); if (!item.hasClass('directory')) { selectedFile = event.data.selected[0]; $('#elfinder-selectFile').show(); return; } } 
   $('#elfinder-selectFile').hide(); selectedFile = null; } } }; $('#elfinder').elfinder(options).elfinder('instance'); $('.elfinder-toolbar:first').append('<div class="ui-widget-content ui-corner-all elfinder-buttonset" id="elfinder-selectFile" style="display:none; float:right;">'+ '<div class="ui-state-default elfinder-button" title="Select" style="width: 100px;"></div>'); $('#elfinder-selectFile').click(function () { 
   if (selectedFile != null) $.post('file/selectFile', { target: selectedFile }, function (response) { alert(response); }); }); }); 
</script>
<audio style="display: none;">
   <source src="./sounds/rm.wav" type="audio/wav">
</audio>
<script src="/application/public/js/elfinder.full.js"></script>
<script src="/application/public/js/i18n/elfinder.ru.js"></script>
<script src="/application/public/js/jquery-ui.min.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.23/themes/smoothness/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="/application/public/css/elfinder.full.css">
<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $theme ?>">
<script>
   function sendAction_theme(action) {
   $.ajax({ 
   		url: '/webhost/ftp/action_theme_ftp/'+action,
   		dataType: 'text',
   		success: function(data) {
   			data = $.parseJSON(data);
   			switch(data.status) {
   				case 'error':
   					toastr.error(data.error);
   					break;
   				case 'success':
   					toastr.success(data.success);
   					setTimeout("reload()", 2500);
   					break;
   			}
   		}
   	});
   }
</script>
<?php echo $footer ?>